2012-01-03  Petr Mladek  <pmladek@suse.cz>  [61311c43dc0f5fab5803dcfb1fd78a2961bdcc14]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2012-01-03  Rene Engelhard  <rene@debian.org>  [04a3004564c8e0a39cfedfda270d43bfdb2f2d14]

support libebook-1.2.so.12 (evolution 3.2)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2012-01-03  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [47fad446a73a27e3335b98745cf77ec9e8065f5f]

impress210: #i117319# disconnect and reconnect to table style on change model in SdrTableObjImpl

impress210: #i117319# disconnect and reconnect to table style on change model in SdrTableObjImpl

Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Lubos Lunak <l.lunak@suse.cz>
Signed-off-by: Radek Doulík <rodo@novell.com>

2012-01-02  Michael Stahl  <mstahl@redhat.com>  [63ecdc34d14e7c543dd2a435e54d084f8c2325d8]

fdo#44082: fix hyphenation attributes:

These have type positiveInteger, so don't write 0 values:

20.191 fo:hyphenation-push-char-count
20.192 fo:hyphenation-remain-char-count

Signed-off-by: Cedric Bosdonnat <cbosdonnat@suse.com>
Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2012-01-02  Michael Stahl  <mstahl@redhat.com>  [0bf04da04fcb100bbfd4470e8708a1555ac1461d]

fdo#44073: ODF export: fix layout grid invalid ODF

The following 3 attributes have been added in ODF 1.2, so don't write
them into ODF 1.1 files:

style:layout-grid-base-width 20.297
style:layout-grid-snap-to 20.305
style:layout-grid-standard-mode 20.306

Additionally, style:layout-grid-snap-to was written wrongly as
style:layout-grid-snap-to-characters, which does not exist in any ODF
spec.
For backward compatibility with previous OOo/LO versions, write the
wrong attribute in addition to the correct one in ODF extended mode,
even though validators complain about it (consider removing that
some years from now).

Signed-off-by: Cedric Bosdonnat <cbosdonnat@suse.com>
Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-12-27  David Tardon  <dtardon@redhat.com>  [2263eb7178f7645a600a68ed04847346771355cf]

we need to include the localized file

This reverts commit 9d88c67c4cfa8e894d23ebe7924a9d630327ccda.

Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Andras Timar <timar74@gmail.com>
Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [67da4a392ec76bf7bf32b52bccea967fdee447f4]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [73d3ea6dd04524027cb3e975930a4caf6e2bc992]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-12-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [35a93227b8306c76407e3183f6bb9e95fa7fb14d]

The ODG should have office:drawing after office:body, not office:graphics

signed-off: Thorsten Behrens <tbehrens@suse.com>

2011-11-23  Lionel Elie Mamane  <lionel.mamane@gestman.lu>  [da6cd222d3c72b102cead739686fd5ca71a84861]

fdo#36555: pImplementationName is not a compile-time constant

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-11-21  Michael Meeks  <michael.meeks@novell.com>  [738622d199a64327048d6a40953499b9dca5c008]

fdo#39520 - turn DocBasicItems into an rtl::Static to improve shutdown on mac

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-11-18  Stephan Bergmann  <sbergman@redhat.com>  [443e1b1566d678c79658f2a48aa4b088ed914fa3]

Backport reading AES-encrypted ODF 1.2 documents (as genereated by LibO 3.5).

This backports the reading half of CWS mav60 plus <http://cgit.freedesktop.org/
libreoffice/core/commit/?id=2d775f593abd9bc487ccc60f06aa5a3ca9632056> "Produce
correct sha256 uri, consume correct uri and original spec typo."  It spans the
repos components, libs-core, libs-gui, and ure.

2011-11-01  Michael Meeks  <MMeeks@suse.com>  [17351e5d7f110d3040905bfec81313806b0ecd43]

add real alpha to markers

Signed-off-by: Thorsten Behrens <tbehrens@suse.com>

2011-10-26  Tomofumi Yagi  <yagit@mknada.sakura.ne.jp>  [57b1dbeb8c2e4d4413c4a60e910bb94500cb80b4]

fdo#37129: Fix the drawing of dotted and dashed borders in Calc.

Signed-off-by: Kohei Yoshida <kohei.yoshida@suse.com>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [3c8462c3b6809829c786eb5ed1c5eb43b55c49a7]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-24  Lionel Elie Mamane  <lionel@mamane.lu>  [8590273b3ee8f34386bcb9e620fab10794b38a6f]

FmXGridPeer::getByIndex: Error checking of pGrid->GetModelColumnPos(nId) call

Fixes crash of fdo#40701, but not broken feature

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-24  Lionel Elie Mamane  <lionel@mamane.lu>  [45e6ceee47e4f1c5fdf800ae35b062f8387cf61c]

fdo#40701: DbGridControl::RemoveColumn even if no corresponding Model column

That case crops up when nId==0 i.e. the Handle column

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-21  Thorsten Behrens  <tbehrens-Et1tbQHTxzrQT0dZR+AlfA@public.gmane.org>  [1191c474bdf21fda5e8b8ced6b0b50286dea2391]

Fix fdo#41995 fallout - recognize .svg in odf container

Seems the graphic load code is stupid and not using the path name /
file extension to guess file type, but only "magic byte" detection.
Giving filter framework the path now, so that .svg actually loads.

Signed-off-by: Michael Stahl <mstahl@redhat.com>

2011-09-21  Noel Power  <nopower@suse.com>  [0f5a2ad6aca673c43abb7228df9e80e2eac3c372]

fdo#37164 get testtool working


2011-09-19  Tor Lillqvist  <tlillqvist@suse.com>  [299ada910665c38cc9ccd7a20fb54f8b15229f8c]

Improve windows odma library location

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-09-15  David Tardon  <dtardon@redhat.com>  [253ff23c3a93b5ea45a2451a8bc97fca19856a75]

handle NULL display gracefully

(cherry-picked from core 2daa098c3c1b49ce4d46306eddc45f7a66b7c021)

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-09-12  Lionel Elie Mamane  <lionel@mamane.lu>  [14bc9100d36eae3999f1623efce8ee84091da842]

don't rely on ../ure to find javaldx, use proper ../basis-link/ure-link


2011-09-07  Caolán McNamara  <caolanm@redhat.com>  [53714706ae6c8dad65e7dfed124c065fea1e10f9]

Resolves: fdo#37195 CreateProcessServiceFactory can't happen before sync

If CreateProcessServiceFactory is called, then common.rdb of
"Users/YOU/AppData/Roaming/LibreOffice/3/user/extensions/bundled/registry/
com.sun.star.comp.deployment.component.PackageRegistryBackend/common.rdb" is
opened mmapped

On a new start of an LibreOffice which wants to synchronize new config over an
old config, then it will want do a copy of
"install/share/prereg/bundled/registry/
com.sun.star.comp.deployment.component.PackageRegistryBackend/common.rdb"
over
"Users/YOU/AppData/Roaming/LibreOffice/3/user/extensions/bundled/registry/
com.sun.star.comp.deployment.component.PackageRegistryBackend/common.rdb"
which will fail on windows with error 1224, i.e. ERROR_USER_MAPPED_FILE

That aborts the copy_bundled_recursive copy, leaving an old config
pointing to the old location of dictionaries.

So for windows at least, CreateProcessServiceFactory shouldn't happen before
copy_bundled_recursive.

Signed-off-by: Andras Timar <atimar@suse.com>

2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [05e819b26a47089f56c1084302d4afcff3f66de7]

Resolves: fdo#37403 backport collection of operator= fixes


2011-08-17  Lionel Elie Mamane  <lionel.mamane@gestman.lu>  [857ebe4b6e40275bbe2afaca41210dda97950b9f]

fdo#40079: load Dialog library before trying to get embedded images


2011-08-17  Lionel Elie Mamane  <lionel.mamane@gestman.lu>  [4252f25461096964205c550d483b4c13be2c44f3]

Janitorial: deduplicate code; no behaviour change


2011-08-16  Petr Mladek  <pmladek@suse.cz>  [8bae371ca9602ffe00e51448e710e2f5cd018e54]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [c0887806c54985a22e7a6688fee113dd17ceaeaa]

Related: fdo#39376/fdo#34880 short fread isn't an error when its eof

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [1e7daaf843293ecac51dc3a4c93bb85bf6823264]

Resolves: fdo#32177 add a modification listener on new XDocumentProperties

Signed-off-by: Noel Power <noel.power@novell.com>

2011-08-09  Peter Rabi  <prabi@caesar.elte.hu>  [6b6cc121c420f2b88e4087e3c2f8b882fda9c24c]

fix for fdo#34768 - no update preview

Fixes dialogue "Load Slide Design" in Impress.
The preview now updates when selecting another template in the listbox.
Contributed under license LGPLv3+/MPL.

Signed-off-by: Noel Power <noel.power@novell.com>

2011-08-06  Eike Rathke  <erack@erack.de>  [fd0c48dd0909c4151de5c23f1505535307943dc1]

fdo#39869 Fix memory exhaustion with String length of STRLEN_MAX

Signed-off-by: Kohei Yoshida <kohei.yoshida@suse.com>

2011-08-05  Eike Rathke  <ooo@erack.de>  [e6517372fbc8d298fdcbc1a4de148ed05469132b]

fdo#38956 related changes in split libs-core repository to support LCID changes (cherry picked from commit 513e2e78a9bb0861064f73c17000afd75239c7a6)


2011-08-04  Thorsten Behrens  <tbehrens@novell.com>  [0008ecd67c1c753c27a72fa5a08b93778572e719]

Set correct mimetype for draw documents on xml export

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-29  Peter Rabi  <prabi@caesar.elte.hu>  [6bcd4ed71e0625c3c39c454b169408cbe71fc804]

Clean-up of bugfix fdo#32895 for the -3-4 branch

Contributed under license LGPLv3+/MPL.

2011-07-29  Caolán McNamara  <caolanm@redhat.com>  [f98524a326fb65a0a4d11317d630c461406087a9]

Resolve: fdo#39392 post-stl use vector end position not LIST_APPEND

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-28  Tomas Chvatal  <scarabeus@gentoo.org>  [6c08079d7010bca1c73325983ccc37edc5b2015f]

Do not modify permissions for /usr/bin/soffice symlink

It modified rights of the linked file that was already correct.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-07-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [57683e3e382f825b5b10ab0334bf9b5683df1bd9]

fix for fdo#37628: change password button is always disabled

Note: changing the password to modify doc is not working, and we'll
leave that as a known bug for now.

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-07-26  Andras Timar  <atimar@suse.com>  [e397c91b06bdb6294a66ec4ec5ab027593464251]

make these entries localizable - fdo#36274

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-21  Thorsten Behrens  <tbehrens@novell.com>  [eecd2e5aef2b1fd9db05d49911b3d9e0c35efed0]

Fix wrong RTTI baseclass for SfxViewEventHint

Fixes fdo#38768 and likely a bunch of other nasty side effects.
SfxBaseModel::Notify was simply ignoring all kinds of messages
without this fix.

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-07-20  Tor Lillqvist  <tlillqvist@novell.com>  [fbe9310366d44ec3365a9c41589a2e41aa3ebe74]

On recovery from an autosave file use DefaultFilter, seems to fix fdo#34805

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-13  Michael Meeks  <michael.meeks@novell.com>  [ec70532aec8b83252672b7e1ad5cdbe4beccd303]

null the display pointer after closing the display, fixes fdo#37579

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [9dc34e6217cc4ae92734c5964933126274394f78]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-11  Petr Mladek  <pmladek@suse.cz>  [b5df417be2d690fe1282df7f2e9c317f67f8ce06]

Support distro packaging

allow to redefine prefix via OFFICE_PREFIX variable in create_tree.sh

add libreoffice and unopg man pages

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Miklos Vajna <vmiklos@frugalware.org>
Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@gmail.com>

2011-07-11  Michael Meeks  <michael.meeks@novell.com>  [5dd688864821845afb48d093a90be2df9b4dafc5]

fdo#36733: Add useronly read permission, while creating tmpfile.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [b44017797dc8060b497a521e7c42a6a6e81bd32f]

Related: #i35066# ole props buglet

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [467d7370f54a7c7ed3b583ec2a9213e01a8d2dc9]

Resolves: fdo#39091 use UTF-8 encoding for gstreamer uris

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-07-08  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [58cf0f84601756399c6f8ba4ca976d402aeb99e4]

fix for fdo#37880

we need to save the information if we have a global range name or a
local range name in the uno api too

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-07-02  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [3b66549a40f52d32578dd72d838b7401591c30f5]

unable to save protected file without pw fdo#38561

Signed-off-by: Andras Timar <atimar@suse.com>

2011-06-30  David Tardon  <dtardon@redhat.com>  [933f19eb99435b09b61fa2d221e955c2adb3104f]

avoid overwriting stack after early return

Also make the original hack less noisome.
(cherry picked from commit 01096e7487d9e60fcd24eea8131b650588845f2b)

Conflicts:

	sfx2/source/dialog/templdlg.cxx
	sfx2/source/inc/templdgi.hxx

2011-06-23  Muthu Subramanian  <sumuthu@novell.com>  [48f79d786a01fc51939243e4ad26f76fd183cdd8]

Fixed a crasher. Also, improved batch conversion (fdo#37412, bnc#690798)

* The pointer is not removed from the array before 'delete'
* FilterMatcher now uses (input) content to guess better.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-20  Robert Nagy  <robert@openbsd.org>  [9c17674951760b8a64276ee8e1c6496e21ad756e]

fix fdo#37110 --quickstart shouldn't show start center


2011-06-20  Robert Nagy  <robert@openbsd.org>  [0a5a7727e34787b7f1ee6e1e5e07aeb13bdf9ed5]

correctly build GTK systray icon

the setting was lost during move the GNU make

Signed-off-by:    Petr Mladek <pmladek@suse.cz>

2011-06-16  Andras Timar  <atimar@suse.com>  [a3410712994077e8a4687cc90da6f6299f2e5e7d]

set default min password length in ctor of password dialog fdo#37771

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [8223b8c71e3b110539a7424cfca4607baac541de]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [070e89ca703e6e5aab50378bdda2aa6d0c147bd4]

always get GNOME MIME type icons from the gnome subdir

sysui/desktop/share/create_tree.sh put the GNOME icons under
the gnome subdir and KDE icons under the hicolor and lolor dirs.
GNOME and KDE root dir is the same (/usr) on RedHat and FreeDesktop.
It is different (/opt vs. /usr) on SUSE. The directory
/opt/gnome/*/hicolor is available on SUSE but the LO icons
are installed only under the gnome subdir.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-06-14  David Tardon  <dtardon@redhat.com>  [5b61091d21bdc2513fa6680d08faa4a5bf06d855]

fix paths and restore original semantics

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-10  Caolán McNamara  <caolanm@redhat.com>  [fd66d4c4ccbaf9a49d939511d6139860a8c4b0c0]

List Microsoft JhengHei instead of Microsoft YaHei as Hant font

Microsoft JhengHei (微軟正黑體) is vista's Traditional (Hant) font, while
Microsoft YaHei (微软雅黑) is vista Simplified (Hans) font

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-10  Kohei Yoshida  <kyoshida@novell.com>  [61cdc82f4df5e0b21ebdb9029651a22eb54c1cea]

fdo#37646: Avoid crash when pasting a form control into chart.

Signed-off-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2011-06-08  Michael Meeks  <michael.meeks@novell.com>  [aad52f69e366735844d117e508e5b44d732fe8cf]

fix auto-correction crash - fdo#38000

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-06-07  Kalman Szalai - KAMI  <kami911@gmail.com>  [b2f53d05d81c1da8e029b79d73b642ca28a661d1]

Using "$(ICONPREFIX.libreoffice)-" as icon prefix

During packaing phase we create only one type of
/opt/libreoffice3.4/share/*.desktop files
however we create icon files for all products (libreoffice, oxygenoffice)

This patch fix icon names to libreofficexx-then all program desktop files
will have icons again in OxygenOffice

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-07  Kalman Szalai - KAMI  <kami911@gmail.com>  [7b6a8771d49f8fceed36e6804e85794ae60da5d2]

move default language independent layout templates

from /share/template
to   /share/template/common

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-06  Rafael Dominguez  <venccsralph@gmail.com>  [48c400e4fb0778bde199ca771f1ee2586c55a0ff]

Fix bug in CloneList

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-06  Tor Lillqvist  <tlillqvist@novell.com>  [ab6eb1094675c7e7eb044a50a99f3771a95ea6fa]

Sanity test, seems to fix fdo#37930

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-06-03  Kalman Szalai - KAMI  <kami911@gmail.com>  [633c56f36228cdab56cd08e44cc3e029eb742346]

Add OxygenOffice menu-icon package support

Signed-off-by: pmladek@suse.cz

2011-05-31  Michael Meeks  <michael.meeks@novell.com>  [6fbc556ac582a1c6b10cf5e1071324aa7307df63]

remove erroneous FIXMEs when re-starting oosplash.bin

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-05-31  Rene Engelhard  <rene@debian.org>  [d05d6223b5d21ee1ac02219485d45374e794c814]

fix build in connectivity/qa with system-hsqldb


2011-05-31  Kelly Anderson  <cbxbiker61@gmail.com>  [9b3fb3b00d4ee80c40f62988f4d22b470a833cbf]

fix compile with Bison 2.5

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-05-31  Noel Power  <noel.power@novell.com>  [6fccef85a61d6238744f3cef302f63b5a1b3d11e]

fix for bug fdo#37590

Signed-off-by: 	Michael Meeks <michael.meeks@novell.com>

2011-05-30  Andras Timar  <atimar@suse.com>  [3bc0b8e14b2af29227fb801ef014527c99b605d5]

replace "seagull" icons to LibreOffice icons fdo#37617

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-05-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [927963c53561a7609c6f0d80cbe0f36107cce5c6]

set all border lines, not only one

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-26  Samphan Raruenrom  <samphan@osdev.co.th>  [c2ae5e6acf081e52356a51d497c19f4c433e9638]

change default fall-back font lists for Thai locale in vcl.xcu

I've done a small research on preferred fonts for Thai in
Windows/Linux/MacOSX by consulting several communities, font developers
and authority. Here is the modification that the Thai community decide
that best for Thai locale. It will help users when exchanging documents
between these platforms with different installed fonts and also promote
the use of the new government sponsored free fonts (TH_Sarabun) as the
standard cross-platform fonts.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-05-24  Andras Timar  <atimar@suse.com>  [955842481e06a938b1ba3ac32d71d562c6bf6aa3]

fdo#37001 - updated license information

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-24  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [97c995a22c1602679a3e386f994a20b23d07f429]

fdo#37390, make style:layout-grid-snap-to-characters fit to ODF spec.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-24  Noel Power  <nopower@novell.com>  [8d2ed714ce8379ec2908deb060aa50e51d851373]

initialize resource manager to get verbose basic errors fdo#37370


2011-05-24  David Tardon  <dtardon@redhat.com>  [e7ade84f6a66f8a915da70f486f70cb894bb9775]

do not include bsh.jar when building with system bsh

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>
Signed-off-by: Norbert Thiebaud <nthiebaud@gmail.com>

2011-05-20  Tor Lillqvist  <tlillqvist@novell.com>  [88dfc7bb329711a17392a8fcc92809cbf6f2a999]

Sanity checks that fix crash (fdo#36495)

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-05-18  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [c09adb8b98761f7644af6793dac968c3f984b081]

fdo#34997: fixed crash when reading malformed fieldmark tags in ODT


2011-05-17  Kohei Yoshida  <kyoshida@novell.com>  [952801a7d56368301cd2bf21b6f9afe946e8e8dd]

fdo#37252: Don't assume you'll always find a match.

The original code assumed that the find call always returns a match.
Apparently that assumption is not always true.

Signed-off-by: Norbert Thiebaud <nthiebaud@gmail.com>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [a9a66f3dc0e3ce1a8d05ae8a17a3bdb8c4bab4bb]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-17  Michael Meeks  <michael.meeks@novell.com>  [6cc843a3f30eaa8782886f8c34a6acc8ae67407a]

fix ENABLE_QUICKSTART_LIBPNG handling fdo#36497

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [b9dc86c9043e048da0a289c57cc47e34bbb9d087]

find the versioned desktop menu icons (fdo#37160)

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-17  Jan Holesovsky  <kendy@suse.cz>  [c3fe2bd7c0a48c717227188ce3787c32dda5689a]

wikihelp: Fix linking to pages, fdo#35671.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-16  Noel Power  <noel.power@novell.com>  [c10a65e7d6d95443e699f328a44ee28faddedad6]

fix for fdo#36684

fix layout problem with toolbars ( when enabling/disabling them from View/Toolbars )

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-05-16  Andras Timar  <atimar@suse.com>  [c0fbbfc7a81fb8496ea21d0c82f4bc6990467125]

fix password dialog layout problem - fdo#36951

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-12  Noel Power  <noel.power@novell.com>  [39c7949d6cfe4ef0421e53bdca70b4b06568b9bc]

fdo#36915, fdo#36916: Fixed JS and BeanShell script providers classpath

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-12  Noel Power  <noel.power@novell.com>  [347c67da659f3e387ff215fe3914760c4e0b3988]

fix for fdo#37103

reset toolbar command handler when toolbarmanager is destroyed

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-10  Petr Mladek  <pmladek@suse.cz>  [3191c706333cdd92f66b019a55eddfdfcfba8a1b]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-10  Jan Holesovsky  <kendy@suse.cz>  [11236c627ce55d41fb5ef2cbb980457e0e84e2a3]

wikihelp: Pass the LibreOffice version to help.libreoffice.org.


2011-05-10  Luboš Luňák  <l.lunak@suse.cz>  [7a6ebd9e527aaa1dc379e789f3379bc21753b5d8]

make it possible to update the region passed to BeginDrawLayers() (bnc#683550)

Writer needs this, as it changes the region during painting.

2011-05-08  Andras Timar  <atimar@novell.com>  [b9ad7c21f3646d532bee8235b028ae6be705e792]

real solution to globlmn.hrc localization problem on Windows


2011-05-06  Petr Mladek  <pmladek@suse.cz>  [8c0d8e7ffc30439a1e9b5063ab5d12561400ea3a]

do not conflict with GNOME MIME icons (fdo#36551)

create the symlinks in post install; it is not perfect because
they are not remove in postun but is it worth hacking?

2011-05-06  Petr Mladek  <pmladek@suse.cz>  [9a364c2be6732720b3aa9a1f6d81a68e9350dc7f]

do not conflict with /usr/share/mime/packages/libreoffice.xml (fdo#36551)


2011-05-06  Petr Mladek  <pmladek@suse.cz>  [7a96f3b88bac7e57b5f3c9dff1dbf78bedf0c863]

fix desktop integration for the versioned root dir (fdo#36551)

we want to install LO-3.3 and LO-3.4 in parallel, so we started
to use /opt/libreoffice3.4 instead of /opt/libreoffice

2011-05-06  Noel Power  <noel.power@novell.com>  [4e019509ca8a17a81f71141157ed240ed827fccb]

fix for fdo#36898

remove some extra _USE_UNO #ifdef(s) that should have been removed when the associated define _USE_UNO was removed

2011-05-05  Noel Power  <noel.power@novell.com>  [ad50ce46a6a25f73b7a1a1f69eb17e777e28cc22]

fix for #fdo35706 - ( Ctrl-F & Ctrl-Alt-F don't work in basic IDE )


2011-05-05  Andras Timar  <atimar@novell.com>  [3285a175deb6a4022cb5f050bf34528a1dc17604]

use $realpath()


2011-05-05  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [db2c381531a130a73ec61f17e96958d434e6c279]

fdo#36727: use gb_Deliver_deliver to deliver to OUTDIR


2011-05-04  Michael Meeks  <michael.meeks@novell.com>  [226362003a4705edd15764e0b022d6a3b351fb82]

fix fdo#36838 by avoiding -L argument to pagein


2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [cdfb1d195053f18dbeb8ce8ac750e611463811e3]

Non-printable character.


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [b1e4df429601485e07c481334c66d82af0484de1]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-03  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [39396b3ad44ebfac3c59eae528949ed9ef6bc547]

fdo#32872: Fixed components names reintroduced with .component files


2011-05-02  Andras Timar  <atimar@novell.com>  [3e0e2648440c25c304affb2199550ba4f3e6313e]

update product code of vcredist_x64.exe


2011-05-02  Andras Timar  <timar@fsf.hu>  [d19abad1d83d5158c0b99b2b5efe0cf9bad422cd]

revert added log line (Log() does not support printf style parameter)


2011-05-01  Andras Timar  <atimar@novell.com>  [1c6155ac7ea38c0057f144582dd5c23c3a12ba76]

copy localized globlmn.hrc to $(OUTDIR)/inc/svx - fdo#36727

otherwise other modules would include the en-US only version
and strings in it would be unlocalized in the build

2011-04-30  Andras Timar  <atimar@novell.com>  [acb9b419de15b1ffa42e678a8fb978799cf2089a]

typo fix + add a line to log file


2011-04-30  Andras Timar  <atimar@novell.com>  [7e17134c2411a9f6883392fcd43ce607bf1d6b67]

update product code of vcredist_x86.exe (9.0.30729.4148) fdo#32650


2011-04-28  Radek Doulik  <rodo@novell.com>  [cb6ae22ff25de0f2edc7057688358314e4e692a4]

sfx2-add-to-recently-used-after-save.diff: improve recently use list hadling

add an entry to recently used list when document is saved; it helps with
thumbnail generation in file managers

2011-04-28  Thorsten Behrens  <tbehrens@novell.com>  [daaafd7762088585679ca4298ebdf47e190680c8]

normalize-template-paths-fix.diff: allow to install templates from extensions

expand path placeholders early in template dialog (bnc#512146)

2011-04-28  Radek Doulik  <rodo@novell.com>  [796bd6da745128e24eec6cf386ae8a9469c03307]

svx-fix-fit-to-frame-crash.diff:  fix for crash on Windows (bnc#508621)

root cause unknown

2011-04-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [7c9f5af586c717d4ad08fc4b025d36ac33c78b40]

add lomenubar Jobs.xcu


2011-04-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [22c4cbfb0132c0de5ebdd67f46dad91fb88bc75c]

add lomenubar documentation


2011-04-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [a0c6d11498cfa8b5535ec42d58f9996de5ac3652]

lp#754562: remove status listener upon exit

* use initialization lists
* more const goodness

Conflicts:

	framework/source/lomenubar/FrameHelper.cxx

2011-04-27  Radek Doulik  <rodo@novell.com>  [3b8434b00724c0f66ac1de0fe2846a7ae9f7f954]

fix-ppt-linespacing-import-export.diff: fix ppt import (bnc#355302)


2011-04-27  Radek Doulik  <rodo@novell.com>  [7cdffe22320808cd80f6126e4437bb7b9b025846]

svx-sdrobjeditview-update-edit-area.diff: edit area calcualtion

update before setting output area so that aTextEditArea can be recalculated
(bnc#305205, bnc#347355)

2011-04-26  Petr Mladek  <pmladek@suse.cz>  [35dfca9ec31252f7af894a8af0e10178e72df985]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-26  Tor Lillqvist  <tlillqvist@novell.com>  [872e81297ed48b8991329d30d8ea347b2173eebc]

Stopgap fixes for the crash on exit, fdo#36301

Hacks just intended as debugging aids, suggested by caolan. But as
this does prevent the crash, I removed the debugging printfs and
assertions, and commit as we don't have any proper fix anyway.

2011-04-25  Hanno Meyer-Thurow  <h.mth@web.de>  [021a906cb52757f2804576af59dab5b6df2a9aa2]

Update '--disable-python' to disable only Python UNO API.

* scripting/source/pyprov/makefile.mk:

2011-04-22  Petr Mladek  <pmladek@suse.cz>  [9a74979cafb52b6bd024a5bf8e14c99c1d6703b7]

svx-honour-customshape-capabilities.diff (bnc#395372)

this bug started to be visible after enabling wordwrap
in shapes (bnc#171052)

2011-04-22  Petr Mladek  <pmladek@suse.cz>  [97ce8d30f48f9961b8da375a231c69f9869bde9b]

svx-shapes-default-word-wrap-enable.diff: wrap text in shapes by default

it is a very nice feature and preferred behavior (bnc#171052)

2011-04-20  Kohei Yoshida  <kyoshida@novell.com>  [06b6df6759929073e917ae0fa7e819407d3e2555]

fdo#36288: Fixed a crasher on Base.

The return type was probably unintentionally converted to sal_Int16
from sal_uInt16, and it didn't check for "column not found" condition.

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [dd9aa7f8fe68dd1627df252894c299b04a948ad2]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-19  Caolán McNamara  <caolanm@redhat.com>  [f1896b3341032ee06c70e1f6134b19adb534548e]

Resolves: fdo#36358 Just use the same export dir as save as for all apps

I believe the original idea was that draw/impress export graphics and so
default output dir is the gallery as you might want to export them in there.

Catch is that we cane export in some many different formats there there
isn't a good fit for the whole collection, so lets just use the same
dir for all apps
(cherry picked from commit 364dd193486949af59596de7ce5bd83f4db54149)

2011-04-19  Caolán McNamara  <caolanm@redhat.com>  [83de55e4587840180caf1937687d93613cf07534]

Resolves: fdo#36358, firstly lets code what the comment says it wants to do (cherry picked from commit 058335969debe302e23fa2c36d84d3ef55e2b47a)


2011-04-18  Christian Dywan  <christian@lanedo.com>  [31dd8b55accd586d454280814b1ad856802454ef]

fdo#36230 Remove unused AGotoCallButton and associated RID_IMGBTN_GOTOCALL id


2011-04-15  Caolán McNamara  <caolanm@redhat.com>  [1e94718a669a03ed0b2cdd6b6e637a5c4be521c4]

those TRUE->sal_True conversions look really wrong


2011-04-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e5a3f65d76efc5e70ea0ef8e25107b5af11c7327]

fix for fdo#34763 add method Copy to ScVbaWorksheets


2011-04-15  Jan Holesovsky  <kendy@suse.cz>  [576bb89905c8dd60dbc43f62da69186766c27417]

FALSE/TRUE in strings should not be converted to sal_False/sal_True.


2011-04-13  Robert Dargaud  <libo@bobiciel.com>  [3b5a89c8a73c4db6f725fb14469f403d499912ee]

fix bug #36069 - Date properties in 'Custom Properties' do not scroll in UI


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [7adf3427ca7cc06bbe3cbb852f0782b4673766d1]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fc32608f193d446dce4027353ed9c55cd46f5e6c]

i#20348: made the ordinal suffixe autocorrection internationalized


2011-04-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [9fb301c8934f6e5c48c27b63f2a32fe772190ed4]

fix cast to implementation objects failure from some vba objects

old calls attempting to cast to implementation objects now fail ( and crash on access ) because we now wrap some objects via a aggregation proxy. This patch fixes this

2011-04-07  Michael Meeks  <michael.meeks@novell.com>  [c0e6c6edb158c983809da3f238d6559f59c40ddd]

hide macro menu item when disabled to reduce confusion


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [696dccc7134799629ed249f15757000deb533d26]

Ported document-password-change-sfx2.diff from the build repo.

This allows users to change the current password of a document
encrypted with a password.

2011-04-06  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [e843be296a5d95cbfdc134e729a361bc04d0753f]

Change accel key for Clear Direct Formatting back to D


2011-04-06  Tor Lillqvist  <tlillqvist@novell.com>  [804dcc9e229812509a06799fbcf1ceea7ca34398]

bnc#656566: EnableAlwaysOnTop(true) in OpenLockedQueryBox constructor


2011-04-06  Petr Mladek  <pmladek@suse.cz>  [b3c02d6a7fe8e2b7b259286af8a4481c5164a134]

Merge branch 'libreoffice-3-4' of ssh://git.freedesktop.org/git/libreoffice/libs-core into libreoffice-3-4


2011-04-06  Petr Mladek  <pmladek@suse.cz>  [8b3e4b5c87991c02470111640a720da0549c4a17]

removed mess added during the merge from libreoffice-3-3


2011-04-05  Robert Nagy  <robert@openbsd.org>  [3c7ca79ca63bcee9c8943cd2dc30984c0820eb8a]

pass pOrigPath (strdup'd) to dirname(3) instead of pPath to avoid double free

from the dirname(3) manual:
Both dirname() and basename() may modify the contents of path, so copies
should be passed to these functions.
Furthermore, dirname() and basename() may return pointers to statically
allocated memory which may be overwritten by subsequent calls.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [33b12b721ecacdc16869cfd78db05f6876137f44]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	basic/source/runtime/dllmgr.cxx
	drawinglayer/source/processor2d/vclpixelprocessor2d.cxx
	editeng/inc/editeng/boxitem.hxx
	editeng/source/items/frmitems.cxx
	sfx2/workben/custompanel/makefile.mk

2011-04-05  Robert Nagy  <robert@openbsd.org>  [9e1bffbc1abd41a11ee1ddbf449e3d631782450a]

do what we de on linux for *BSD too


2011-04-04  Michael Meeks  <michael.meeks@novell.com>  [3e7adc2cda6b7a6b0acc82a73ac58249d0dc13e3]

remove obsolete about dialog pieces, that now live in cui


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [a68c2e840eefd250fa495dba359e833e3c57c977]

remove obsolete component_writeInfo methods


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [2833c4cb4dc6c6def3d3cb3b134f22eda3a87207]

fix evolution local addressbook integration, which uses a new local: uri


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [c958f45987827e5892db6e669fb02566f414c599]

fix evolution local addressbook integration, which uses a new local: uri


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [b7f0885fe7437bcf65e65329b06fc3ed007f1a48]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [2e850f9fdfba19122efaeac8814a8147ed680ed2]

pragmatic approach to silence warnings


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [a591ae90fd81d5e8d2255e716c61df55f8ff60b5]

tag as using gnome-vfs for things that care about that


2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ef761468593c1140f5c85810153a77e0f7149c17]

add component file for lomenubar


2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c6c7647f5f9ef0855475fca564d133d079107755]

rename service and implementation


2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [435440d5c300112007b2938995802c4d5e877c05]

removing useless executable flag from makefiles


2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [18311016fc8e15e685d8018d4db4a45984a27130]

removing useless executable flag from makefiles


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [aeaf96072c46853fbde5fcf266808a40f14000c4]

tweak some of the DBGS to trigger at different levels

i.e. errors at level 1 and the rest at crazy verbose level

2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [44b8b7d0ba523f716fbb2d011b74ebe92213ad88]

WaE: use SAL_PRIdINT64


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [3ff8ca36e5a05610cc022e50598bd633521c9294]

fix up post-merge to actually work again


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [8ea65044ffc090f36fad233be7daf0df89f0ff3f]

fix video, implementation name was wrong


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [f6b8a122d7065585168fb22c9b8a698bec8a02a5]

remove the confusing Oracle avmediagst.component


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [06e158d0f265f6121e3fa607dbc735a6ba9f2e4c]

fix typos


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [823ed03d02421dd9d66d656abba7bfa479a0d82f]

add ... to Movie and Sound to indicate another dialog will appear


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [5aea964e1e94b72f22d62370bdad134523d30908]

add in .webm suffix for jrb


2011-03-31  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [cfdb06ed920fbc4435131a62395a5b404e614def]

getting rid of warnings as far as possible


2011-03-31  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [385746a99cc9ad861d38d2bd1d77cc050ca2e0ba]

add lomenubar to the build (disabled)


2011-03-31  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [761ed48f20ec5dc8d597d8e8c41b234bbee70eae]

renaming to LO code conventions


2011-03-31  Alberto Ruiz  <alberto.ruiz@codethink.co.uk>  [ec176090c881c6d6b85606c6711ed621c5af7531]

initial import of lomenubar

* from http://bazaar.launchpad.net/~lo-menubar-team/lo-menubar/trunk/changes
* fixed indent to keep git hooks happy, otherwise a vanilla copy

2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [9d306a777bbd79169bd61108ab89a097223ce9b8]

restore old-style __writeRegistryServiceInfo to deploy these as extensions


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [1f99d52ec5f0f6ebf1f2ea9aaa99ea2efbbd1829]

don't line wrap The Document Foundation


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [2ac90b049dbb39536890d9d63fac53a6308abb35]

fix python scripting


2011-03-31  David Tardon  <dtardon@redhat.com>  [bbec66bcb432d2fba7c4b1f94af326269b18dbe9]

do not deliver these component files, too


2011-03-31  David Tardon  <dtardon@redhat.com>  [419ed023d2bc7538b979079f8197ff4325a0f20d]

we ship these script providers as extensions


2011-03-31  David Tardon  <dtardon@redhat.com>  [33bbfcbfa2ca58deae1309a01fa943dc3226e2fe]

we ship pythonscript as extension


2011-03-31  David Tardon  <dtardon@redhat.com>  [4899ff666d0d9aab42ef4bf845840600685fd12f]

fix mis-merge


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [4949f4994d2792f9fc70baf39b2cb5ab890dcdbf]

buildfix-evo1-vs-evo2.diff: Evo address books conflics (bnc#496902, i#101439)

build either the driver for Evolution 1.x or 2.x; they produce the same binary
and configuration, so they can't be built at once; Evolution 1.x address book
is obsolete anyway

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [6c01d5f1cf836c8559ab3ff911263b2bf83b298d]

add these too


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [f67c012dcd245ac68618fc105253ce4f80803fef]

add flat-xml types to .desktop files etc.


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [109ed2beff75cf17a47c7c00ec0d685ca336753e]

sfx2-template-category-labels.diff: add new template category "Labels"

useful for blank Labels, calling cards, CD labels, etc.
Many such templates are at http://sourceforge.net/projects/ooolabels/

2011-03-30  Radek Doulik  <rodo@novell.com>  [fd22dcf3dcdcbdfddad5b97f9803f075f8439687]

change autofit feature so that it ignores trailing empty paragraphs


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [f62ec4cda204534354e51d920d21231ddbfe8ba3]

ucb-neon-0.24.diff: fix build with neon-0.24


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [e9cf691797683e84df47d4ee71281594ad6eb298]

tweak decl to avoid warning


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [e3412691700551479339c318ecdc7884e6898e46]

tryQueryAggregation isn't implemented


2011-03-30  Xisco Fauli  <anistenis@gmail.com>  [105cb6e2201d04f961c3345b84c95158094d697c]

Remove unotest macro


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [8ca0acd81426813e9ef1b585ca01d68e492042c3]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [74fefc59bf5cd8f0b35277bd5463e3057304edc9]

drop bogus executable flag from image files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [771a5bdf20fe3ac37689eaff5140187aa9dde551]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [bb14ea428b8e78b0a4953ca5cf5961dd07216798]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [ba4357c5d1009bf13ec326bfd9d72973f7aab0ff]

cosmetic comments change regarding using --xxx instead of -xxx


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [127deb15f47d4e99cf1b6e7c6f124a19f70721ba]

support --headless


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [63dd80a32801d4e9353f3499038751e46e93c5c3]

binned inc/command.h, not used and defined "-headless" vs --headless


2011-03-29  Xisco Fauli  <anistenis@gmail.com>  [240dd8f13f7d660d7228a3054a1b8d619ac96e08]

Remove commented code in libs-core/framework


2011-03-29  David Tardon  <dtardon@redhat.com>  [a4981414dfe0556bc6bd386486090cab09874929]

convert DBG_ assertions to OSL_


2011-03-29  David Tardon  <dtardon@redhat.com>  [e99488bb5dcdf8921191d318ed5fc9d90c749856]

convert DBG_ assertions to OSL_


2011-03-29  David Tardon  <dtardon@redhat.com>  [e0f02dee0aa8c011a27ad7127efbc88631952769]

WaE: unused variable


2011-03-29  David Tardon  <dtardon@redhat.com>  [9d26ce19c5910a945a525829be0d7f0728294315]

WaE: unused variable


2011-03-29  David Tardon  <dtardon@redhat.com>  [aafe3510a135d3dae9788d78dcdc11a55ffe7ff3]

WaE: unused variable


2011-03-29  David Tardon  <dtardon@redhat.com>  [2821901ccfab5677119aff72d24eaa55a0069552]

convert DBG_ assertions to OSL_


2011-03-29  David Tardon  <dtardon@redhat.com>  [79362be2a904b312eb81b1b09e496b2460efc361]

WaE: unused variable


2011-03-29  David Tardon  <dtardon@redhat.com>  [2871e200c2ac8fc827c6842c58a70a8ada6114d4]

WaE: unused variable


2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [aa3e5fb2e8da0899a8c53f63b3d7779b3f98a8cf]

Revert "Remove DECLARE_LIST( SvSlotElementList, SvSlotElement* )"

This reverts commit a06dbfc4d1252d453b737cde32bad2ecc56e56b1.

2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [a2f33cdef8073be30c8622fff7e7ab16934e1ffc]

Revert "tweak list access to prevent iterating past end"

This reverts commit df8759a593bf11fc626b19f2ea797731824200d1.

2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [145c687c0a97806f441d7d5826bc737308c5abdd]

Revert "WaE: declaration of 'it' shadows a previous local"

This reverts commit b6702790cda29c6b2e7b5ed24fe2a4e2110cf021.

2011-03-29  Tor Lillqvist  <tlillqvist@novell.com>  [71bf17ecbaa46780b112b6307aab879a088910fe]

Don't pass potentially bogus file: URIs to libxml2

libxml2 doesn't understand our syntax for file: URIs in the case of
UNC paths. Fixes fdo#33970. Picked from OOo's fix for their issue
i#109096.

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [20102adb2aa27a25b59aad33b2311afd94d7727a]

ignore fork/exec+java


2011-03-29  Radek Doulik  <rodo@novell.com>  [f6fcd7ce6b4b40649f91548f73f9cdab4ef16869]

fix unix build


2011-03-29  Xisco Fauli  <anistenis@gmail.com>  [5e6b83daf2b35e42c59c997ce75c954db9caf999]

Remove dead code in libs-core/avmedia


2011-03-29  Christina Rossmanith  <ChrRossmanith@web.de>  [21041f9853d46aeaf86e97d584fb899b574e5a89]

Removed always #defined _USE_UNO


2011-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cb7cff8bca85fc4acd6e41acff70d9abe7b1084e]

Fix desktop build on windows


2011-03-29  David Tardon  <dtardon@redhat.com>  [b6702790cda29c6b2e7b5ed24fe2a4e2110cf021]

WaE: declaration of 'it' shadows a previous local


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19322b0531233a2e408287451392e333cee16d49]

This is the simplest variant that compiles


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cb68bd37c389ce927d3d2aa0e3f80e82e0c621cb]

I meant this one


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [41b91e49e62398e8308cadf155d2ac85173e7281]

The prewin/postwin foo should not be necessary here ?


2011-03-28  David Tardon  <dtardon@redhat.com>  [26812c2b8baf014a54a77d0ff146e448f6cc3751]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [a9c15a724d487a9103544299f40a5be07f10b927]

add PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9037da871dd224b802640c648689f56737071b5]

Fix windows build of avmedia


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [1991cfcb41b87fdf0c68778ee0e83db5ceffad81]

fix windows build


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [abc0b5c2a2082d83c79a9339cc8569ce39ec8d55]

using disposing


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [aea2c0b0df7d45cf78c0383fd70be8ceee4aa0b8]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [1bfc16a0528aced0c57dd28c701404de4a66e018]

class vs struct


2011-03-28  Noel Power  <noel.power@novell.com>  [df8759a593bf11fc626b19f2ea797731824200d1]

tweak list access to prevent iterating past end


2011-03-28  Rafael Dominguez  <venccsralph@gmail.com>  [a06dbfc4d1252d453b737cde32bad2ecc56e56b1]

Remove DECLARE_LIST( SvSlotElementList, SvSlotElement* )


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c13370a50b23282793b1753c8f1046e52d83438d]

Fix windows build of sfx2


2011-03-28  Noel Power  <noel.power@novell.com>  [960feb28de0f4cf588f428cd50b1c47ba2f8220e]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/libs-core


2011-03-28  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [42de5a24254ff03c4860688fc6c659475298b4ce]

removes some variableScope cppcheck warnings


2011-03-28  Christina Rossmanith  <ChrRossmanith@web.de>  [006ee93c81072a2af390c0b5b584a65524030061]

Removed empty else if block


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b61e1589bc58e920c856029effdecf2062e5975b]

Fix basic Windows build


2011-03-28  Xisco Fauli  <anistenis@gmail.com>  [0652fe22d215bce179ef387be29ab64b25ab8f2c]

Remove commented code in libs-core/sfx2


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [95ca90267c184213b9af8e7e68c2fcbb904a3d42]

OOops again :(


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90497f4a4d79e3543c5d2e8ad6d9ec57686a0da2]

Fix Windows build of framework


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cb2b046cd6c4ae8bb69856befb77edf4fd660e51]

ooops


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [02af20b778c0bb489690078e9854d41746a78ed4]

Fix Windows build of fpicker


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [56dd271c5930c2c7e3d280266c27607e67ccfa16]

Moved SvxBorder* into editeng namespace to avoid duplicate DOUBLE on windows


2011-03-28  Xisco Fauli  <anistenis@gmail.com>  [20edf4549bd16539490ebdb68795c29aa30c9b9a]

Remove commented code in libs-core/formula


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5ba2858903fdf09bf69f9c66fa5a665dc63d0f72]

migrate linguistic subsequenttests to gbuild


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [3f3b5ee21757cd747e8e80ce7f77f4f14c20f3a6]

migrate ucb subsequenttests to gbuild


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [83f7f51e2aed3ae996ffa7c493ce57622ad1684a]

fd#35690: ucb.UniversalContentBroker::css::ucb::XContentProviderManager fails


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f60d141f8fcfd0b4adbdca2b283d6d18f0a1b862]

migrate configmgr subsequenttests to gbuild


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [be07eba89833d58b7b0c7402093789a3322192f7]

fixing typo


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [23316cce76ad174cc65e5f626b0cf8e9e64726d4]

cleanup of unoapi test


2011-03-26  Andras Timar  <timar@fsf.hu>  [119ec47e4c88edc3db4b8e26b706322c3c442956]

make Tango palette entries localizable


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [5d9f957cd2a1f883c7f67c26c920fb9f2ad8a352]

honour svp plugin too


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [59c3ff8cc7546d3a3371921023a4782489a6791f]

Make this singleton demand loaded in order to control its lifecycle

i.e. as a global its getting dtored after the uno infrastructure has been
shutdown

2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [cec3292076365336d9810b4ae2951070cf753f2a]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-26  Andras Timar  <timar@fsf.hu>  [79bc4ae6041dcc8bb4d8165ec253605c5c798577]

make palettes localizable via the l10n framework

the aim is to remove hundreds of localized palette files from
extras\source\palettes\lang\

2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5abe54f4c1b9fcf24d1d8a3c687c0f94635a6b0a]

oops


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5abdae4fbe892e813fc50a2ab1af0328e26f74bc]

Little header order tweak


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3d4060194cdbc0b76d238f7dae503a9e8e6c2ca]

fix build of odma provider


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [431ee1380b593011b40f24ddf4e6014eb383ac60]

Adapt the tree to tools/svwin.h removal


2011-03-26  Julien Nabet  <serval2412@yahoo.fr>  [39ab1bb7c026def58af583f5357cbead2607b185]

Strip include guards in idl files part 3 (end)


2011-03-25  Julien Nabet  <serval2412@yahoo.fr>  [f3496f22b4ba71e8f135bd8816254362d9dfb9e4]

Strip include guards in idl files part2


2011-03-25  Julien Nabet  <serval2412@yahoo.fr>  [69e645818ce9136c00e52ec1d952f7971309c602]

Strip include guards in idl files


2011-03-25  Xisco Fauli  <anistenis@gmail.com>  [18e40a082824ba5832147ddd1469c4122d536e9e]

Remove commented code in libs-core/desktop


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4aeaf2e0b8856d1617a301467c15d8fef00be2b5]

Wholesale prewin.h/postwin.h removal


2011-03-25  Luboš Luňák  <l.lunak@suse.cz>  [b95a6c26809b1fa18bde2596594b5079ae41a48f]

more sensible SdrObject::Clone() and SdrObject::operator=()

Virtual operator=() is IMO pointless, and especially in a class hierarchy
like SdrObject it's pretty unlikely one could reasonably assign any
SdrObject-based object to any other one. Moreover, it was actually
only used in Clone(), which was almost never reimplemented, so the
more sensible choice is to have non-virtual operator= and virtual
Clone() always being reimplemented and using that.

This commit also fixes various smaller or bigger, er, interesting
details in the various operator= implementations.

2011-03-25  Noel Power  <noel.power@novell.com>  [a99622adb690c8850162bb2f3302516f9630c622]

fix for fdo#35596 - prevent name clashes with rtl functions in vba mode

replaces the existing hack for blacklisting some function names that exist in libreoffice basic that don't exist in vba ( and potentially clash with user defined procedures ).

2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5505223fd5e46ae8a681ed55eb70899d65a35747]

fd#35663: disable complex.sfx2.UndoManager because it fails


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [f92359a78e0bb31512f5f66807389ed63d1fb7e4]

set build depencencies against the new "translations" module


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6a4ca47ec00d8dc2b58fbf417a31d12f4d25c27]

include the right file


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [845f99a6189da2e48baab7401f7c3692361494b8]

WaE: set but unused


2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [33ec141cbab8a5a314e7bdb7688bb5e8d9a0d84e]

fix incorrect override of TakeTextRect()

bool and sal_Bool is not the same

2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [1c0075b2aa5f95d0fb6ecbbb9e306e6503dc63c2]

if it's not implemented then just don't implement it


2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [4eaf6cc6762a74a0eb791e0168a446e86c11f54d]

remove virtual from operator=

pointless, there's nothing overriding it

2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [24d1e297c6e4efacb44ce4f7dc88be19dd65a4bf]

remove executable bit from files that are not executables


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [bfd81bb77a0eda6797b34fdb81b62e88b4e77a57]

these can be const


2011-03-24  Christina Rossmanith  <ChrRossmanith@web.de>  [ec6d3770eb8e078fdb5cb7bdb7958de5184696ff]

Removed never defined _ENABLE_CUR_DIR


2011-03-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fde6ea4cbe98ebd96c75279354a06962a95ece29]

Don't flag inline function __declspec(dllexport/import)


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [88a895ab8c4509a9f4b52edb168f7a305426822b]

there might not be one set of course


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [10024bfcfb55213bf74cca116152aaf6e926bc9a]

WaE: variable set but unused


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [6b06f2241700e15368835fda43e1f55c3a05436c]

fix circular depend


2011-03-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [1cb4b04fe05bc5df24c6f9ef869f3b90250a2427]

remove commented code in connectivity


2011-03-24  Rob Snelders  <programming@ertai.nl>  [45c4aa75a6f49a976b5c87f666e62b4040ea42e9]

translated comments


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [776993f1255e738f34ba5c9c154bffa64ae564e8]

fix leak


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [796262462d58a3a0ece4411cd314ece2d6cf3290]

fix more lifecycle problems


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [498887fd01f7793842430464508f39352b76d452]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-core


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [d4e88719d67c5cadb55c85cd372d412fd969c613]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	basic/source/runtime/makefile.mk
	basic/source/runtime/step2.cxx
	desktop/prj/build.lst
	desktop/source/app/app.cxx
	desktop/source/deployment/registry/dp_backend.cxx
	drawinglayer/source/attribute/fontattribute.cxx
	editeng/inc/editeng/fontitem.hxx
	editeng/source/editeng/edtspell.cxx
	editeng/source/misc/svxacorr.cxx
	framework/inc/services/substitutepathvars.hxx
	framework/source/services/substitutepathvars.cxx
	sfx2/qa/cppunit/makefile.mk
	sfx2/source/doc/SfxDocumentMetaData.cxx
	sfx2/source/doc/objxtor.cxx
	svx/source/dialog/svxruler.cxx
	sysui/desktop/icons/so9_base_app.ico
	sysui/desktop/icons/so9_calc_app.ico
	sysui/desktop/icons/so9_draw_app.ico
	sysui/desktop/icons/so9_impress_app.ico
	sysui/desktop/icons/so9_main_app.ico
	sysui/desktop/icons/so9_math_app.ico
	sysui/desktop/icons/so9_writer_app.ico
	xmlhelp/source/cxxhelp/provider/databases.cxx
	xmlhelp/source/cxxhelp/provider/db.cxx
	xmlhelp/source/cxxhelp/provider/db.hxx

2011-03-23  Thorsten Behrens  <tbehrens@novell.com>  [a16869e2ff8a85e877f4060995937835f03a2beb]

Really disable use of pagein on Mac

 - there was a 2nd dir re-using that pagein object file

2011-03-23  Katarina Machalkova  <kmachalkova@suse.cz>  [cfea27e67d8610f0275b36cbf42ca582a7338fe1]

Fixed build with --enable-kde4

(ULONG no longer exists)

2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [cc3ff1b5e63a27057a52597e2e3ea0926ac479a8]

add --trace-children=yes


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [d3cece5f21b09e3e91a95244ad5120bf8ae3c3d2]

fix various leaks


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [c7fa546f50dfb103121eefe1b7483975282df451]

valgrind: don't close invalid fd


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [4cea8c42b8fc300bfea02711c2336cb5fd1a69ee]

global uno::Sequences are very problematic at shutdown time

because the underlying uno infrastructure has been shutdown already,
we need to ensure their lifecycle more carefully.

2011-03-23  Michael Meeks  <michael.meeks@novell.com>  [022af09377d9ea1a6873cdbc5bd3109e145be236]

fixup paths to pagein files


2011-03-22  Thomas Arnhold  <thomas@arnhold.org>  [0e8bac0d19507d003fcde4c239a5c12ebe10539d]

Remove ChangeLog file


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [7dd5f8ec5da709549ec435dc1cafef43ba573eb9]

output the paths that fail


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [ed05f68fdb0d5f503e0448e00f640951089b417c]

Revert "Replace String with rtl::OUString"

You can't hope to change *some* virtual methods of a hierarchy and
leave others untouched, they all have to be changed together.

This reverts commit 9f46bee92be38f2d59295cabd9f1fdb149708153.

2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [f903906471315e525b181e852cbf44fd05174383]

You want to fill all arg slots, not overwrite the initial ones


2011-03-22  Petr Mladek  <pmladek@suse.cz>  [7d1c989c2118aa8691ec87d8c2fc06e029b6e89b]

fix desktop integration build with BrOffice brand enabled

do not hardcode libreoffice wrapper name; the compat libreoffice
symlink is created if BrOffice brand is being built

2011-03-22  Michael Meeks  <michael.meeks@novell.com>  [5fa587fee67f5728979b776d8d108dcce6f013c6]

cope with no resource file better


2011-03-22  Christina Rossmanith  <ChrRossmanith@web.de>  [8fff5ae970e3bc69c92481b351df187769c1c537]

Removed comments /commented code


2011-03-22  Christina Rossmanith  <ChrRossmanith@web.de>  [321b2e7300b9e41e77425434433f245a09ed79a6]

Removed never defined _OLD_FILE_IMPL


2011-03-22  Michael Meeks  <michael.meeks@novell.com>  [754e9c5d871c03e18678383bc388ce47a19c7261]

fix misc. Mac build problems anyway


2011-03-22  Michael Meeks  <michael.meeks@novell.com>  [151e325d9adc2e073835665bf2b3c004444b0726]

disable pagein and oosplash.bin compile/install for Mac


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [de3b51b0a627285744f179681175a6a6a9c8c19b]

WaE: unused variables


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [3c805af018478f431b74088e9eee8564bb0255a5]

WaE: this isn't helpful


2011-03-22  npcdoom  <venccsralph@gmail.com>  [dab1b528ed2e2e0f7c494b3d955d8e0ba9798c0a]

Remove DECLARE_LIST( FmCtrlModelList, XInterface* ).


2011-03-22  Michael Lefevre  <lefevre00@yahoo.fr>  [2210c6e03ab5006828cf8b26e27071b63c9b9022]

Delete last SVX_LIGHT usage

Xavier SVX_LIGHT deletion forgot just on occurence.
This patch delete the last one.

2011-03-22  Xisco Fauli  <anistenis@gmail.com>  [9f46bee92be38f2d59295cabd9f1fdb149708153]

Replace String with rtl::OUString


2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [380259a4f82ba4097b0f7d8cabae838ecbed3cb7]

add missing .component file


2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [75fa680b43011ddbb53a7e416703616fc918c432]

misc fixes, and un-conditionally enable the splash reporting component

Lots of re-work here; un-conditionally use the splash component to do
more intelligent fast starting. Throw up the splash screen before we
start doing 'pagein' work (to get better progress / launch feedback),
and hide javaldx too.

2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [e08dcb189d2560fd761bbbd955652e930551e12d]

split out argument parsing to clean it up


2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [1df79912a5503f3f5f3c87bac3258e1c5eff93dc]

re-work start process to enable earlier splash and faster start


2011-03-21  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [4e81ce572f16622fbd8a56f45c0a59b343a09c5c]

German comments translations.


2011-03-21  Bálint Dózsa  <dozsabalint@gmail.com>  [d764cc311949b965754d4e070d6df66056518af8]

FIX BUG 32559 - officecfg


2011-03-21  Dózsa Bálint  <dozsa@linux-dugf.site>  [882132e3b6eba713f70c5e58e263f19a00dc8db8]

FIX BUG 32559


2011-03-21  Xisco Faulí  <anistenis@gmail.com>  [0035c6e463fed5d7d8712151b1d24c564a6837a3]

Remove most of dead code inlibs-core (basic)


2011-03-21  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d68424e3fea47220cb42ed8eea07b6d2eacba623]

editeng: Adapted borderline unit test to new build system


2011-03-21  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [91bfef4a5814d47d20f391198b3cc2541367f70d]

Borders: Removed now useless width constants


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [73c4d338ef3fda99a8a4e726c0f5508c2501cdf9]

rename this to avoid resource warning


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [754243c44b42771ccc3fd0a3a44d4dd49cb7e557]

fix this


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [473ed83c2236d59cb71fc59aa13b08f999f84b29]

WaE: remove unused return values


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [9d0eb54ac912e117224e42a37838c826724ef77e]

WaE: remove unused argument


2011-03-20  Thomas Arnhold  <thomas@arnhold.org>  [b6b72eb5412c7cf028768e773d1afd1b685eb8f3]

Revert "Actually make this work with --disable-mozilla --without-system-mozilla"

This reverts commit aff0b9ef35cc98daaca9f7cc5be7da7673dabcbd.

Problem is more complex...

2011-03-20  Thomas Arnhold  <thomas@arnhold.org>  [7fdc7e91af2e114897388d049cd5b529823cd4ea]

WaE: silence warnings


2011-03-20  Thomas Arnhold  <thomas@arnhold.org>  [aff0b9ef35cc98daaca9f7cc5be7da7673dabcbd]

Actually make this work with --disable-mozilla --without-system-mozilla


2011-03-20  Caolán McNamara  <caolanm@redhat.com>  [c27c9a58dc6315851f2349fde4fd1614336877d8]

WaE: uninit variable


2011-03-20  Caolán McNamara  <caolanm@redhat.com>  [6d9971a6dafa8451bf2a1d409512b090f2ce74de]

WaE: silence these warnings again post merge


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [63c1fecf1728ea3c57a238824e4cee20cc32adaa]

hairline borders were never displayed


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [932d6c7f30e62e8aadb5e430320928d15fa104c5]

Fixed line style toobar control to display all line styles


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6c7183cbcc497999f51b8a191d9f92e6dfd3de61]

Fixed line style in footnote format GUI and saved it to ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f62695deb4cc333247b625d1864ab6262fa02eb6]

Added column separator style in ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b6e874de427a748156307d50cf6bf0ef89b0ffd1]

Use bigger rectangle to be sure it will be clipped


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [803cf87450b5a14c51e6b9c263748f4cbf4d00ee]

Fixed typo conditionning the display of BLTR borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [aa9530e734936ace04d900ec1cf7ef7fdfc728de]

No tools value for pi or the basegfx methods will give unprecise results


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [066ff6ecfc23bb7e854642a153417e516ec4f1b2]

sc: draw slanted borders using the drawinglayer primitives


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8fe4b54be1b618e066b9f3b8f8ea159dcd6beec6]

svx::frame::DrawRange has now a drawinglayer equivalent


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3800c9d28cd42348dcc194b39d87af8e36b752ef]

Fixed RTF import/export of new border lines


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c33c7f136fe14472c58a56211afbe96166625073]

editeng: more reliable test library build


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [32f4b0aad616dac395023badfcf6e297714d230e]

ODF borders import: constants cleanup


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [52b908ce3db5f9b1556cdb4cbdc3b92ef2f89583]

Fixed lines width guessing: gap are no smaller than 1pt


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d6b62a3010360235886093d6cabe47c4ee82a2d7]

Embossed and engraved to fit ODF specs


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [cb0d34c88b12eb1d057dfaff6587913c2577690d]

ODF export of new border types


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b3e31b39053885062acae787e4994bd9cfa648a2]

Uninitiallized members in SvxBorderLine copy constructor


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [056dbf2e1d1933280175db152eaaf09ef4234ac1]

Changing the BorderWidthImpl when changing style in SvxBorderLine


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1f98f6e1a4be668a07b72c91fb1e835c92983fe5]

Switching the order of the SetLinesWidth arguments


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [95ef468983dc8a3dd03dfb6fb9de4a44d5255c1c]

Fixed units mess in SvxBorderLine and BorderLineImpl


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [107b2df50603cb030d50d5b34014972320a6e586]

Fix border selector to use the new widths system


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0369047bf1e7efee2957d23db963831989dce673]

More build fixes in editeng


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0b5e60bc602da708ce31565a01d886af43bf0a15]

Documented and Unit-tested the SvxBorderLine::SetLinesWidth


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f32570fa1dd3808ba4ebde6e8e359e5132cc9cdf]

Disabled the use of MID_*_WIDTH... not sure of it


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7714ce2034e2c08b5bb939131a3bd96348dc5bd9]

Fixed the RTF import of borders to use new widths system


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [97394f1e75d0f0013e883159a30d0291264e35d5]

Borders: Started to impact the changes of SvxBorderLine


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [dbe9e685aceda03418026547a4207bfc6619d041]

SvxBorderLine: changed the widths definition


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [55077bf762e058facd5692c83f5d2bce2d8c4ce4]

Nicely draw borders using drawinglayer


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [9061806bb3c4ca0acd391dd697f4757db6b7cdbc]

WaE: missing format string


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [7c66790faa8491c0d28c6cde38ea08c054ec59b5]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-19  David Tardon  <dtardon@redhat.com>  [dfa833215b5ad25790ed4827353cbd4fde42e663]

solar types are gone--remove this hack


2011-03-18  Xisco Fauli  <anistenis@gmail.com>  [219e26512aa06a10560cb2a92ac182881b6dfd4a]

Remove dead code in libs-core


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [22678414434901fb56993ee581f96c112a268d3c]

we seem to have lost the use of rLang after the merge


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [a45fc40179f43d976038c4f6ecd783f15a4d2709]

unused variables


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [01f4f7835244689f7a11fe9a964576ca114db64c]

WaE: nBtnIndex set but unused


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [174a9ff012336ccc140c4127e64b6d31d5ae03ae]

WaE: bResetSession set but unused


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [77ce2b2628851a09cbd77378405c4874c06fba58]

these statements have no effect, looks like debugging code


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [56142b27b505cf5d248610e15b867a69d46d0079]

WaE: member init list out of order


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [dc6b012db0b0da01659529182409cecc037e07ea]

WaE: pDockingAreaWindow unused


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [6bb0121249de3a35880c19c6eb9d3b2b583fe9bc]

WaE: fix dubious undefined behaviour


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [ec234ed518fef31125820497252a2c6d3e8fe421]

WaE: id only used in debugging code


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [b2c2657feae01f04f099f5d38944e5a6e89aa503]

Misc dbgutil build fixes

Various leftover DBG_TRACE and tooltype removal fallouts

2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [ccecbc52c3380c527fd1532d96bc2748194a1af0]

Fix dbgutil breakage - no DBG_TRACE anymore


2011-03-18  Thomas Arnhold  <thomas@arnhold.org>  [954aec5cb342d9850354ea126389910cb5050ad8]

WaE: silence some warnings


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [3febb0385d10b0ea4ecb967a75c223bc95a3d0f2]

Fix typo in gallery makefile

realpath exposes typo in path name - needs to be gallery2

2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [447c1623ed2a18c7c352857968fbafac0598e089]

Sprinkle some realpath goodness here, too


2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [9e7b1de6d12558743de1d5c70756a1bdd2e345b1]

Sprinkle some realpath goodness here, too


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [a65a0ce0700bae589c6c35972490a04e749efc12]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-core


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [b2f0133220474fda94f620b1916ba8d9ce839ba9]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	avmedia/source/framework/mediacontrol.cxx
	connectivity/source/commontools/DateConversion.cxx
	desktop/source/deployment/registry/component/dp_component.cxx
	editeng/inc/editeng/numitem.hxx
	editeng/inc/editeng/txtrange.hxx
	editeng/source/editeng/editobj.cxx
	editeng/source/editeng/editview.cxx
	editeng/source/editeng/eehtml.cxx
	editeng/source/editeng/impedit3.cxx
	editeng/source/editeng/impedit4.cxx
	editeng/source/misc/txtrange.cxx
	editeng/source/outliner/outlin2.cxx
	editeng/source/outliner/outlvw.cxx
	framework/source/layoutmanager/layoutmanager.cxx
	linguistic/source/lngsvcmgr.hxx
	sfx2/source/appl/app.cxx
	sfx2/source/appl/app.src
	sfx2/source/appl/appbas.cxx
	sfx2/source/appl/appcfg.cxx
	sfx2/source/appl/appdde.cxx
	sfx2/source/appl/appmain.cxx
	sfx2/source/appl/appopen.cxx
	sfx2/source/appl/appquit.cxx
	sfx2/source/appl/appserv.cxx
	sfx2/source/appl/childwin.cxx
	sfx2/source/appl/fileobj.cxx
	sfx2/source/appl/fileobj.hxx
	sfx2/source/appl/workwin.cxx
	sfx2/source/control/dispatch.cxx
	sfx2/source/control/macro.cxx
	sfx2/source/control/objface.cxx
	sfx2/source/control/request.cxx
	sfx2/source/control/shell.cxx
	sfx2/source/control/statcach.cxx
	sfx2/source/dialog/dinfdlg.cxx
	sfx2/source/dialog/dockwin.cxx
	sfx2/source/dialog/mailmodel.cxx
	sfx2/source/dialog/mailmodelapi.cxx
	sfx2/source/dialog/mgetempl.cxx
	sfx2/source/dialog/splitwin.cxx
	sfx2/source/dialog/styledlg.cxx
	sfx2/source/dialog/tabdlg.cxx
	sfx2/source/dialog/templdlg.cxx
	sfx2/source/dialog/tplcitem.cxx
	sfx2/source/dialog/tplpitem.cxx
	sfx2/source/doc/doctempl.cxx
	sfx2/source/doc/docvor.cxx
	sfx2/source/doc/new.cxx
	sfx2/source/doc/objcont.cxx
	sfx2/source/doc/objserv.cxx
	sfx2/source/doc/objxtor.cxx
	sfx2/source/inc/appdata.hxx
	sfx2/source/inc/helpid.hrc
	sfx2/source/inc/sfxlocal.hrc
	sfx2/source/inc/statcach.hxx
	sfx2/source/inc/templdgi.hxx
	sfx2/source/inc/virtmenu.hxx
	sfx2/source/inc/workwin.hxx
	sfx2/source/menu/mnumgr.cxx
	sfx2/source/menu/virtmenu.cxx
	sfx2/source/statbar/stbitem.cxx
	sfx2/source/view/frame.cxx
	sfx2/source/view/frame2.cxx
	sfx2/source/view/orgmgr.cxx
	sfx2/source/view/printer.cxx
	sfx2/source/view/prnmon.cxx
	sfx2/source/view/sfxbasecontroller.cxx
	sfx2/source/view/viewfrm.cxx
	sfx2/source/view/viewfrm2.cxx
	sfx2/source/view/viewprn.cxx
	sfx2/source/view/viewsh.cxx
	svx/inc/svx/svditer.hxx
	svx/source/dialog/sdstring.src
	svx/source/form/fmpage.cxx
	svx/source/form/formcontroller.cxx
	svx/source/svdraw/svdcrtv.cxx
	svx/source/svdraw/svditer.cxx
	svx/source/svdraw/svdview.cxx
	xmloff/source/forms/elementimport.cxx

2011-03-18  Luboš Luňák  <l.lunak@suse.cz>  [8424af3e1b69f00f442a5a49a964813ede2f09e7]

use full path for kdefilepicker helper binary (bnc#31109)

ack by pmladek

2011-03-18  Luboš Luňák  <l.lunak@suse.cz>  [16b7cf288722a40ad7d847c829c3a4fba570cf0a]

use full path for kdefilepicker helper binary (bnc#31109)


2011-03-17  Michael Lefevre  <lefevre00@yahoo.fr>  [208026880b11d292d0cd7da2bc4b6a5d7955991d]

Remove duplicated constant F_PI and friends

Easy hack, constants already defined in libs-gui/basegfx/inc/basegfx/numeric/ftools.hxx

2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [ee429287783ba7f9fe100cb3b32e64076d39c0c9]

Add realpath calls to unbreak build on Windows


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [17ec4acbb0f70732209ce35c5fa7f04e7369efd2]

No #warning in MSVC


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [992c6c361cad202467c392752de22d699a9897dc]

Sprinkle some realpath goodness here, too


2011-03-17  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [af1aaedbdb9e6778559e1c1934eb2ea9a9d03191]

killing off stl in gbuild


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [068d7f72bca71b319c4bba63aed95b0487376e1b]

Bypass ODMA crack for now

It is too hard for me to figure out how to get it to link with
odma_lib.lib, which is a static library built and delivered over in
ucb/source/ucp/odma.

2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [29499a91c300e9cde8955537f1abfc1386e66e78]

Sprinke some realpath goodness here, too


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [2f8f972e8c9a0b6d22412875402824e35988e6af]

Add FWE_DLLPUBLIC


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [f2f00bd3752c1dc3a3e47099bd81bc2057577b0d]

Use realpath to unbreak compilation for Windows


2011-03-17  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e1050cc8589df4dd685d0fae2079dd306d1f09ff]

Edit -> Delete Contents should show the assigned keystroke, fdo#33149.


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [02dcdeb3d995f77beb2d03c51a7d5a705dd523e5]

chmod -x


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [84d3da35f367611b3bb68c88e7e5f53ea8b22d1b]

Use realpath for Cygwin goodness, drop -I options to nonexistent directories


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [2996d639b245fc99d43b5ea03481ee9df279d4c5]

Make the OCMA UCP build again, add .component file


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [00635c68d4498bd5241bd4b09cc1529b51382548]

fix typo


2011-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3d031b4163195ead56a1ab9e29a64be9ba19b24]

Revert "Adding back the inline keyword, since it is not killing anybody"

This reverts commit dc780335fee65b01241c0c41789b78726752348d.

2011-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc780335fee65b01241c0c41789b78726752348d]

Adding back the inline keyword, since it is not killing anybody


2011-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d1a3c43bb06e48a8121aec6e6fdc290335ef8ba4]

Fix editeng Windows build


2011-03-16  obo  <obo@openoffice.org>  [d46e1d383278641d664dce56965c11b05ac95b4a]

CWS-TOOLING: integrate CWS vcl120


2011-03-16  obo  <obo@openoffice.org>  [ae8ebca63dca37e1ef6584577d375248681b3d90]

CWS-TOOLING: integrate CWS jl164


2011-03-16  obo  <obo@openoffice.org>  [b7d4d897a9fb26df5d4cd63dcba1839f63d412cb]

CWS-TOOLING: integrate CWS chart55


2011-03-16  obo  <obo@openoffice.org>  [65db8558c0c97c00e9577e5a1ac85832cfe8f79c]

CWS-TOOLING: integrate CWS chart51


2011-03-16  obo  <obo@openoffice.org>  [c342b166dbb2dd1d931cf33f41ea4f7bcf00de9f]

CWS-TOOLING: integrate CWS debuglevels


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [d53f88ca2dc7d74eeffb91fc70490d99ae390d62]

Skip some tests that require Java when --without-java.

However, this also skips tests for python...  Something to look into
to fix later.

2011-03-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [d55bd63572888a5687a0d5fb4d50be12a0dded66]

avmedia/gstreamer .mk must include target.mk even if it has nothing to do


2011-03-15  Christina Rossmanith  <ChrRossmanith@web.de>  [6f6d21f8467258e53b1725a74d8a2cc611e2d1a4]

Removed unused constant PORTIONKIND_EXTRASPACE


2011-03-15  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [bc47c8a46607896b1099d6a78d80a57bcd2e9ce7]

Additional translations of Germancomments in libs-core/editeng


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [f2dfd936d2139a8b8fb62ec8ef1310a0c0528dc7]

register component we need for writer ...


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [758f3e019bc5af020892c3701b9220f432fd3bfe]

more merge fixes


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [d75ceaf6b4cdc2eb9d2f99565856bb029e72bd05]

cleanup gstreamer component


2011-03-15  Thorsten Behrens  <tbehrens@novell.com>  [a0f7ff1225d59cf2fa8b9efd65e0b43d64b28eef]

Fix build in scripting


2011-03-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [b87ef44ec29ede1a8989dae7ce83f14ba13bd6ad]

sligh mis-merge... was corrected during the m98 iteration, reported here.


2011-03-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [d303501fa3e31c0df86ae74f3ae4a0894f0525b6]

ENABLE_VBA is no more


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [0cfe41dfb8ac919bf5b288bd06c13690ae41550d]

WaE: remove set but unused variables


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [2db30c88163333cc7c3560585fd9b27ef006501c]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [33413c87682dd5b90253d89e3e2e69680837128e]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [25be294aa2e4fec522cf924d0f18f56cd1ebd147]

Remove SC_VBA_FIXME and SC_VBA_STUB

The one usage of SC_VBA_FIXME is replaced by OSL_TRACE directly.

2011-03-14  Julien Nabet  <serval2412@yahoo.fr>  [f6780d0397dba36e92f1fce9b68361aa38bc271c]

fix pychecker bugs.


2011-03-14  Andras Timar  <timar@fsf.hu>  [f618e5fe2b1674eae680bf5793dadd3c7a86d186]

make LibreOffice palette entries localizable - fdo#32628


2011-03-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [122627e95229d22629f6f971843e072f2ef5006f]

reeabling unittests as the cppunittester location is fixed now in solenv


2011-03-14  Hanno Meyer-Thurow  <h.mth@web.de>  [fded3924bc359131356a4dfbab6078e7e745b66f]

Merge Gentoo patches from old build and downstream repositories.

1. Do not add compiler default include and library path: potentially build
   against different version of system library than requested by the user.
2. Add a configure option to disable Python2 (PyUNO) bindings. Python3 is
   available for more than two years. Noone cares, therefore rest in peace.
   Python2 is going to be ditched at some point. Simply do not fail then.
   Windows builds need to be updated for BUILD_TYPE: "PYUNO". Or how is it
   handled nowadays?
3. Fix sandbox violation in officecfg module: rm /bin/<language>.zip
4. Add a configure option to search only in one place for JVMs, which is quite
   interesting for Linux Distributions. Enforce the user to place JVMs in one
   base directory.
5. Fix build for libxml-2.7.8 with ICU support.

* config_office-XINC-XLIB-defaults.diff: (1)
* disable-python.diff: (2)
* gentoo-sandbox.diff: (3)
* jvm-search-path.diff: (4)
* libxmlsec_fix_extern_c.diff: (5)

2011-03-14  npcdoom  <venccsralph@gmail.com>  [6466904b413b2cee8587cee2e9ac1bb6ee5c495b]

Change CreateSelectionList to use vector instead of List.

- Removed returning List and added a parameter of
std::vector<Paragraph*> to CreateSelectionList.

2011-03-14  Xisco Fauli  <anistenis@gmail.com>  [0052dd56c55eeb4689c923d4cff03e295ee18c96]

Remove dead code in libs-core


2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [9a8f495d3192a246931b4c12f53760d6e4e71551]

fix signature mismatch


2011-03-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [8e4f6b1445dce34d809c4e376636280722b96af4]

a little less flicker


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [50d648ef3345aac539655d386fb6598121e3efe0]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [412a60325c547f4aaf05635c169ed4428102642c]

fix issue with avmedia GSTREAMER on mac


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [af00ca537358a6b6c8a7f5f17e8819494f6ee36c]

fix mis-merge in desktop


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [f6339b769ce8d115d14a0e1b5f56c34db57b67e0]

Don't use GetBuffer on a char


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [6a0290ee55ea8bf2fd20b9a2474a5b6b90c83219]

OSL_TRACE: Use format string for GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [4363d620076d3624d96bdde5ad72d88065858071]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [dbb2c4348eb885830a5588071fdf8a1d8871b89b]

OSL_TRACE: Use format string for GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [b5b65a8c729542455591cc327fa763d2ab666ffc]

OSL_TRACE: Use format string


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [2805bb8f967eaa6ec9bcae717251408cd78ae3c0]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [5c7b859266e75bf47e9994fef089253a2228f277]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [b8efe129da1827f833dbf1fa7761707a7f17bd50]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [52aa2c2de686ab61a5a7257a0a62111366407fa0]

Don't use GetBuffer() on char*


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [35cf2a53c1c18e96fd28ab10c5ab89768cdd31cd]

Move DBG_TRACE to OSL_TRACE for strings foo().GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [31fd492594a0ad3abc33beeb15c04fa79d896c9f]

Move DBG_TRACE to OSL_TRACE for strings GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [60c07114cb89c326001bdd513831b1c20ef0e1e6]

Use GetBuffer() for String


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [42dc1e0e6e480f9ddf55c881b12e4296c98b4b62]

Move DBG_TRACE to OSL_TRACE for getStr()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [a2b52fe25b191d7977c4cb688cb63cd77ec74ec1]

Use getStr() for OStrings


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [557104f9da6e398a4ed1f560bafcfe141ed3e090]

Move DBG_TRACE to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [cc6c0e36117d19caddedae84202b7233838d1a71]

Move DBG_TRACE* to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [48697a28423d37d6701df6332fa2196f71b16a65]

Move DBG_TRACE5 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [40d42817c3cb02618971b42675534a4341be4d52]

Move DBG_TRACE3 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [1e09d43035442bf9dbfbb1fcf46e8c47c408a23e]

Move DBG_TRACE2 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [f2f0b8d3f965ed665c669015abe66fea5e0beca4]

Move DBG_TRACE1 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [82e8f83571de00762e6aff0744a0f0fac31f39fb]

Move DBG_ERROR1 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [170fea523b7f2420455cded5a016649aab19586c]

Move DBG_ERROR to OSL_FAIL for mac files


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [8545f682c8769904702859464b9ea5a4c10e301b]

Remove unused macros HANDLE_SQL_ERRORS and DO_SAFE_WITH_ERROR


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [dd7ee8cb3051955d2312ce7b0403ea38d017ad1f]

Move DBG_ERROR to OSL_FAIL and correct OString usage


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [4179d8928f37e49955290994b7f2b3110c8628e6]

Move DBG_ERROR to OSL_FAIL for getStr() (multiline)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [57dc260c5d7025f18f25f5d47a53e2cbb1e86129]

Move DBG_ERROR to OSL_FAIL for strings with masked quotation marks


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [d3e886b7a6ccb0f1baf5fda1f7a7ed802b5e828d]

Move DBG_ERROR to OSL_FAIL for getStr()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [470460ab6c40c2ed2e8e6e56524957fcde72a8a9]

Move DBG_ERROR to OSL_FAIL for strings foo().GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [079228d8642177a83c49de15b0c1352ee38d9d7b]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [acc12e35cd8dd6b53ae604d949ad2dcd517d6d4b]

re-add linkwarn, used by impress


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [71830cbb7df9878fe5fa150d56d7d52cf027455d]

sligh mis-merge, and favor bool over sal_Bool for internal stuff


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [76281bcad47738ecafc46b63d9eef7b8d88380ce]

add missing items/justifyitem in editeng build


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [eb90ab5a73149323b50f18a02968fbdcee539236]

fix mis-merge all-around.


2011-03-12  Julien Nabet  <serval2412@yahoo.fr>  [97a762bb4f0aa51c20d858eb5b56c35dbb9044d0]

fix tabs + attributes not declared


2011-03-12  Julien Nabet  <serval2412@yahoo.fr>  [99b923a9e02bf6dae7ab8cee9b14f95e912bd2a5]

replace spaces (put by mistake) with tabs


2011-03-12  Julien Nabet  <serval2412@yahoo.fr>  [60b368fa19ced4595bfba8068b1e5769a1be187d]

Fix bug found with pychecker


2011-03-12  Thorsten Behrens  <tbehrens@novell.com>  [f9c53ad052cb31b8ff2727526651a79f333e3bf6]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

Conflicts:
	avmedia/inc/avmedia/mediaitem.hxx
	avmedia/prj/build.lst
	avmedia/source/framework/mediaitem.cxx
	avmedia/source/gstreamer/gstcommon.hxx
	avmedia/source/gstreamer/gstframegrabber.cxx
	avmedia/source/gstreamer/gstframegrabber.hxx
	avmedia/source/gstreamer/gstmanager.cxx
	avmedia/source/gstreamer/gstmanager.hxx
	avmedia/source/gstreamer/gstplayer.cxx
	avmedia/source/gstreamer/gstplayer.hxx
	avmedia/source/gstreamer/gstuno.cxx
	avmedia/source/gstreamer/gstwindow.cxx
	avmedia/source/gstreamer/gstwindow.hxx
	avmedia/source/gstreamer/makefile.mk
	avmedia/source/quicktime/quicktimeuno.cxx
	avmedia/source/viewer/mediawindow.cxx
	avmedia/source/viewer/mediawindow_impl.cxx
	avmedia/source/viewer/mediawindow_impl.hxx
	avmedia/source/viewer/mediawindowbase_impl.cxx
	avmedia/source/win/winuno.cxx
	basic/inc/basic/basmgr.hxx
	basic/inc/basic/mybasic.hxx
	basic/inc/basic/process.hxx
	basic/inc/basic/sbmeth.hxx
	basic/inc/basic/sbmod.hxx
	basic/inc/basic/sbxdef.hxx
	basic/inc/basic/sbxvar.hxx
	basic/source/app/app.cxx
	basic/source/app/app.hxx
	basic/source/app/appbased.cxx
	basic/source/app/appedit.cxx
	basic/source/app/appwin.cxx
	basic/source/app/appwin.hxx
	basic/source/app/brkpnts.cxx
	basic/source/app/brkpnts.hxx
	basic/source/app/dialogs.cxx
	basic/source/app/dialogs.hxx
	basic/source/app/msgedit.cxx
	basic/source/app/mybasic.cxx
	basic/source/app/process.cxx
	basic/source/app/processw.hxx
	basic/source/app/textedit.cxx
	basic/source/basmgr/basicmanagerrepository.cxx
	basic/source/basmgr/basmgr.cxx
	basic/source/classes/disas.cxx
	basic/source/classes/eventatt.cxx
	basic/source/classes/image.cxx
	basic/source/classes/sb.cxx
	basic/source/classes/sbunoobj.cxx
	basic/source/classes/sbxmod.cxx
	basic/source/comp/codegen.cxx
	basic/source/comp/dim.cxx
	basic/source/comp/exprgen.cxx
	basic/source/comp/exprnode.cxx
	basic/source/comp/exprtree.cxx
	basic/source/comp/sbcomp.cxx
	basic/source/inc/expr.hxx
	basic/source/inc/object.hxx
	basic/source/inc/sbunoobj.hxx
	basic/source/runtime/dllmgr-x86.cxx
	basic/source/runtime/iosys.cxx
	basic/source/runtime/makefile.mk
	basic/source/runtime/methods.cxx
	basic/source/runtime/methods1.cxx
	basic/source/runtime/runtime.cxx
	basic/source/runtime/stdobj.cxx
	basic/source/runtime/step0.cxx
	basic/source/runtime/step1.cxx
	basic/source/runtime/step2.cxx
	basic/source/sbx/sbxarray.cxx
	basic/source/sbx/sbxbase.cxx
	basic/source/sbx/sbxbool.cxx
	basic/source/sbx/sbxbyte.cxx
	basic/source/sbx/sbxcoll.cxx
	basic/source/sbx/sbxconv.hxx
	basic/source/sbx/sbxcurr.cxx
	basic/source/sbx/sbxexec.cxx
	basic/source/sbx/sbxint.cxx
	basic/source/sbx/sbxobj.cxx
	basic/source/sbx/sbxscan.cxx
	basic/source/sbx/sbxstr.cxx
	basic/source/sbx/sbxvals.cxx
	basic/source/sbx/sbxvalue.cxx
	basic/source/sbx/sbxvar.cxx
	basic/workben/mgrtest.cxx
	configmgr/prj/build.lst
	configmgr/source/access.cxx
	configmgr/source/configurationprovider.cxx
	configmgr/source/defaultprovider.cxx
	configmgr/source/pad.cxx
	configmgr/source/services.cxx
	configmgr/source/update.cxx
	configmgr/source/xmlreader.cxx
	configmgr/source/xmlreader.hxx
	connectivity/prj/build.lst
	connectivity/qa/complex/connectivity/TestCase.java
	connectivity/source/cpool/Zregistration.cxx
	connectivity/source/drivers/adabas/Bservices.cxx
	connectivity/source/drivers/ado/Aservices.cxx
	connectivity/source/drivers/calc/Cservices.cxx
	connectivity/source/drivers/calc/makefile.mk
	connectivity/source/drivers/dbase/DIndex.cxx
	connectivity/source/drivers/dbase/DIndexIter.cxx
	connectivity/source/drivers/dbase/DNoException.cxx
	connectivity/source/drivers/dbase/DTable.cxx
	connectivity/source/drivers/dbase/Dservices.cxx
	connectivity/source/drivers/dbase/dindexnode.cxx
	connectivity/source/drivers/evoab/LNoException.cxx
	connectivity/source/drivers/evoab/LServices.cxx
	connectivity/source/drivers/evoab2/NServices.cxx
	connectivity/source/drivers/file/FNoException.cxx
	connectivity/source/drivers/file/FPreparedStatement.cxx
	connectivity/source/drivers/file/FResultSet.cxx
	connectivity/source/drivers/file/FStatement.cxx
	connectivity/source/drivers/file/quotedstring.cxx
	connectivity/source/drivers/flat/ETable.cxx
	connectivity/source/drivers/flat/Eservices.cxx
	connectivity/source/drivers/hsqldb/Hservices.cxx
	connectivity/source/drivers/jdbc/jservices.cxx
	connectivity/source/drivers/kab/KServices.cxx
	connectivity/source/drivers/macab/MacabServices.cxx
	connectivity/source/drivers/mozab/MResultSet.cxx
	connectivity/source/drivers/mozab/bootstrap/MNSFolders.cxx
	connectivity/source/drivers/mozab/bootstrap/MNSProfileDiscover.cxx
	connectivity/source/drivers/mysql/Yservices.cxx
	connectivity/source/drivers/odbc/OFunctions.cxx
	connectivity/source/drivers/odbc/oservices.cxx
	connectivity/source/inc/dbase/DIndexPage.hxx
	connectivity/source/inc/file/FTable.hxx
	connectivity/source/manager/mregistration.cxx
	connectivity/source/parse/PColumn.cxx
	desktop/prj/build.lst
	desktop/qa/deployment_misc/test_dp_version.cxx
	desktop/source/app/app.cxx
	desktop/source/app/appfirststart.cxx
	desktop/source/app/cmdlineargs.cxx
	desktop/source/app/cmdlineargs.hxx
	desktop/source/app/sofficemain.cxx
	desktop/source/deployment/gui/dp_gui.hrc
	desktop/source/deployment/gui/dp_gui_dialog2.cxx
	desktop/source/deployment/gui/dp_gui_dialog2.hxx
	desktop/source/deployment/gui/dp_gui_updatedialog.cxx
	desktop/source/deployment/gui/dp_gui_updatedialog.hxx
	desktop/source/deployment/manager/dp_extensionmanager.cxx
	desktop/source/deployment/manager/dp_extensionmanager.hxx
	desktop/source/deployment/misc/dp_misc.src
	desktop/source/deployment/registry/component/dp_component.cxx
	desktop/source/deployment/registry/configuration/dp_configuration.cxx
	desktop/source/deployment/registry/dp_backend.cxx
	desktop/source/deployment/registry/help/dp_help.cxx
	desktop/source/deployment/registry/script/dp_script.cxx
	desktop/source/migration/pages.cxx
	desktop/source/migration/pages.hxx
	desktop/source/migration/wizard.cxx
	desktop/source/migration/wizard.hrc
	desktop/source/migration/wizard.hxx
	desktop/source/migration/wizard.src
	desktop/source/pkgchk/unopkg/unopkg_shared.h
	desktop/source/so_comp/services.cxx
	desktop/source/splash/makefile.mk
	desktop/source/splash/services_spl.cxx
	desktop/source/splash/splash.cxx
	drawinglayer/source/processor2d/vclmetafileprocessor2d.cxx
	editeng/inc/editeng/adjitem.hxx
	editeng/inc/editeng/bolnitem.hxx
	editeng/inc/editeng/borderline.hxx
	editeng/inc/editeng/boxitem.hxx
	editeng/inc/editeng/brkitem.hxx
	editeng/inc/editeng/brshitem.hxx
	editeng/inc/editeng/bulitem.hxx
	editeng/inc/editeng/charreliefitem.hxx
	editeng/inc/editeng/charrotateitem.hxx
	editeng/inc/editeng/charscaleitem.hxx
	editeng/inc/editeng/cmapitem.hxx
	editeng/inc/editeng/colritem.hxx
	editeng/inc/editeng/crsditem.hxx
	editeng/inc/editeng/editdata.hxx
	editeng/inc/editeng/editeng.hxx
	editeng/inc/editeng/editobj.hxx
	editeng/inc/editeng/editstat.hxx
	editeng/inc/editeng/editview.hxx
	editeng/inc/editeng/emphitem.hxx
	editeng/inc/editeng/escpitem.hxx
	editeng/inc/editeng/fhgtitem.hxx
	editeng/inc/editeng/flstitem.hxx
	editeng/inc/editeng/fontitem.hxx
	editeng/inc/editeng/frmdiritem.hxx
	editeng/inc/editeng/fwdtitem.hxx
	editeng/inc/editeng/hyznitem.hxx
	editeng/inc/editeng/kernitem.hxx
	editeng/inc/editeng/langitem.hxx
	editeng/inc/editeng/lrspitem.hxx
	editeng/inc/editeng/lspcitem.hxx
	editeng/inc/editeng/numitem.hxx
	editeng/inc/editeng/outliner.hxx
	editeng/inc/editeng/paravertalignitem.hxx
	editeng/inc/editeng/pmdlitem.hxx
	editeng/inc/editeng/postitem.hxx
	editeng/inc/editeng/protitem.hxx
	editeng/inc/editeng/shaditem.hxx
	editeng/inc/editeng/sizeitem.hxx
	editeng/inc/editeng/svxacorr.hxx
	editeng/inc/editeng/svxfont.hxx
	editeng/inc/editeng/svxrtf.hxx
	editeng/inc/editeng/swafopt.hxx
	editeng/inc/editeng/tstpitem.hxx
	editeng/inc/editeng/twolinesitem.hxx
	editeng/inc/editeng/txtrange.hxx
	editeng/inc/editeng/udlnitem.hxx
	editeng/inc/editeng/ulspitem.hxx
	editeng/inc/editeng/wghtitem.hxx
	editeng/inc/editeng/writingmodeitem.hxx
	editeng/inc/editeng/xmlcnitm.hxx
	editeng/inc/helpid.hrc
	editeng/inc/pch/precompiled_editeng.hxx
	editeng/source/editeng/editdbg.cxx
	editeng/source/editeng/editdoc.cxx
	editeng/source/editeng/editdoc.hxx
	editeng/source/editeng/editdoc2.cxx
	editeng/source/editeng/editeng.cxx
	editeng/source/editeng/editobj.cxx
	editeng/source/editeng/editobj2.hxx
	editeng/source/editeng/editsel.cxx
	editeng/source/editeng/editundo.cxx
	editeng/source/editeng/editundo.hxx
	editeng/source/editeng/editview.cxx
	editeng/source/editeng/edtspell.hxx
	editeng/source/editeng/eehtml.cxx
	editeng/source/editeng/eehtml.hxx
	editeng/source/editeng/eeobj.cxx
	editeng/source/editeng/eerdll.cxx
	editeng/source/editeng/eertfpar.cxx
	editeng/source/editeng/impedit.cxx
	editeng/source/editeng/impedit.hxx
	editeng/source/editeng/impedit2.cxx
	editeng/source/editeng/impedit3.cxx
	editeng/source/editeng/impedit4.cxx
	editeng/source/editeng/impedit5.cxx
	editeng/source/editeng/makefile.mk
	editeng/source/items/bulitem.cxx
	editeng/source/items/charhiddenitem.cxx
	editeng/source/items/flditem.cxx
	editeng/source/items/frmitems.cxx
	editeng/source/items/makefile.mk
	editeng/source/items/numitem.cxx
	editeng/source/items/paraitem.cxx
	editeng/source/items/svxfont.cxx
	editeng/source/items/textitem.cxx
	editeng/source/items/writingmodeitem.cxx
	editeng/source/items/xmlcnitm.cxx
	editeng/source/misc/SvXMLAutoCorrectImport.cxx
	editeng/source/misc/svxacorr.cxx
	editeng/source/misc/txtrange.cxx
	editeng/source/misc/unolingu.cxx
	editeng/source/outliner/outleeng.cxx
	editeng/source/outliner/outliner.cxx
	editeng/source/outliner/outlundo.hxx
	editeng/source/outliner/outlvw.cxx
	editeng/source/outliner/paralist.cxx
	editeng/source/outliner/paralist.hxx
	editeng/source/rtf/rtfgrf.cxx
	editeng/source/rtf/rtfitem.cxx
	editeng/source/rtf/svxrtf.cxx
	editeng/source/uno/unoipset.cxx
	editeng/util/makefile.mk
	embeddedobj/prj/build.lst
	embeddedobj/source/commonembedding/miscobj.cxx
	eventattacher/prj/build.lst
	fileaccess/source/FileAccess.cxx
	formula/inc/formula/FormulaCompiler.hxx
	formula/inc/formula/token.hxx
	formula/inc/formula/tokenarray.hxx
	formula/source/core/api/FormulaCompiler.cxx
	formula/source/core/api/token.cxx
	formula/source/ui/dlg/FormulaHelper.cxx
	formula/source/ui/dlg/formula.cxx
	formula/source/ui/dlg/parawin.cxx
	formula/source/ui/dlg/structpg.cxx
	fpicker/prj/d.lst
	fpicker/source/aqua/FPentry.cxx
	fpicker/source/office/OfficeControlAccess.cxx
	fpicker/source/office/iodlg.cxx
	fpicker/source/office/iodlg.hxx
	fpicker/source/office/iodlg.src
	fpicker/source/office/iodlgimp.cxx
	fpicker/source/unx/gnome/FPentry.cxx
	fpicker/source/unx/gnome/SalGtkFilePicker.cxx
	fpicker/source/unx/gnome/SalGtkPicker.cxx
	fpicker/source/unx/kde4/KDE4FPEntry.cxx
	fpicker/source/win32/filepicker/FPentry.cxx
	framework/AllLangResTarget_fwe.mk
	framework/inc/dispatch/interaction.hxx
	framework/inc/framework/addonmenu.hxx
	framework/inc/framework/addonsoptions.hxx
	framework/inc/framework/bmkmenu.hxx
	framework/inc/framework/imageproducer.hxx
	framework/inc/framework/sfxhelperfunctions.hxx
	framework/inc/framework/statusbarconfiguration.hxx
	framework/inc/framework/titlehelper.hxx
	framework/inc/framework/toolboxconfiguration.hxx
	framework/inc/threadhelp/lockhelper.hxx
	framework/inc/xml/eventsdocumenthandler.hxx
	framework/inc/xml/statusbardocumenthandler.hxx
	framework/inc/xml/toolboxconfiguration.hxx
	framework/inc/xml/toolboxconfigurationdefines.hxx
	framework/inc/xml/toolboxdocumenthandler.hxx
	framework/prj/build.lst
	framework/qa/complex/ModuleManager/makefile.mk
	framework/qa/complex/accelerators/makefile.mk
	framework/qa/complex/framework/recovery/makefile.mk
	framework/qa/complex/imageManager/_XInitialization.java
	framework/source/classes/menumanager.cxx
	framework/source/dispatch/interaction.cxx
	framework/source/fwe/classes/bmkmenu.cxx
	framework/source/fwe/helper/actiontriggerhelper.cxx
	framework/source/fwe/helper/imageproducer.cxx
	framework/source/fwe/xml/menuconfiguration.cxx
	framework/source/fwe/xml/toolboxdocumenthandler.cxx
	framework/source/helper/uiconfigelementwrapperbase.cxx
	framework/source/helper/uielementwrapperbase.cxx
	framework/source/inc/pattern/window.hxx
	framework/source/jobs/jobdata.cxx
	framework/source/layoutmanager/layoutmanager.cxx
	framework/source/layoutmanager/panel.hxx
	framework/source/loadenv/loadenv.cxx
	framework/source/register/registerservices.cxx
	framework/source/services/menudocumenthandler.cxx
	framework/source/uiconfiguration/moduleuiconfigurationmanager.cxx
	framework/source/uiconfiguration/uiconfigurationmanager.cxx
	framework/source/uiconfiguration/uiconfigurationmanagerimpl.cxx
	framework/source/uielement/addonstoolbarmanager.cxx
	framework/source/uielement/controlmenucontroller.cxx
	framework/source/uielement/fontsizemenucontroller.cxx
	framework/source/uielement/imagebuttontoolbarcontroller.cxx
	framework/source/uielement/macrosmenucontroller.cxx
	framework/source/uielement/menubarmanager.cxx
	framework/source/uielement/newmenucontroller.cxx
	framework/source/uielement/togglebuttontoolbarcontroller.cxx
	framework/source/uielement/toolbarmanager.cxx
	framework/source/uielement/toolbarsmenucontroller.cxx
	framework/test/makefile.mk
	framework/test/threadtest/makefile.mk
	framework/test/typecfg/makefile.mk
	framework/util/guiapps/makefile.mk
	framework/util/makefile.mk
	idl/inc/bastype.hxx
	idl/inc/hash.hxx
	idl/inc/lex.hxx
	idl/inc/module.hxx
	idl/inc/object.hxx
	idl/inc/slot.hxx
	idl/inc/types.hxx
	idl/source/cmptools/hash.cxx
	idl/source/cmptools/lex.cxx
	idl/source/objects/basobj.cxx
	idl/source/objects/bastype.cxx
	idl/source/objects/module.cxx
	idl/source/objects/object.cxx
	idl/source/objects/slot.cxx
	idl/source/objects/types.cxx
	idl/source/prj/command.cxx
	idl/source/prj/database.cxx
	idl/source/prj/globals.cxx
	idl/source/prj/svidl.cxx
	linguistic/inc/linguistic/misc.hxx
	linguistic/prj/build.lst
	linguistic/source/convdic.cxx
	linguistic/source/convdiclist.cxx
	linguistic/source/dicimp.cxx
	linguistic/source/dlistimp.cxx
	linguistic/source/gciterator.cxx
	linguistic/source/iprcache.cxx
	linguistic/source/lngopt.cxx
	linguistic/source/lngprophelp.cxx
	linguistic/source/lngsvcmgr.cxx
	linguistic/source/lngsvcmgr.hxx
	linguistic/source/misc2.cxx
	linguistic/workben/sprophelp.cxx
	officecfg/registry/data/org/openoffice/VCL.xcu
	officecfg/util/makefile.mk
	oovbaapi/ooo/vba/XApplicationBase.idl
	oovbaapi/ooo/vba/XVBAAppService.idl
	oovbaapi/ooo/vba/XVBADocService.idl
	oovbaapi/ooo/vba/excel/XApplication.idl
	oovbaapi/ooo/vba/excel/XRange.idl
	oovbaapi/ooo/vba/excel/XWorkbook.idl
	oovbaapi/ooo/vba/excel/XWorksheet.idl
	oovbaapi/ooo/vba/word/XApplication.idl
	oovbaapi/ooo/vba/word/XGlobals.idl
	oovbaapi/ooo/vba/word/XTableOfContents.idl
	readlicense_oo/prj/build.lst
	scripting/prj/build.lst
	scripting/prj/d.lst
	scripting/source/basprov/basprov.cxx
	scripting/source/basprov/basscript.cxx
	scripting/source/basprov/basscript.hxx
	scripting/source/dlgprov/dlgprov.cxx
	scripting/source/inc/util/util.hxx
	scripting/source/protocolhandler/scripthandler.cxx
	scripting/source/provider/ProviderCache.cxx
	scripting/source/pyprov/makefile.mk
	scripting/source/runtimemgr/ScriptNameResolverImpl.cxx
	scripting/source/runtimemgr/ScriptRuntimeManager.cxx
	scripting/source/runtimemgr/StorageBridge.cxx
	scripting/source/storage/ScriptMetadataImporter.cxx
	scripting/source/storage/ScriptSecurityManager.cxx
	scripting/source/storage/ScriptStorage.cxx
	scripting/source/storage/ScriptStorageManager.cxx
	sfx2/inc/about.hxx
	sfx2/inc/brokenpackageint.hxx
	sfx2/inc/docvor.hxx
	sfx2/inc/pch/precompiled_sfx2.hxx
	sfx2/inc/sfx2/app.hxx
	sfx2/inc/sfx2/basmgr.hxx
	sfx2/inc/sfx2/bindings.hxx
	sfx2/inc/sfx2/childwin.hxx
	sfx2/inc/sfx2/ctrlitem.hxx
	sfx2/inc/sfx2/dinfdlg.hxx
	sfx2/inc/sfx2/dispatch.hxx
	sfx2/inc/sfx2/docfilt.hxx
	sfx2/inc/sfx2/evntconf.hxx
	sfx2/inc/sfx2/fcontnr.hxx
	sfx2/inc/sfx2/frame.hxx
	sfx2/inc/sfx2/imagemgr.hxx
	sfx2/inc/sfx2/imgmgr.hxx
	sfx2/inc/sfx2/linksrc.hxx
	sfx2/inc/sfx2/macrconf.hxx
	sfx2/inc/sfx2/macropg.hxx
	sfx2/inc/sfx2/mnuitem.hxx
	sfx2/inc/sfx2/mnumgr.hxx
	sfx2/inc/sfx2/module.hxx
	sfx2/inc/sfx2/msg.hxx
	sfx2/inc/sfx2/objsh.hxx
	sfx2/inc/sfx2/passwd.hxx
	sfx2/inc/sfx2/prnmon.hxx
	sfx2/inc/sfx2/request.hxx
	sfx2/inc/sfx2/sfx.hrc
	sfx2/inc/sfx2/sfxbasemodel.hxx
	sfx2/inc/sfx2/sfxhtml.hxx
	sfx2/inc/sfx2/sfxresid.hxx
	sfx2/inc/sfx2/sfxsids.hrc
	sfx2/inc/sfx2/sfxuno.hxx
	sfx2/inc/sfx2/shell.hxx
	sfx2/inc/sfx2/stbitem.hxx
	sfx2/inc/sfx2/styfitem.hxx
	sfx2/inc/sfx2/tabdlg.hxx
	sfx2/inc/sfx2/tbxctrl.hxx
	sfx2/inc/sfx2/tplpitem.hxx
	sfx2/inc/sfx2/viewfrm.hxx
	sfx2/inc/sfx2/viewsh.hxx
	sfx2/inc/sfxbasic.hxx
	sfx2/inc/sorgitm.hxx
	sfx2/prj/build.lst
	sfx2/qa/complex/docinfo/makefile.mk
	sfx2/qa/cppunit/makefile.mk
	sfx2/sdi/makefile.mk
	sfx2/source/appl/app.cxx
	sfx2/source/appl/app.hrc
	sfx2/source/appl/app.src
	sfx2/source/appl/appbas.cxx
	sfx2/source/appl/appcfg.cxx
	sfx2/source/appl/appchild.cxx
	sfx2/source/appl/appmain.cxx
	sfx2/source/appl/appmisc.cxx
	sfx2/source/appl/appopen.cxx
	sfx2/source/appl/appquit.cxx
	sfx2/source/appl/appserv.cxx
	sfx2/source/appl/appuno.cxx
	sfx2/source/appl/childwin.cxx
	sfx2/source/appl/fileobj.cxx
	sfx2/source/appl/helpinterceptor.cxx
	sfx2/source/appl/imagemgr.cxx
	sfx2/source/appl/impldde.cxx
	sfx2/source/appl/impldde.hxx
	sfx2/source/appl/linkmgr2.cxx
	sfx2/source/appl/lnkbase2.cxx
	sfx2/source/appl/makefile.mk
	sfx2/source/appl/module.cxx
	sfx2/source/appl/newhelp.cxx
	sfx2/source/appl/opengrf.cxx
	sfx2/source/appl/sfxdll.cxx
	sfx2/source/appl/sfxhelp.cxx
	sfx2/source/appl/shutdownicon.cxx
	sfx2/source/appl/shutdowniconunx.cxx
	sfx2/source/appl/workwin.cxx
	sfx2/source/bastyp/fltfnc.cxx
	sfx2/source/bastyp/frmhtml.cxx
	sfx2/source/bastyp/frmhtmlw.cxx
	sfx2/source/bastyp/helper.cxx
	sfx2/source/bastyp/minarray.cxx
	sfx2/source/bastyp/progress.cxx
	sfx2/source/bastyp/sfxhtml.cxx
	sfx2/source/config/evntconf.cxx
	sfx2/source/control/bindings.cxx
	sfx2/source/control/ctrlitem.cxx
	sfx2/source/control/dispatch.cxx
	sfx2/source/control/macrconf.cxx
	sfx2/source/control/macro.cxx
	sfx2/source/control/makefile.mk
	sfx2/source/control/minfitem.cxx
	sfx2/source/control/msg.cxx
	sfx2/source/control/msgpool.cxx
	sfx2/source/control/objface.cxx
	sfx2/source/control/request.cxx
	sfx2/source/control/shell.cxx
	sfx2/source/control/sorgitm.cxx
	sfx2/source/dialog/about.cxx
	sfx2/source/dialog/basedlgs.cxx
	sfx2/source/dialog/dinfdlg.cxx
	sfx2/source/dialog/dinfedt.cxx
	sfx2/source/dialog/dockwin.cxx
	sfx2/source/dialog/filedlghelper.cxx
	sfx2/source/dialog/mailmodel.cxx
	sfx2/source/dialog/mailmodelapi.cxx
	sfx2/source/dialog/makefile.mk
	sfx2/source/dialog/mgetempl.cxx
	sfx2/source/dialog/passwd.cxx
	sfx2/source/dialog/passwd.hrc
	sfx2/source/dialog/printopt.cxx
	sfx2/source/dialog/securitypage.cxx
	sfx2/source/dialog/splitwin.cxx
	sfx2/source/dialog/styfitem.cxx
	sfx2/source/dialog/tabdlg.cxx
	sfx2/source/dialog/taskpane.cxx
	sfx2/source/dialog/templdlg.cxx
	sfx2/source/dialog/tplpitem.cxx
	sfx2/source/dialog/versdlg.cxx
	sfx2/source/doc/QuerySaveDocument.cxx
	sfx2/source/doc/SfxDocumentMetaData.cxx
	sfx2/source/doc/applet.cxx
	sfx2/source/doc/doc.hrc
	sfx2/source/doc/doc.src
	sfx2/source/doc/docfile.cxx
	sfx2/source/doc/docinf.cxx
	sfx2/source/doc/doctempl.cxx
	sfx2/source/doc/doctemplates.cxx
	sfx2/source/doc/docvor.cxx
	sfx2/source/doc/guisaveas.cxx
	sfx2/source/doc/makefile.mk
	sfx2/source/doc/objcont.cxx
	sfx2/source/doc/objitem.cxx
	sfx2/source/doc/objmisc.cxx
	sfx2/source/doc/objserv.cxx
	sfx2/source/doc/printhelper.cxx
	sfx2/source/doc/sfxacldetect.cxx
	sfx2/source/doc/sfxbasemodel.cxx
	sfx2/source/inc/applet.hxx
	sfx2/source/inc/fltoptint.hxx
	sfx2/source/inc/sfxlocal.hrc
	sfx2/source/inc/virtmenu.hxx
	sfx2/source/inc/workwin.hxx
	sfx2/source/menu/mnuitem.cxx
	sfx2/source/menu/objmnctl.cxx
	sfx2/source/menu/virtmenu.cxx
	sfx2/source/notify/eventsupplier.cxx
	sfx2/source/notify/makefile.mk
	sfx2/source/toolbox/imgmgr.cxx
	sfx2/source/toolbox/tbxitem.cxx
	sfx2/source/view/frame.cxx
	sfx2/source/view/orgmgr.cxx
	sfx2/source/view/printer.cxx
	sfx2/source/view/prnmon.cxx
	sfx2/source/view/viewfrm.cxx
	sfx2/source/view/viewprn.cxx
	sfx2/source/view/viewsh.cxx
	sfx2/util/makefile.mk
	sfx2/workben/custompanel/makefile.mk
	shell/source/backends/desktopbe/desktopbackend.cxx
	shell/source/backends/gconfbe/gconfbackend.cxx
	shell/source/backends/kde4be/kde4backend.cxx
	shell/source/backends/kdebe/kdebackend.cxx
	shell/source/win32/SysShentry.cxx
	shell/source/win32/shlxthandler/propsheets/propsheets.cxx
	shell/source/win32/simplemail/smplmailentry.cxx
	svx/inc/float3d.hrc
	svx/inc/fmhelp.hrc
	svx/inc/globlmn_tmpl.hrc
	svx/inc/helpid.hrc
	svx/inc/pch/precompiled_svx.hxx
	svx/inc/sjctrl.hxx
	svx/inc/srchitem.hxx
	svx/inc/svdibrow.hxx
	svx/inc/svx/SmartTagItem.hxx
	svx/inc/svx/algitem.hxx
	svx/inc/svx/camera3d.hxx
	svx/inc/svx/chrtitem.hxx
	svx/inc/svx/clipfmtitem.hxx
	svx/inc/svx/ctredlin.hxx
	svx/inc/svx/dbtoolsclient.hxx
	svx/inc/svx/deflt3d.hxx
	svx/inc/svx/dialogs.hrc
	svx/inc/svx/drawitem.hxx
	svx/inc/svx/e3ditem.hxx
	svx/inc/svx/extrud3d.hxx
	svx/inc/svx/flagsdef.hxx
	svx/inc/svx/float3d.hxx
	svx/inc/svx/frmsel.hxx
	svx/inc/svx/gallery.hxx
	svx/inc/svx/gallery1.hxx
	svx/inc/svx/galtheme.hxx
	svx/inc/svx/grfcrop.hxx
	svx/inc/svx/hdft.hxx
	svx/inc/svx/hlnkitem.hxx
	svx/inc/svx/hyprlink.hxx
	svx/inc/svx/itemwin.hxx
	svx/inc/svx/lathe3d.hxx
	svx/inc/svx/linkwarn.hxx
	svx/inc/svx/modctrl.hxx
	svx/inc/svx/msdffdef.hxx
	svx/inc/svx/obj3d.hxx
	svx/inc/svx/optgenrl.hxx
	svx/inc/svx/optgrid.hxx
	svx/inc/svx/pageitem.hxx
	svx/inc/svx/paraprev.hxx
	svx/inc/svx/postattr.hxx
	svx/inc/svx/rotmodit.hxx
	svx/inc/svx/ruler.hxx
	svx/inc/svx/rulritem.hxx
	svx/inc/svx/scene3d.hxx
	svx/inc/svx/sdasaitm.hxx
	svx/inc/svx/sdasitm.hxx
	svx/inc/svx/sdggaitm.hxx
	svx/inc/svx/sdmetitm.hxx
	svx/inc/svx/sdtaaitm.hxx
	svx/inc/svx/sdtaditm.hxx
	svx/inc/svx/sdtaitm.hxx
	svx/inc/svx/sdtakitm.hxx
	svx/inc/svx/sdtfchim.hxx
	svx/inc/svx/sdtfsitm.hxx
	svx/inc/svx/srchdlg.hxx
	svx/inc/svx/svddrag.hxx
	svx/inc/svx/svdetc.hxx
	svx/inc/svx/svdglue.hxx
	svx/inc/svx/svdhlpln.hxx
	svx/inc/svx/svdlayer.hxx
	svx/inc/svx/svdmark.hxx
	svx/inc/svx/svdmodel.hxx
	svx/inc/svx/svdoashp.hxx
	svx/inc/svx/svdobj.hxx
	svx/inc/svx/svdocirc.hxx
	svx/inc/svx/svdoedge.hxx
	svx/inc/svx/svdogrp.hxx
	svx/inc/svx/svdomeas.hxx
	svx/inc/svx/svdoole2.hxx
	svx/inc/svx/svdorect.hxx
	svx/inc/svx/svdotable.hxx
	svx/inc/svx/svdotext.hxx
	svx/inc/svx/svdovirt.hxx
	svx/inc/svx/svdpage.hxx
	svx/inc/svx/svdsnpv.hxx
	svx/inc/svx/svdtrans.hxx
	svx/inc/svx/svdundo.hxx
	svx/inc/svx/svimbase.hxx
	svx/inc/svx/svx3ditems.hxx
	svx/inc/svx/svxdlg.hxx
	svx/inc/svx/sxcikitm.hxx
	svx/inc/svx/sxekitm.hxx
	svx/inc/svx/sxelditm.hxx
	svx/inc/svx/sxenditm.hxx
	svx/inc/svx/sxmkitm.hxx
	svx/inc/svx/sxmtpitm.hxx
	svx/inc/svx/sxmuitm.hxx
	svx/inc/svx/tabarea.hxx
	svx/inc/svx/tabline.hxx
	svx/inc/svx/unoprov.hxx
	svx/inc/svx/viewlayoutitem.hxx
	svx/inc/svx/xbitmap.hxx
	svx/inc/svx/xbtmpit.hxx
	svx/inc/svx/xcolit.hxx
	svx/inc/svx/xfillit0.hxx
	svx/inc/svx/xflclit.hxx
	svx/inc/svx/xflftrit.hxx
	svx/inc/svx/xflgrit.hxx
	svx/inc/svx/xflhtit.hxx
	svx/inc/svx/xftadit.hxx
	svx/inc/svx/xftsfit.hxx
	svx/inc/svx/xftshit.hxx
	svx/inc/svx/xlineit0.hxx
	svx/inc/svx/xlinjoit.hxx
	svx/inc/svx/xlnclit.hxx
	svx/inc/svx/xlndsit.hxx
	svx/inc/svx/xlnedcit.hxx
	svx/inc/svx/xlnedit.hxx
	svx/inc/svx/xlnedwit.hxx
	svx/inc/svx/xlnstcit.hxx
	svx/inc/svx/xlnstit.hxx
	svx/inc/svx/xlnstwit.hxx
	svx/inc/svx/xlnwtit.hxx
	svx/inc/svx/xtextit0.hxx
	svx/inc/svx/zoomitem.hxx
	svx/inc/svx/zoomslideritem.hxx
	svx/inc/xpolyimp.hxx
	svx/inc/zoom_def.hxx
	svx/prj/d.lst
	svx/source/accessibility/AccessibleShape.cxx
	svx/source/accessibility/DescriptionGenerator.cxx
	svx/source/customshapes/EnhancedCustomShapeEngine.cxx
	svx/source/customshapes/EnhancedCustomShapeFontWork.cxx
	svx/source/dialog/_bmpmask.cxx
	svx/source/dialog/_contdlg.cxx
	svx/source/dialog/connctrl.cxx
	svx/source/dialog/contwnd.cxx
	svx/source/dialog/ctredlin.cxx
	svx/source/dialog/ctredlin.hrc
	svx/source/dialog/ctredlin.src
	svx/source/dialog/dialcontrol.cxx
	svx/source/dialog/dlgctrl.cxx
	svx/source/dialog/docrecovery.cxx
	svx/source/dialog/fntctrl.cxx
	svx/source/dialog/fontwork.cxx
	svx/source/dialog/frmsel.cxx
	svx/source/dialog/graphctl.cxx
	svx/source/dialog/grfflt.cxx
	svx/source/dialog/hdft.cxx
	svx/source/dialog/hyperdlg.cxx
	svx/source/dialog/hyprdlg.hxx
	svx/source/dialog/hyprlink.cxx
	svx/source/dialog/hyprlink.hxx
	svx/source/dialog/hyprlink.src
	svx/source/dialog/imapdlg.cxx
	svx/source/dialog/imapwnd.cxx
	svx/source/dialog/linkwarn.hrc
	svx/source/dialog/makefile.mk
	svx/source/dialog/optgrid.cxx
	svx/source/dialog/orienthelper.cxx
	svx/source/dialog/pagectrl.cxx
	svx/source/dialog/prtqry.cxx
	svx/source/dialog/rlrcitem.cxx
	svx/source/dialog/rubydialog.cxx
	svx/source/dialog/rulritem.cxx
	svx/source/dialog/simptabl.cxx
	svx/source/dialog/srchdlg.cxx
	svx/source/dialog/svxbmpnumvalueset.cxx
	svx/source/dialog/svxruler.cxx
	svx/source/dialog/swframeexample.cxx
	svx/source/engine3d/float3d.cxx
	svx/source/engine3d/float3d.src
	svx/source/engine3d/svx3ditems.cxx
	svx/source/fmcomp/gridctrl.cxx
	svx/source/fmcomp/trace.cxx
	svx/source/form/ParseContext.cxx
	svx/source/form/datanavi.cxx
	svx/source/form/filtnav.cxx
	svx/source/form/fmexch.cxx
	svx/source/form/fmexpl.cxx
	svx/source/form/fmobjfac.cxx
	svx/source/form/fmpage.cxx
	svx/source/form/fmshell.cxx
	svx/source/form/fmshimp.cxx
	svx/source/form/fmsrcimp.cxx
	svx/source/form/fmvwimp.cxx
	svx/source/form/makefile.mk
	svx/source/form/tabwin.cxx
	svx/source/form/tbxform.cxx
	svx/source/form/typemap.cxx
	svx/source/gallery2/galbrws1.cxx
	svx/source/gallery2/galbrws2.cxx
	svx/source/gallery2/galexpl.cxx
	svx/source/gallery2/gallery1.cxx
	svx/source/gallery2/galtheme.cxx
	svx/source/gallery2/makefile.mk
	svx/source/gengal/gengal.cxx
	svx/source/gengal/makefile.mk
	svx/source/inc/fmgroup.hxx
	svx/source/intro/about_ooo.hrc
	svx/source/intro/iso.src
	svx/source/intro/ooo.src
	svx/source/items/SmartTagItem.cxx
	svx/source/items/algitem.cxx
	svx/source/items/chrtitem.cxx
	svx/source/items/clipfmtitem.cxx
	svx/source/items/customshapeitem.cxx
	svx/source/items/drawitem.cxx
	svx/source/items/e3ditem.cxx
	svx/source/items/grfitem.cxx
	svx/source/items/hlnkitem.cxx
	svx/source/items/makefile.mk
	svx/source/items/pageitem.cxx
	svx/source/items/rotmodit.cxx
	svx/source/items/viewlayoutitem.cxx
	svx/source/items/zoomitem.cxx
	svx/source/items/zoomslideritem.cxx
	svx/source/src/app.hrc
	svx/source/stbctrls/makefile.mk
	svx/source/stbctrls/modctrl.cxx
	svx/source/stbctrls/xmlsecctrl.cxx
	svx/source/stbctrls/zoomctrl.cxx
	svx/source/svdraw/clonelist.cxx
	svx/source/svdraw/svdattr.cxx
	svx/source/svdraw/svdcrtv.cxx
	svx/source/svdraw/svdedtv1.cxx
	svx/source/svdraw/svdedtv2.cxx
	svx/source/svdraw/svdedxv.cxx
	svx/source/svdraw/svdetc.cxx
	svx/source/svdraw/svdfmtf.cxx
	svx/source/svdraw/svdfmtf.hxx
	svx/source/svdraw/svdglue.cxx
	svx/source/svdraw/svdhdl.cxx
	svx/source/svdraw/svdhlpln.cxx
	svx/source/svdraw/svdibrow.cxx
	svx/source/svdraw/svdlayer.cxx
	svx/source/svdraw/svdmodel.cxx
	svx/source/svdraw/svdoashp.cxx
	svx/source/svdraw/svdobj.cxx
	svx/source/svdraw/svdocapt.cxx
	svx/source/svdraw/svdocirc.cxx
	svx/source/svdraw/svdoedge.cxx
	svx/source/svdraw/svdograf.cxx
	svx/source/svdraw/svdogrp.cxx
	svx/source/svdraw/svdomeas.cxx
	svx/source/svdraw/svdomedia.cxx
	svx/source/svdraw/svdopath.cxx
	svx/source/svdraw/svdotext.cxx
	svx/source/svdraw/svdotxdr.cxx
	svx/source/svdraw/svdotxed.cxx
	svx/source/svdraw/svdotxfl.cxx
	svx/source/svdraw/svdotxln.cxx
	svx/source/svdraw/svdotxtr.cxx
	svx/source/svdraw/svdoutl.cxx
	svx/source/svdraw/svdpage.cxx
	svx/source/svdraw/svdpagv.cxx
	svx/source/svdraw/svdpntv.cxx
	svx/source/svdraw/svdpoev.cxx
	svx/source/svdraw/svdsnpv.cxx
	svx/source/svdraw/svdstr.src
	svx/source/svdraw/svdtrans.cxx
	svx/source/svdraw/svdundo.cxx
	svx/source/svdraw/svdview.cxx
	svx/source/svdraw/svdxcgv.cxx
	svx/source/table/svdotable.cxx
	svx/source/tbxctrls/colorwindow.hxx
	svx/source/tbxctrls/extrusioncontrols.cxx
	svx/source/tbxctrls/fillctrl.cxx
	svx/source/tbxctrls/grafctrl.cxx
	svx/source/tbxctrls/itemwin.cxx
	svx/source/tbxctrls/layctrl.cxx
	svx/source/tbxctrls/lboxctrl.cxx
	svx/source/tbxctrls/linectrl.cxx
	svx/source/tbxctrls/tbcontrl.cxx
	svx/source/tbxctrls/verttexttbxctrl.cxx
	svx/source/unodraw/unomod.cxx
	svx/source/unodraw/unopage.cxx
	svx/source/unodraw/unoprov.cxx
	svx/source/unodraw/unoshape.cxx
	svx/source/unodraw/unoshtxt.cxx
	svx/source/xml/xmlxtexp.cxx
	svx/source/xoutdev/_xpoly.cxx
	svx/source/xoutdev/xattr.cxx
	svx/source/xoutdev/xattr2.cxx
	svx/source/xoutdev/xattrbmp.cxx
	svx/source/xoutdev/xtabcolr.cxx
	svx/util/makefile.mk
	svx/workben/edittest.cxx
	sysui/desktop/productversion.mk
	ucb/prj/build.lst
	ucb/source/cacher/cacheserv.cxx
	ucb/source/core/ucb1.component
	ucb/source/core/ucbserv.cxx
	ucb/source/core/ucbstore.cxx
	ucb/source/core/ucbstore.hxx
	ucb/source/sorter/sortmain.cxx
	ucb/source/ucp/file/prov.cxx
	ucb/source/ucp/file/shell.cxx
	ucb/source/ucp/ftp/ftpservices.cxx
	ucb/source/ucp/gio/gio_provider.cxx
	ucb/source/ucp/gvfs/gvfs_provider.cxx
	ucb/source/ucp/hierarchy/hierarchyservices.cxx
	ucb/source/ucp/odma/odma_lib.cxx
	ucb/source/ucp/odma/odma_services.cxx
	ucb/source/ucp/package/pkgservices.cxx
	ucb/source/ucp/tdoc/tdoc_services.cxx
	ucb/source/ucp/webdav/ContentProperties.cxx
	ucb/source/ucp/webdav/NeonHeadRequest.cxx
	ucb/source/ucp/webdav/webdavcontent.cxx
	ucb/source/ucp/webdav/webdavservices.cxx
	uui/source/iahndl.cxx
	uui/source/iahndl.hxx
	uui/source/loginerr.hxx
	uui/source/nameclashdlg.hxx
	uui/source/passcrtdlg.cxx
	uui/source/passworddlg.cxx
	uui/source/passworddlg.hxx
	uui/source/services.cxx
	vbahelper/inc/vbahelper/vbahelper.hxx
	vbahelper/prj/build.lst
	vbahelper/prj/d.lst
	vbahelper/source/msforms/makefile.mk
	vbahelper/source/msforms/vbauserform.cxx
	vbahelper/source/vbahelper/makefile.mk
	vbahelper/source/vbahelper/vbaapplicationbase.cxx
	vbahelper/source/vbahelper/vbacommandbarcontrol.cxx
	vbahelper/source/vbahelper/vbadocumentbase.cxx
	vbahelper/source/vbahelper/vbadocumentsbase.cxx
	vbahelper/source/vbahelper/vbahelper.cxx
	vbahelper/util/makefile.mk
	xmlhelp/source/cxxhelp/provider/databases.cxx
	xmlhelp/source/cxxhelp/provider/services.cxx
	xmlhelp/source/treeview/tvfactory.cxx
	xmloff/JunitTest_xmloff_unoapi.mk
	xmloff/inc/functional.hxx
	xmloff/inc/xmloff/formlayerexport.hxx
	xmloff/inc/xmloff/formlayerimport.hxx
	xmloff/inc/xmloff/functional.hxx
	xmloff/inc/xmloff/shapeimport.hxx
	xmloff/inc/xmloff/xmlcnitm.hxx
	xmloff/inc/xmloff/xmlnumfi.hxx
	xmloff/prj/build.lst
	xmloff/source/chart/SchXMLChartContext.cxx
	xmloff/source/chart/SchXMLExport.cxx
	xmloff/source/chart/SchXMLImport.cxx
	xmloff/source/chart/SchXMLLegendContext.hxx
	xmloff/source/chart/SchXMLPlotAreaContext.cxx
	xmloff/source/core/xmluconv.cxx
	xmloff/source/draw/sdxmlexp.cxx
	xmloff/source/draw/shapeexport4.cxx
	xmloff/source/draw/ximp3dobject.cxx
	xmloff/source/draw/ximp3dscene.cxx
	xmloff/source/forms/formlayerexport.cxx
	xmloff/source/forms/formlayerimport.cxx
	xmloff/source/forms/handler/vcl_time_handler.hxx
	xmloff/source/forms/layerimport.cxx
	xmloff/source/forms/layerimport.hxx
	xmloff/source/forms/property_meta_data.hxx
	xmloff/source/style/PageHeaderFooterContext.cxx
	xmloff/source/style/PageMasterStyleMap.cxx
	xmloff/source/style/prstylei.cxx
	xmloff/source/style/xmlimppr.cxx
	xmloff/source/style/xmlnumfi.cxx
	xmloff/source/style/xmlstyle.cxx
	xmloff/source/table/tabledesignsimporter.cxx
	xmloff/source/text/XMLTextNumRuleInfo.cxx
	xmloff/source/text/XMLTextShapeStyleContext.cxx
	xmloff/source/text/txtstyle.cxx
	xmloff/source/transform/ChartOOoTContext.cxx
	xmloff/source/transform/EventOOoTContext.cxx
	xmloff/source/transform/TransformerBase.cxx
	xmloff/util/makefile.mk
	xmlscript/util/xcr.component

2011-03-11  Xavier ALT  <dex@phoenix-ind.net>  [86c1daf83f07bb01fe3580b4e77b6fbbed1146be]

fdo#34896 make color palette size consistent (8x13)


2011-03-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d432394d36ba75e94697e0cc756c961254179019]

vcl120: #i115695# fix a stupid error


2011-03-11  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [387c6c521cd973decf5a157a9ac3e276f7845c1c]

Transalations and fixes (6)


2011-03-11  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [3e14bbc59b8f35495ecebcbc7fdbe766180a3e4a]

Transalations (5)


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [67dee1c99ec3e3403eea092611a56a88e83f351b]

random character added by translation


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [11134b22d42d708e133042160b461fa1b631876f]

Fix leak, we own these pointers, so release them.


2011-03-10  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [6573fcd0bd3372872811b41b2012440490c8f455]

Translations (4).


2011-03-10  Muthu Subramanian K  <sumuthu@novell.com>  [be8575326897d9d9ed99d8292f397f9a78ee3140]

Typo fixes.


2011-03-10  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [e9f6820cc8831e2bb09a05bf9b5729e7924846a2]

Translations and typo fixes (3).


2011-03-10  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [5e82b1052b47d7fa152469c4f610a17e53a71e7a]

Translation and typos (2).


2011-03-10  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [0fb0badf086859dde3b1773045a0cd7fcae5b028]

Translations and typo fixes.


2011-03-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [bd1d7b0b8d778e4633ba2c9ddf00d1f1e897570e]

vcl120: rebase to DEV300m102


2011-03-10  Nigel Hawkins  <n.hawkins@gmx.com>  [51cb8510c1e017e1baba60dfc5281f7818d2b6c2]

Fix build breakage inside DBG_ASSERTs


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [ac38f7563e596a8ca03b5922cd683bb9d26bbe1d]

Remove last traces of SvLongs


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [997cbc7faa382daeeaeff8a381bec1fc1f55799b]

Remove use of SvLongs from txtrange.[ch]xx and refactor a bit.

Note that this commit forces changes onto writer as well.

2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [f85401f091ae6e0e5c342ae6de6dc6fa3d0e477a]

Resolves: fdo#34635 GetSelectEntry is far more likely correct


2011-03-09  Xavier ALT  <dex@phoenix-ind.net>  [8ea38683deebbf0436560b4b9e597bb561bb3379]

remove SVX_LIGHT macro


2011-03-09  Thorsten Behrens  <tbehrens@novell.com>  [ff62ed4745a9b2367c68ef3eb863d29022f0fa7d]

Revert idle whitespace changes

Reverting all hunks that solely change whitespace, prior to
performing the m101 merge from OOo.

2011-03-09  Ivo Hinkelmann  <ihi@openoffice.org>  [1174a070b2d475470d748913add4989f2e6f0cf3]

masterfix DEV300: #i10000# - -> _


2011-03-09  Ivo Hinkelmann  <ihi@openoffice.org>  [1c4ec78f34f155b2a3c8e79351dfdf35881d0b6d]

masterfix DEV300: #i10000# dir removed


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [8040f107ea52c5b3e3f7d64758a93f846b7fa62b]

cppcheck: this method can be const


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [63ca6fd9b2bd4e276218011913a2d2e24146c768]

cppcheck: this method can be const


2011-03-08  Rafael Dominguez  <venccsralph@gmail.com>  [0290da0ea35f9b6598cc7169020cdea6bad0a43e]

Remove List in SdrObjListIter.


2011-03-08  Bálint Dózsa  <dozsabalint@gmail.com>  [56d412036fdc84f83611038dcb0a271d0ba082ad]

Remove commented out code


2011-03-08  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4eb80c3c85481438cf238efc13c3461c428be6da]

vcl120: #i115695# respond to a PrinterName property used by the application


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [f6b918cb27f78afb22eb8759775bdea400d98f22]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  David Tardon  <dtardon@redhat.com>  [14fcbd54c96d9f46365f76f8df6b51d2e8074d74]

install high-resolution icons


2011-03-08  David Tardon  <dtardon@redhat.com>  [eb1281d505e85448868c9fbd83ccdd209fcff813]

fix shebang


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [1de79920a278fba4c2f3a48ce0b421dd4d382ac2]

Added shadow configuration to prefs schema.


2011-03-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [f52007aa8bd29e11ab3cc5cc8e3b8cc35439438a]

vcl120: #i114306# enforce setting a new document printer


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [3a34a45fd2439cb1a079c2291e5c4e56876e97db]

CWS-TOOLING: integrate CWS os146


2011-03-07  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [5c2ed6488e7619cb2fd2a1e996c46a81760822a9]

fdo#34699 some pythonsamples not visible on Mac OS X

node.expr is a Node of type "Tuple", not a builtin tuple datatype, thus
python 2.3 did fail with TypeError: iteration over non-sequence
(cherry picked from commit bef88b2ebf98faacedd911944ba20fe963498396)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [2398f537af11aeab7e89044477f9cca5f7146f25]

CWS-TOOLING: integrate CWS os150


2011-03-07  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [bef88b2ebf98faacedd911944ba20fe963498396]

fdo#34699 some pythonsamples not visible on Mac OS X

node.expr is a Node of type "Tuple", not a builtin tuple datatype, thus
python 2.3 did fail with TypeError: iteration over non-sequence

2011-03-07  Caolán McNamara  <caolanm@redhat.com>  [ee1530a61d62054e98dda4be619d780d20aa7efb]

valgrind: don't leave an evil thread running after main is completed


2011-03-07  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [722586f023c63a4f0f208add61e56a1e5f441ce6]

fdo#30917: make the code easier to understand by using constants


2011-03-07  Gert Faller  <gertfaller@aliceadsl.fr>  [2be280399613be646ae1e0add4dddd51b85acbe2]

fdo#30917: Storing the hierarchical view of style browser


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [51c7efcc3f9bd6c014c18528e102b6eb13400bb5]

CWS-TOOLING: integrate CWS vcl119


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [eeb2b242d05a65ef996e851574c648491f4194f5]

CWS-TOOLING: integrate CWS fwk165


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [de43e7f29914d669fe508fe2ed5daf007420446d]

CWS-TOOLING: integrate CWS sb141


2011-03-07  Nigel Hawkins  <n.hawkins@gmx.com>  [1bb9e8ad9bc4a1ff2e702c71fc0edfc365416c19]

Remove use of SvLongs in txtparae.hxx


2011-03-07  Nigel Hawkins  <n.hawkins@gmx.com>  [06fcf2f90c4c76908f36ed0d97bfb91d9569007c]

Remove use of Svlongs from fmshimp.[ch]xx


2011-03-07  Jan Holesovsky  <kendy@suse.cz>  [7e1b9ca32c2f7a7c189f7aea32b57c75aaad3a1f]

findbar: Change '~Find' to '~Find...', it is not an action.


2011-03-05  Petr Mladek  <pmladek@suse.cz>  [6cf25e3d1b7eb823e2193befc816adcbb682a13b]

fix custom-tool-panel build dependencies

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-03-05  Andras Timar  <timar@fsf.hu>  [d4b9ff4722fc73cb6d613065bdbc7ae9b3f96d00]

Replace OpenOffice.org to %PRODUCTNAME


2011-03-05  Christina Rossmanith  <ChrRossmanith@web.de>  [b2a06d3210d488deea327711dc9e2edb9b1c96bf]

Removed /* ### ACHTUNG: Neuer Text in Resource? - lines from libs-core


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [5f81149f86bf0bcd2b05b18d79da2e65d00f360c]

fix style


2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [f848ac8f44b7be3f9488a8fe94d309a4bca95364]

Remove bogus and useless comments in libs-core.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Petr Mladek  <pmladek@suse.cz>  [73c529b72c2b7d91e5b1e8938b5c59e6e72299e8]

fix custom-tool-panel build dependencies


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [5e30dec97089f3f471f850b17ebacdb351c11182]

fix Count() -> size() in DBG_UTIL mode


2011-03-04  Rafael Dominguez  <venccsralph@gmail.com>  [3f5c66b1eb894ca5f7fa46cad838e0aa44a6923e]

Remove of DECLARE_LIST.


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [3bcdba062358e36a319dc425194c4b5e35485ac5]

survive broken config


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [3111d28aa89dbe5b15782cd288b2e2141bd16a95]

Be more fault tolerant here.

If we're already going to catch any uno::Exception, then
we might as well accept failure of existance as well

2011-03-04  Michael Muench  <michael@codingmicha.de>  [708bbdd34d97402556cf217d79b8ccec7ad47fdf]

German comments translation.


2011-03-04  npcdoom  <venccsralph@gmail.com>  [1cd7e16000244ed328834d0cac6bf43c05d8d44a]

Remode deprecated List container.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  npcdoom  <venccsralph@gmail.com>  [e7150001421e530d0bf7fdedb42572f07bcffa56]

Remove deprecated List container.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  npcdoom  <venccsralph@gmail.com>  [1ef24ac804eae796526eba6b6010c99bb2829d63]

Changed some Insert calls for Append and added some asserts.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  npcdoom  <venccsralph@gmail.com>  [60ad7f2628119a32d468d90173cc066c7bff817e]

Remove deprecated List container in gallery1.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  npcdoom  <venccsralph@gmail.com>  [3c43a5b32ff0a224b2a31917cfe636579872c129]

Remove deprecated List container.

- Converted List to std::vector<Paragraph*>.
- Added Append member function to ParagraphList.
- Updated needed functions from Insert to Append in
outliner/outliner.cxx.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Jan Holesovsky  <kendy@noe.suse.cz>  [4fbef102d76096fc92dac3a105eaf8e6c1ddf327]

findbar: Name the menu entry properly (Find).


2011-03-03  Jan Holesovsky  <kendy@noe.suse.cz>  [0e5cd78e1402527bec19c2ffe99c09a9acd6d4da]

findbar: Findbar should be hidden by default.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [5e458bf533a8531cafcbb267138338cecdfb107d]

findbar: Localized access to the Search dialog.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [fb7350a865ba606e85ac1933e2be1c2e1affcbae]

findbar: Show the find bar on Ctrl-f, hide on Escape.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [8bd88e63cea0a338b7bd5478d11d3328615056fa]

findbar: Make Escape the only key to return back to the document.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [ba1ccb676f64978c27c5cdc3d7efaf899e9da7d2]

findbar: Swap the keybindings of the search dialog and findbar.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [68f3cc1c8c273b154a6101374a0c361558c2e9c0]

findbar: Move findbar to the bottom docking area.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [08f6a2585fb72ef44e37d45ac672eb1dbd048611]

findbar: Make the combobox wider.


2011-03-03  Andras Timar  <timar@fsf.hu>  [6153334a2bb4008541345917eec86236eaf27e3f]

l10n: 'fold' from coreutils does not work well for some languages


2011-03-03  Joachim Lingner  <jl@openoffice.org>  [7df9c3ee7869860e42d50a9fbb6f3ee46682dd75]

#i117186# call unopkg sync when building type installed or archive with the proper arguments, remove assertion from framework for the case that there is no user installation.


2011-03-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a6752da41c7c71a5100c73df055ce76cd2adaa8d]

debuglevels: introduce SfxModule::GetModuleFieldUnit, taking an XFrame, to not rely on SfxObjectShell::Current, which is implicitly used by SfxModule::GetCurrentFieldUnit, and might (like all this static crap) fail unforseeably. Use this new method in the Metric Field (to be used in toolbars) and the Pos/Size status bar control. Finally, this prevents a sporadic assertion during the smoketest, where GetCurrentFieldUnit fails for whatever reasons


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [1dabc7b67f731c037dd6ffbab70d62ca03d4a60f]

Somehow we forgot to add these default key bindings.

Ctrl+[ and Ctrl+] for mark precedents and dependents, respectively.

2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [b469b6676d7ff6da185ecba38bee685ab38dd73e]

Move DBG_ERROR to OSL_FAIL


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [5103a344de8de283bd4c310fc35287baa9706214]

Remove DBG_UTILx


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [cd09bc9e70e80d240b18c173d2f9a2cf2f752af8]

resolve ambiguities


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [34343b03bf03a3e8acb0f01e303661a80aac4e83]

remove this now its usage is gone


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [81791ae76010d6bcab78c78b059b072714631a10]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [c3e3507da050dc89f06c49e8e1cdd9ee83a2ad60]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [2b2ad77c97c433af7815abafa9d4972503a8d80f]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [a060fcaf265dff0e3fa4aaf7031aa415fc967ce4]

pointless to go from char* to OString to char*


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [673c932eebfe959ddf2629904398e73b2c2b6542]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [8ca6fe608822d780e4e9eb5280568d4591f7e1af]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [44447f718d95d002815eb6f176692132f077770f]

found an implicit casting bug


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [b0970e0209cd0c71c6cd537aedc8da8400bef656]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [5abed4b1538490bf3f0419c26f3a4296d5642cdd]

Pointless to convert char* to OString and back


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [bdf245c0685427c53c2f515524b33b3d9036384a]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [249bb484307162b384ac9b01cbd116dc4d6dc19d]

found an implicit casting bug


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [838086f27cbf471e50236af097fc5cb187893b9e]

overload match and avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [8c076824d7b8888c6540e2607b7ca41ced6ae3ab]

don't rely on implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [c1c4c50587fb63224aff807bcd275a93cd89d503]

don't rely on implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [53ad8de63efafd7d488024052464ad9dc51e6f7d]

Pointless to convert char* to OString and back


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [b3aaf47ae44d6789ac6d76383f314f18735c1903]

don't rely on implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [fcc749b09d2460b8d7e44db57728bbc60adf4576]

Why bother creating a OString from a char* to cast back to a char*


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [45615cda780055d65e69924bfded005288c0f1af]

don't rely on implicit casting


2011-03-01  iha  <iha@openoffice.org>  [0e5599015f7db91b6084851d148dc063dff45c50]

chart55: #i116841# crash with stock chart


2011-03-01  npcdoom  <venccsralph@gmail.com>  [b1653e6ae641d037d27aad645b6f338bbd447c64]

Change deprecated List for std::vector<String> in FillThemeList.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Xisco Fauli  <anistenis@gmail.com>  [8e5a6764d3469a0600835db601c6bf2c9b3ccf3b]

Remove Dead Code


2011-03-01  Xisco Fauli  <anistenis@gmail.com>  [76253e44efaa94d7746c4165346f64aefe159260]

Remove Dead Code


2011-03-01  Xisco Fauli  <anistenis@gmail.com>  [57b6108bb13cec002eb89f1afe9530ac57ed993c]

Remove dead Code


2011-03-01  Ivo Hinkelmann  <ihi@openoffice.org>  [2edabeda0fd3772cb5df82b71e16b1a4207a4f6a]

CWS-TOOLING: integrate CWS fwk166


2011-03-01  Noel Power  <noel.power@novell.com>  [df94d6c29485beff5b353b27ecff34f71fe208cb]

revert commit 4877ad1d8ef4bf509d5329f03fe6c16e8e3c307e

revert patch that introduces some new odf attributes for form field controls

2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [2c592d935135ef1ff253883fdbc7d2c06ed179cf]

CWS-TOOLING: integrate CWS xmlfix3


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [083c7e2c4fae2396083b0c9936896f1cca41b8a5]

CWS-TOOLING: integrate CWS impress195


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [553135796afb56949c942bdf06da5ca02263bbac]

CWS-TOOLING: integrate CWS ab81


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [cd2f73cfee57dacc1acd78a04caae4b7bf786dbc]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-28  Michael Stahl  <mst@openoffice.org>  [6a61336c0aeb75ce3d763c9963efa71a9ded3484]

sw34bf03: #i93908#: tweak BuildId for DEV300m101


2011-02-27  Rafael Dominguez  <venccsralph@gmail.com>  [674c10b068d27d5ebdb25458d31dd8a61b343eb6]

[PATCH] Remove deprecated container list for std::vector.


2011-02-27  Rafael Dominguez  <venccsralph@gmail.com>  [c44a6b5b782a7c0117afa13f485f6c098051bc4b]

PATCH 1/2] Remove SvULongs and replace it with std::vector<ULONG>


2011-02-27  Francois Tigeot  <ftigeot@wolfpond.org>  [16dcec97c317badacaed12eb01a3b91ace4a42df]

Handle DragonFly like the other BSDs in more cases.


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [cee9fe14d513770f33d06211fd6b1826dd4f1dc6]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [6519686660d66b11cedd5fb64ada4c324f3b6b9a]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [f6aedcb21645ab898b484176dd8c2df2a91e7c36]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [459c75b0cd610fef54b7a481601493517df0e68f]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [cde8628a072ff4d4331f85356fabad95d22c1e46]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [1a0e34d623760d5453c35c656a324b2c4a198ff0]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [37a05f8f87c9a99dd4a1ab6ec2efc40b8638a0d2]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [43ffb60be8716573a3552713483014e3770d89b5]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [c4b26be8ec5c3539540ace11f80a73e75e9ebd97]

Remove "using namespace ::rtl"


2011-02-26  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2b85ec820a80bde014ae7f12e089223fed76fb54]

chart51: don't switch to internal data if ranges for bubble sizes are missing


2011-02-26  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [c173808424e9032e9dd3cd822e416558a03d8669]

chart51: copy-paste bubbles with text x values correctly


2011-02-26  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2e3dca298df76c49f3ee4efbbe7760a469595eb3]

chart51: #i116961# import shared y values for bubble charts correctly


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [49a86a9b97b1424b494a530db11fe60613f7f2c1]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [12cac6ffcc4cee89637b0900be0847c6023c2a85]

Removed macros.

This messes up context tagging again.

2011-02-25  Kurosawa Takeshi  <taken.spc@gmail.com>  [e5b3eb2347f6b64c3428fb0a629e1b397571f2fb]

Resolves fdo#32376 Set default color to the current one in toolbar popup


2011-02-25  Joachim Lingner  <jl@openoffice.org>  [301719567fe1c26c923e47c4ed60ce04e3a54b78]

jl164 #i109096# Displaying help content fails for extensions when user installation has a long path on windows


2011-02-25  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [6d9f7e002a2d79af6a30b7211dddf149732e1405]

chart51: #i116037# backout


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [eba8a13584a42767e58c8cb13b882fedaeee7ba0]

Remove unused idldll.cxx


2011-02-24  Kevin Hunter  <hunteke@earlham.edu>  [5f389ebc3ea68db6245c60423e5c219d2b54f8c7]

Fix GTK dialog replacement of $filename$

When using GTK dialogs on a *nix system, the dialog box was displaying
"Overwrite '$filename$'?" instead of replacing '$filename$' with an
actual file name.  This ammends that to be in league with out the
"native" LibreOffice dialogs do it.

2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [61a99a38bc88e34d8af1695884403ce8388ab80f]

remove empty TESTSHL2LIB


2011-02-24  Christina Roßmanith  <ChrRossmanith@web.de>  [be6cb8a546e5ea1730150136a58f401eb2dc808c]

Remove dead code


2011-02-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d6ec63703e67e7789579c7a5211b4f506a063116]

chart51: merge with DEV300_m101


2011-02-24  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [baddaa2e70f4dbad3a421e656fe1d2fd126e8fb6]

chart51: #i116037# backout


2011-02-24  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [8d2188648a2c326d09d5913325d8f98a852d3c72]

chart51: #i116037# backout


2011-02-24  Joachim Lingner  <jl@openoffice.org>  [58d8e8412ea0a4c8108662deb2fc219b62da8df6]

jl164 #i109096# libxml2 fails when using long paths on windows


2011-02-24  Rob Snelders  <programming@ertai.nl>  [bfea60c4799cab31ce8fc3ed0c8f3c50fe30f2da]

translated comments


2011-02-24  os  <os@openoffice.org>  [8d68080232aee4cdfc3ef713ab0087c079b62335]

os150: m101 merged


2011-02-24  Joachim Lingner  <jl@openoffice.org>  [4c450a810e6b8980741b5eec4b5a51f507c76b31]

jl164 #i109096# java help indexer service did not work with long file paths


2011-02-24  Christina Rossmanith  <ChrRossmanith@web.de>  [817222f3ac91e124e2cea018067e05618611eb00]

Removed commented code


2011-02-24  Rob Snelders  <programming@ertai.nl>  [cb4e2147842a5e8421d871f8effbcc8ac2168a50]

translated comments (36-45/54)


2011-02-23  Andras Timar  <timar@fsf.hu>  [4ed849b9de2d2416a3a3883bf749e36939e9e642]

l10n: 'fold' from coreutils does not work well for some languages


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [1d687c80fe58250dc8c28b7e3934c2c40c94ec0b]

use consistent type


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [0f270331880db8b441cfd609bfce7c7dcdf4f06a]

vcl119: rebase to DEV300_m101


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [378c71c4ad8f17b910c029f5d99d3d8354cac77f]

WaE: catch const and unnamed


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [9820e6592b58555466ef7c1b75dfd8da10f91b24]

vcl119: #i117025# fix selection printing in direct print case.


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [29149f68d61e222f65f8539c57bce19ec2c08eb7]

.is() rather than != NULL


2011-02-23  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [399858c46404a6088248f341e1b8bc44e0689a98]

Double-capital autocor takes spellcheck in account


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0b0874b5aa1982b0503877fe46690fa3e025b931]

dba34d: fixed attemptListenerCreation (transplanted from ee617dd09545040933f21b8333864f70bd8f8d52)


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [98cd854c8e01d161941a503743aee86ee635652b]

debuglevels: do not iterate over a directory whose 'open' returned a failure - prevents later assertions from the OSL implementation


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b44e89edf17954dfd12edaa8e38ae23751bf3d5f]

debuglevels: #i116845# temporarily disable the 'OnTitleChanged notified for an unknown document' assertion


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b96be1444a28396daea8410758abb39bfea6980a]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [acd9e61dd75c58a308d919ae315822b602d9bebc]

debuglevels: merged to-be-m101


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [9497c2fb5de3be75b742f34cb605038e13acc22d]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Nigel Hawkins  <n.hawkins@gmx.com>  [3521ca68a0ff1a820665e3adf4c3f970128dea7c]

Remove SvBools from editeng


2011-02-21  Kohei Yoshida  <kyoshida@novell.com>  [acde67e4562e01e46d26f2274194a9bb4f4dec3f]

Fixed build breakage.


2011-02-21  Kohei Yoshida  <kyoshida@novell.com>  [4c73c7dd7785c9a806a2e411eb9daf7a7dd371f1]

Fixed build breakage.


2011-02-21  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [6405ff909fb06eeac8a66a6baf4867bd0321e610]

Remove dead code and translate German comments


2011-02-21  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [4492b8c9476766239eedd2a4957cca7e18e4d194]

Remove dead code and translate German comments


2011-02-21  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [54e2345561ed55f73b4b82c7b6c1b2d49d4ae766]

Remove dead code and translate one comment


2011-02-21  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [7b0386a2e06ea0fc64ae5654c47bf2a65d167635]

Disable protocols capitalization


2011-02-21  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [3f9c193d3755c29a81d644739c3e64662975ca75]

Better protocols handling in french autocorrect


2011-02-21  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [6587428c0a166ef419afcb79cc0d23403e76c202]

Translation of German comment.


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [c54df62b6cd78f3cfcec841041f551c2e0c2dc43]

Fix typo


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [dd92152b1d329786dc34b3287e899ece52c45fb2]

Stop using namespace rtl

It causes compilation errors in MSVC when using precompiled headers
because of the ambiguity of Reference. Instead use explicit 'using
::rtl::OUString' and 'using ::rtl::OUStringBuffer'.

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [e130c111f32a5fba002706d071e4d8c4a127a9c4]

Remove CSET support

Obsolete IBM CSet C-Compiler

svidl.cxx: This seem to be an error, all other files check for PM && !CSET.

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [190b44d2d22a1a6684f66166a41f4f0e67d18487]

Remove MTW leftover


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [542840a6064638929cf440a3be79cdbe618f68e0]

Including sal/main.h causes a compilation error and is apparently not needed


2011-02-21  Mikhail Voytenko  <mav@openoffice.org>  [de6307926c5f2d3c5bd4e95f0af9d7cccdac696a]

fwk166: #164409# remove unused icons


2011-02-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2759e5710b3b5f3430e83731e00e05aa0a12db16]

vcl119: #i114306# update jobsetup before and after print job


2011-02-21  os  <os@openoffice.org>  [2be78e9376a2bbc599fbf47ab4eaa46a4452086a]

os150: #i76415# namespace XLINK added


2011-02-21  Rob Snelders  <programming@ertai.nl>  [b58d17ac1fb5c78275a5cdaec3fe505801a9b8a8]

translated comments (30-35/54)


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [267cdffaf27d31a8a6f21af8004c087a9f8d8283]

Fix typo


2011-02-21  Joachim Lingner  <jl@openoffice.org>  [cb2c52d4d3d7c6e03297e6a04ccd10a458c8d0e5]

jl164 #i109096# folders in configuration and help registry folders are now created with unotools::TempFile.


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [79b8edd85443a60c589fe9ef35079c60d80c102e]

Remove 'using namespace rtl'

The ambiguity of 'Reference' causes compilation errors when using
precompiled headers. Instead use 'using ::rtl::OUString' and 'using
::rtl::OUStringBuffer'.

2011-02-21  Radek Doulik  <rodo@novell.com>  [f0fe2ccf15601c7c108ed6f4c2b98c99469484e8]

extend debug output for gstreamer avmedia component


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [0f5d0bd11061cd58f0eb9cdff6c9232124263ff6]

masterfix DEV300: #i10000# init order fix


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [4218f7e1f19ab519251f4d2e807b9d8818a1db4c]

masterfix DEV300: #i10000# added missing file


2011-02-21  Joachim Lingner  <jl@openoffice.org>  [3ca33e9825a80904aa4eb2786a15c1a274a0b818]

jl164 merging heads


2011-02-19  David Tardon  <dtardon@redhat.com>  [b9e65390d9f5df73ef46d67d218f59fe2ed1caec]

bah, disabled too much


2011-02-19  David Tardon  <dtardon@redhat.com>  [e25e59639e1c90b9fc238130db003de671cfb734]

add RTL_CONSTASCII_STRINGPARAM for string literals


2011-02-19  David Tardon  <dtardon@redhat.com>  [78b70af5708b04fc1913ed8d44ff953a02b3f1f0]

test length instead of comparing with ""


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [3d32a615249ea3336688f7bec22b78da0e3eb525]

Add another #include <tools/list.hxx> back in.


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [9b8b174bd35f5335b7b9941dd3152b863644b76d]

Add some #include <tools/list.hxx> backing

This files still use the DECLARE_LIST() macro. I didn't catch them because
they are only compiled during make distclean.

2011-02-18  Joseph Powers  <jpowers27@cox.net>  [a6e43bc41316145521dfe45aa049e38c11cafb76]

Remove some #include "tools/list.hxx"

Plus some trailing whitespace cleanup

2011-02-18  Kohei Yoshida  <kyoshida@novell.com>  [a552d496836eebaada4e229d9986873e780d102f]

Removed commented out method.


2011-02-18  Christina Rossmanith  <ChrRossmanith@web.de>  [e3653c5be48099e51e649f3a20bbfdf8f8a49d43]

Removed commented code


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [c535169929b6671ddbda88301c19c2210ec795cf]

cppcheck: better formed operator=


2011-02-18  Rob Snelders  <programming@ertai.nl>  [7e13cdebc053f219751a5d7f51065bf3bcb13490]

translated comments (25-29/54)


2011-02-18  Joachim Lingner  <jl@openoffice.org>  [92c176acb268585823cd91312a948116e2d92d23]

jl64 #i109096# extensions do not work with long path names


2011-02-18  sb  <sb@openoffice.org>  [6da907f59e81305d6f986f502601431b0f99379d]

sb141: #i92926# fixed ScriptEdtiorForBeanShell/JavaScript calling Swing on Mac OS X


2011-02-18  Ivo Hinkelmann  <ihi@openoffice.org>  [6e35e009dee89a81aeb20292ae7b81edb5c888c9]

masterfix DEV300: #i10000# include removed


2011-02-18  Ivo Hinkelmann  <ihi@openoffice.org>  [934cb77cf1e0385ebb3dedd860f3dddd8d6d6f11]

masterfix DEV300: #i10000# cxx removed


2011-02-18  Release Engineering  <releng@openoffice.org>  [1e8a500fdd8939caecb9ed760957e09c0d1b90d6]

merged DEV300


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [6303c4d8e325bf58c05e1d3dc925927e4ec9a3be]

need these to also be SVX_DLLPUBLIC apparently


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [5d685e1a9fb38ef004ab5c5cf88645eb2698311e]

Drop 16-bit Windows code


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [ed5fd264ee85f474dd79973f8b276189b8ae1bcc]

Drop some pointless assertions


2011-02-18  Andreas Bregas  <ab@openoffice.org>  [74becc2dc4bea83136ab645326ff7261280cd225]

ab81: resync to m100


2011-02-18  os  <os@openoffice.org>  [2c5f3134c4d4d792b2eeb500d3a65e1f54f9fdf9]

os150: SvxFontItem member access changed to Set<member>-methods


2011-02-18  David Tardon  <dtardon@redhat.com>  [662bf85b033b352e5b1508df62514d614cfd94bc]

configure inclusion/exclusion of scripting providers


2011-02-18  Francois Tigeot  <ftigeot@wolfpond.org>  [087a60535e8c51ed767a00102cbb20b8fca0a8dd]

Initialize the runtime library paths on DragonFly


2011-02-17  Mikhail Voytenko  <mav@openoffice.org>  [12780d62b00ae3d18fe15352fe8101d33d2f3a91]

fwk166: #164409# remove unused icons


2011-02-17  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [45ac3ff63ae24a3fdc4580bca06e6bde4f5b92e7]

chart51: merge with DEV300_m100 - part 3


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [abc679ccf476074d188c8e60e930cd51926685e2]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Bálint Dózsa  <dozsabalint@gmail.com>  [68275eab69e2c5d6fa2129cc1f34ee258e1da770]

Remove dead codes


2011-02-17  Caolán McNamara  <caolanm@redhat.com>  [7fe1bf4aa00ab65fa05e0f318f9e52a28569bf8b]

don't attempt to iterate through contents of a dir that doesn't exist


2011-02-17  Andreas Bregas  <ab@openoffice.org>  [1633f2dc0860bdf2b4230a042ddf9e008224a774]

ab81: #164411# Fix accidental index access at UNO objects


2011-02-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [11ded71ef103809526fd524a35cf36e84b098565]

dba34d: #i116991# fix ScriptEventListenerWrapper to report failures in the delegatee creation as assertions only, instead of throwing a RuntimeException which is caught way too late (transplanted from 173bca2cba4074c69e487271427dce15318befe6)


2011-02-17  David Tardon  <dtardon@redhat.com>  [3d77416018239f994b6d2bba59ac1b4adb855754]

one-param ctors should be explicit


2011-02-17  David Tardon  <dtardon@redhat.com>  [32748a9fc88e70757eec1fd8af22d6b4777d33f7]

no need for explicit copy ctor


2011-02-17  David Tardon  <dtardon@redhat.com>  [9556f01711911f61dca189419a87089a149af27e]

WaE: unused variable


2011-02-16  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [c565f964d7dcaef6acd18c89b59850701ce44445]

Translation of German comment.


2011-02-16  Albert Thuswaldner  <thuswa@gmail.com>  [4057666287250c96f3e1aac5fef91ea9a30662ee]

Translation of german comments.


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [75759ca4dddf0719c2d4cfbf73f8d3351d06e118]

Remove WTC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"WTC - watcom compiler (OS2, WNT?) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [917589cd71f9fe4c4e0e1a5c38451900ed5feb4b]

Remove MTW support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"MTW - metrowerks compiler (mac OS9 ?) - obsolete"

2011-02-16  Bálint Dózsa  <dozsabalint@gmail.com>  [49a0c616f90d754a28c6f9a59bbe163c8de84aab]

Remove dead code


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [f47441f9de6a160afbb03106b28615ce8b831765]

Remove some dead code


2011-02-16  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d84a2b61a5157048dab8e3842d2f7394f8470f26]

chart51: merge with DEV300_m100 - part 2


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [f3920dc5e245e7b5c66a86cb89b56de700dd5769]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [6f49031fca5662a820a521129a8d06eba80b166b]

Remove HPUX support


2011-02-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [cfef2fe5cacb65e5c5045cef83e43951d9138f79]

rebase to DEV300_m100


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [1e98ffb54a3d1428ead31255678603f642eb7435]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [7d0d13bd0340a62849d8357a32de5d84c6397b09]

CWS-TOOLING: integrate CWS csvexport


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [96c291a7ef9607915e02eb3538c5fc63adf8de0e]

CWS-TOOLING: integrate CWS sb138


2011-02-16  Katarina Machalkova  <kmachalkova@suse.cz>  [17ec503d12774d4a567d46eacde0ffc4809d6215]

Consistent cell font and background colour toolbar behaviour

Fixes bnc#652214

2011-02-16  os  <os@openoffice.org>  [57b4ed189f087902020c1772c50d1ebcd8283ec2]

merge errors fixed


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [9c76ece9e2cd3565d3c82721220d87bdd76878d7]

CWS-TOOLING: integrate CWS ab80


2011-02-16  Carsten Driesner  <cd@openoffice.org>  [11b973550cc3e2e5ef4df492f0e5adf7f4a999cf]

fwk165: Rebase to DEV300m100


2011-02-16  Mikhail Voytenko  <mav@openoffice.org>  [a3d68a3d8b9b7c19d9b6af7dd66bbe6c92d6a077]

fwk166: #164409# remove unused icons


2011-02-16  Mikhail Voytenko  <mav@openoffice.org>  [387096ae7615897bf97743b31b3a7a8acd132724]

fwk166: #164409# remove unused icons


2011-02-16  David Tardon  <dtardon@redhat.com>  [376a4ecf10c57274f01887231ec52c618d91e57e]

use osl::DebugBase for debugging live instances


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8ac382cbd3bb4621be709883130009f321e5a560]

debuglevels: BasicManager::ExecuteMacro: when the return value of the executed method is the method itself, don't retrieve its value - it would execute the method, again (encountered in the refactored smoketest_native)


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7f171dd8371a5a0be5140e02f86073a7819d7b86]

debuglevels: #i116845# ~OfficeDocumentsManager: don't assert an empty document list


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [da03b5cb7b368f2a5950b3bdef3722e37955fc98]

Remove SINIX


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [0c91aaa52af9c7ad7323723602d338b33f68689e]

Remove DOS


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [cb086ef99e7c6963aaa2422ec9200489982b5074]

Remove DOS_NIE


2011-02-15  Rob Snelders  <programming@ertai.nl>  [ffa5f51c7c91914c4344db5eed3308c5e55debb9]

translated comments (17-24/54)


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [d627af8a7c600b1037a91c972df353fae97e4d69]

ab80: resync to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [52bdd2cccc14ffb54c174b609d49b38e2b70d607]

CWS-TOOLING: integrate CWS dr79


2011-02-15  Mikhail Voytenko  <mav@openoffice.org>  [404e956912ac2b5a4e90eeba8259f6c097891426]

fwk166: #164409# remove unused icons


2011-02-15  Radek Doulik  <rodo@novell.com>  [220ca4436d36d4ef4b40b13f38c3863603bbae2d]

restrict metafile decomposition (fixes n#650049)

 - do not use metafile decomposition on metafiles which need
   canvas renderer (right now, these containing EMF+)

2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [6d5f0ed03385c7d9854dd65cfb741e5b95b33ad1]

accfixes: merged to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [3fba3d7d344a0b4664bbd70c9dab45d60dcefb7e]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  os  <os@openoffice.org>  [ee3862b1179fa60b6e3560c114781ba42e31338a]

m100 merged


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [7db7f3f9bc6b50da3c9eb179004effb4bfae3b4c]

ab81: #i115795# Changed string handling in DLL calls back to old behavior in !VBA mode


2011-02-15  Radek Doulik  <rodo@novell.com>  [2d3672612fb4f4d47116578fd5d1e7fdf44df709]

fix the condition of whether to use new metafile decomposition

- overlooked that the test bool variable is static

2011-02-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [27119e72dd2ee8125492957aebaa18521327c587]

fdo#34226: Fixed BorderLine(2) convertion to SvxBorderLine

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-15  Petr Mladek  <pmladek@suse.cz>  [15fd374b68552cab7bf0c9fac581bb03d52e5f5b]

crashing oosplash and malformed picture (bnc#652562)

it was visible only on screens that did not use 32bpp

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [808ed3543afba6206197151e0df9efe59e3d025d]

chart51: merge with DEV300_m100


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [b2b1cf3fa28670bd0f9c26ab4d4a191dfded9b27]

chart52: merge with DEV300_m100


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [4aae3aee4ac2ba3b73c43b3c7915099964c72581]

Remove HP9000 - revert ifndef


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [ed741ca2ef76d41195d104b5444f6ec84fafdd02]

Remove XML_CHECK_UI_CON(T)STRAINS


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [000b5a902778f025e2e44ce1a94e3296a943f22e]

Remove TEST_DBHELP


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [008f3b2b18968e95f2e949378f7aa897e3316418]

Remove LOGGING


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [9a1dc84889c192a24e7c482065ae38dbb9f04511]

Remove WORKAROUND_98119


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [2edd99e91cb5531514937ce7c277dd5f41fa0200]

Remove PLEASE_DEBUG_THE_TABLES and some dead code


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [26c0b002dba7a43524854ce2f5939a8267435671]

Remove some dead code


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [3602bbdccddc7916075d0d6105037d95c2ec67d0]

Remove SDR_ISPOOLABLE


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [426936b8030421533521e931fe0e322c4057defe]

Remove unused file (since 1995)


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [8290ca6749b0989b79bfa2e47cb8fb27033b3d81]

Move comment text from macro to comment


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [87c1d4daecb91016e489f2bd50021336531eb628]

Remove obviously unused documentation


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [eabc7a754545cb21a1edf00fc660af3f73314e70]

Remove TEMPLATE_DIALOG_MORE_POLISHED


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [2539646dd4ec19fc7396910d58aed6c11ccbcbcb]

Remove TL_OUTDATED


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [ca624c44151ab4cce759190d776f80680f4c0023]

Remove EDIT_PRINTER_LOG


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [ef957c252e4e8e2005c11e8f419ff5e24fec34ea]

Remove OLD_NUMBER_FORMATTING


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [75bc62d199115f49c0c4dd487b6ee9193f331a23]

Remove unused USED ;)


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [8e33863bca7d79846a3647e046f655b53ec5cabe]

Remove HP9000


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [4cfd48b9819b1dc4d89a80db8f927b197aafff41]

Remove TL_DEBUG


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [8c9d1ef4dd2d25b29ed3be0ea1439e2dedf8d770]

Remove unused DEBUG_JP


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [2593ab7d4bd44966e176ab0e60c94ce49c62a2db]

Remove unused YURI_DARIO


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [437561d3d2feac9ec5cc14d51979912079724dbb]

debuglevels: post-rebase fixes


2011-02-15  Noel Power  <noel.power@novell.com>  [6f0888190f4d1ce0a101eaf9f9642e61c0376999]

ported fix from DEV300m98 ( fixes i#115716 & fdo#33964 )

based off commit id db2c7179427e113d6decc3be5dc8a2f3cac3da17

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-02-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4da3c4b2874fba5451d391a13e8443d451712bbe]

fdo#34226: Fixed BorderLine(2) convertion to SvxBorderLine


2011-02-15  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [7087d3099e1ddbf07dfa00251c0dd9dd5147a5f4]

dr79: rebase to DEV300_m100


2011-02-15  Niklas Nebel  <nn@openoffice.org>  [54bfc9c589ae2d3ce997806d4c58d55a07232749]

csvexport: merge with DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f9f7a6765ec36cdcc1dd5b2ddef211de0c5262c3]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1e5f42e5d1faf23e2797aad4719435f8e38458ae]

gridsort: pulled and merged DEV300_m100


2011-02-14  Rob Snelders  <programming@ertai.nl>  [efb522f0fcef1e513670ecaa4b0fe3cc26efc9df]

translated comments (10-16/54)


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [1d349a8c551ae9acefd66fafb270c53c456b6d93]

and now use the Collator+BreakIterator wrapper


2011-02-14  Arnaud Versini  <arnaud.versini@gmail.com>  [31bd3dfd4c0df460e710a859c86fb00ae73d5bcf]

Remove bogus comments and dead code from editeng, next part.


2011-02-14  Clio  <menenem@bk.ru>  [9fb0b30063ca1004810834e4c5d7ed0a2233c3f0]

IZ #116920 RND returns one fix


2011-02-14  Joseph Powers  <jpowers27@cox.net>  [169a76218635dc4065c005771aa94e4757f0b7dc]

Remove #include "svl/cancel.hxx"

make clean works with out it and I didn't see anywhere its classes in the
editeng source.

2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ea3bb9f775a9fda95483b80e573606f545dc7670]

rebase to DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5636dfb6cd87a21a03888b540ba85f6fa740440a]

debuglevels: removed now-useless (and annoying) trace


2011-02-14  Noel Power  <noel.power@novell.com>  [db2c7179427e113d6decc3be5dc8a2f3cac3da17]

ported fix from DEV300m98 ( fixes i#115716 & fdo#33964 )


2011-02-14  Michael Stahl  <mst@openoffice.org>  [113c04c2e1809d86fd1f006308c0db80464b0837]

xmlfix3: SfxDocumentMetaData::init(): handle DOMs with root but not parent


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [08615e15904466a6d6fbeb3b3c59676994590b3a]

debuglevels: ResetCapturedAssertions: don't reset to NULL channel if assertions are not captured


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [a91ecea2c9e656f35fac086aa2f81d74e9f0898f]

adapt for move of natural sort


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [e14a7a06c3e368e6942035277212ca5ebc74ffca]

add mode lines to new files


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [8438df34818e5c10955c8809f7d63bf05d830fad]

WaE: var set but unused


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [cac735b749c7fcb98194e94c46d5dc30a8773b32]

WaE: set but unused


2011-02-14  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [4fd1d2573b4ac653ae2ff5baaf5d4924eabc7192]

WaE/dead code - dead code was removed, that made another line unused


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [ae0e29250ea69cb38eb19ad89e92497c6a410780]

Remove some dead code


2011-02-13  Michael Münch  <michael@codingmicha.de>  [fdba64b10f4b9628e32802dcaf6ad1978c20e801]

Easy hack: idl removed and translated comments


2011-02-13  Arnaud Versini  <arnaud.versini@gmail.com>  [bc1d99cef822b8015de6b3980193d0feb5383f2d]

Remove bogus comments and dead code


2011-02-13  Julien Nabet  <serval2412@yahoo.fr>  [0cc1e5dcd02054c3064171e9055cb153214b3168]

Some cppcheck cleaning


2011-02-12  Julien Nabet  <serval2412@yahoo.fr>  [8ab06dbd765ec560bb7e420e69c9eb93f3e2c028]

Remove Xine


2011-02-12  Rob Snelders  <programming@ertai.nl>  [65a46ab7f944507aafa956c89ea305426f5894ce]

translated comments (5-9/54)


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [a3a3694c13e275d6530e818c795d5d676e7e275e]

Remove #include "bootstrp/sstring.hxx"

This file is no longer needed outside of tools.

2011-02-12  Steven Butler  <sebutler@gmail.com>  [946926f41f9d38ed9b4d853383418e7038842927]

A correct solution for the std::fill_n


2011-02-11  Rob Snelders  <programming@ertai.nl>  [4a8517e08d2e56cb730ed50f3d2cd73107a4d179]

translated comments (4/54)


2011-02-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d88751f44ec1bf02c7240aea41a4891b8efff201]

std::fill_n does not return iterator


2011-02-11  Kevin Hunter  <hunteke@earlham.edu>  [3a87b5c8c3a1b0374f6761d6ccdc1efb1d05e831]

cppcheck: post- to pre- *crement change


2011-02-11  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [5d2036dcf1fbfa0e897f45ec91cc7088e6e2793b]

Fixes bug fdo#31252 - Overwrite dialog improvment.


2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [bf91130e1496712ff95806a15ff2d3e3ea8420d7]

Remove obsolete Hyperlink Bar from libs-core

Removed all code related to hyperlink bar from libs-core repo.

2011-02-11  Noel Power  <noel.power@novell.com>  [eab0ecbbd9237f274da64612b76767e3f17abefb]

oops, correct commit fa8cfcd45225d55d567e5ad05900c36700549d5d

bah, I applied the wrong copy of the patch to the tree I use for committing. Minor tweak to logic

Signed-off-by: 	Michael Meeks <michael.meeks@novell.com>

2011-02-11  Noel Power  <noel.power@novell.com>  [aa19c0ba41fbfdf9d3d031c7e0ba16e99a43eff9]

companion ( or even part 2 ) of a fix for fdo#30879

tweak oosplash arg handling to not clobber some special url protocols, '.uno', '.slot' etc.

Signed-off-by: 	Michael Meeks <michael.meeks@novell.com>

2011-02-11  Michael Stahl  <mst@openoffice.org>  [ac2f595bcbb9159a5da30f7e8a5db8f4e71284c8]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Michael Stahl  <mst@openoffice.org>  [1e7e5d05155761224d087a23a99e318bbbfd35fa]

xmlfix3: merge to-be-m100 DEV300_next


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [324d8bdeaefdf2f8501714efd101c855be190ac2]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [0f84ea5faee435252b167f5b91f60e2687fdb491]

(std|boost)::hash on a const char* hashes the pointer not the contents


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [6b3f458f6bf4886bcd1ebd6ede5c75617702e910]

(std|boost)::hash on a const char* hashes the pointer not the contents

This makes fontwork reappear again

2011-02-11  sb  <sb@openoffice.org>  [ae88c63754c52f2a1d8ec9a6cb84c4934787bd6b]

sb138: merged in re/DEV300_next towards DEV300_m100


2011-02-10  Tor Lillqvist  <tlillqvist@novell.com>  [0fe6230451195a5828980748055ff3bc56b39287]

Add x64 Windows here, too


2011-02-10  Noel Power  <noel.power@novell.com>  [4877ad1d8ef4bf509d5329f03fe6c16e8e3c307e]

some form field import/export improvements


2011-02-10  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [81c8a0bf28107cd880c33efd633806cad61fa4f1]

fdo#32369: Fixed the natural order of styles in navigator


2011-02-10  Carsten Driesner  <cd@openoffice.org>  [a4359add226f42261b7c15fa3072d508a7e84fe6]

fwk165: #i116896# Fix problem with Java complex test checking new behavior


2011-02-10  David Tardon  <dtardon@redhat.com>  [6352176338b6aa4f25acfd5ccfb6d90cc851957d]

rhbz#649310 don't crash deregistering diff. platform ext.

This happens, for example, if one switches between, lets say, x86 and
x86_64 systems and has the same /home mounted from both. Then
platform-dependent extensions from one system does not exist on the
other one, but must still be deregistered correctly.

2011-02-10  David Tardon  <dtardon@redhat.com>  [3feda13060cb94682a389ca2b4984d62cded0406]

WaE: unused variable


2011-02-10  David Tardon  <dtardon@redhat.com>  [44d0a3719d68be935e9debf0674e1bdf4e2719df]

avoid useless copy


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [aed6bcebef74ed9b4260aca16e20586babef45ca]

CWS-TOOLING: integrate CWS hr75


2011-02-10  Julien Nabet  <serval2412@yahoo.fr>  [fd878c6afc473c4a7fb909b6477adea77738f564]

Some cppcheck cleaning


2011-02-10  Rob Snelders  <rob@ertai.nl>  [1ac2a815aa58a0636d3d0422e62a6dcf06b237e6]

translate comments


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [9745fccacaa88bded763cc31c9aa7c04a5186a48]

Resolves: rhbz#676539 handle missing pWindows from xWindows


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [8366378563baef5070bc86c2f85ac1937c520551]

WaE: value set but unused


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [ac20bc2c609e40a9357ca118495cab6a05447392]

Remove meaningless code

Its possible that it was intended to set m_bComponentAttached to false. But if
that was the case it should also have been a WriteLock not a ReadLock.

2011-02-10  Francois Tigeot  <ftigeot@wolfpond.org>  [968c9d86ef61576fb730c24748de5dbcc25edd5b]

Porting LO to Dragonfly


2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [90dbeb1fac3eb3ed56fa54943604a6df484f9843]

Remove last traces of SvBytes from svx


2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [afac9c6c62f474e5646e3a0931b68b0c65d58870]

Remove InvalidSlot svArray stuff in FmXFormShell


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [0b9c9b3d72d4b102a5614853a8f3d093f2320090]

Remove dead code: This stuff is always false


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [f529f47d20471c06382ac2584dd9254c63068dca]

Remove unused basic/workben


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [85a54d6efe3b1a415a48c3f842c5ecf4c1f6276e]

Remove some dead code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [d7f8a60dd9056fe83f9f2adf006e6dd219f720e8]

Remove dead code. 'slow' never gets defined


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [77cbc98b7bf77757ccae232165e10939e5adf2ec]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2c56a53e5fb1e2240cf56e9886638c4dbcb85578]

Removing the ext_std masterpiece


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01c37214c3eb33d36d339bf21e2c589bad4444b6]

Make stlport only optional dependency of postprocess


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [0dd56b9815c98cba18c779a08c418bff76956c87]

Don't be shy, include <algorithm> always, not just on MinGW


2011-02-09  Radek Doulik  <rodo@novell.com>  [229df81b920ddee5a1b057af75db7b293f88e3bd]

restrict metafile decomposition (fixes n#650049)

 - do not use metafile decomposition on metafiles which need
   canvas renderer (right now, these containing EMF+)

2011-02-09  Carsten Driesner  <cd@openoffice.org>  [1082bd172706804f915898dec93ac2a388719727]

fwk165: #164407# Prevent substitution of abs. path variable in the middle of a path string.


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [fa7bd86864051bfd2b9554ed8fecdd7d59e0cf84]

Use const_iterator where required by tighter STL implementations


2011-02-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [2ff5f9d577f21c63951dfa42371c8f42dba090bb]

vcl119: #i86067# fix long since broken layouting algorithm


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [b70a3a45ef04e0e8ef6528e56696fd869b5b7721]

Remove old test


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [070601483bc1addc01bbf11d39c8d58f07c64de0]

broken image isn't going to fly

There are intentional text-only toolbar entries e.g. print preview

2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [8ed3685cf4682097e1b00b8dc0c5db2206142245]

don't show broken icon for missing menu entries, but do for toolbar entries


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [18ac748cf879cdae66ea9a86bf19f66be41f7fdb]

prewin.h already includes <windows.h>


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [d6f13b2b2f6ce0fa8a0139faaffe67d5ae27d382]

add in AIX here as well


2011-02-08  Baptiste Daroussin  <bapt@freebsd.org>  [b5eb853f93d79c4204169903aa6d2a420eb6d7ce]

add freebsd in here


2011-02-08  Rob Snelders  <programming@ertai.nl>  [f5703918c44ec6aac157a9313f582106bea736aa]

translated comments


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [c4fa219736995ae0c9a3cc240497bfa1d8a8053c]

Remove few bogus comments.


2011-02-08  Carsten Driesner  <cd@openoffice.org>  [f7e70292375f1337e722a879898faa7035b7a76f]

fwk165_ #i116742# -headless and -invisible shouldn't show start center


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b5eac17dd870e89525fea5390c343ffebd5cb47]

Port stuff to our private implementation of SGI extensions


2011-02-08  Rob Snelders  <programming@ertai.nl>  [65f58500ce9ad96ace3be8636aba4f803069fc57]

translated comments


2011-02-08  Michael Stahl  <mst@openoffice.org>  [ee961727cd33e5c5363e273c5821b2e9f36ba0f0]

sw34bf03: #i116555#: PropertyActionsOOo.cxx: ignore fo:wrap-option (transplanted from e392ccc02819bb6bb3b290c3a81bb23ea9e01d11)


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [50e252e414684fd26742dc8c3600d6f68876d5d7]

debuglevels: ResetCapturedAssertions not available in product build


2011-02-08  Michael Stahl  <mst@openoffice.org>  [d16f57eadb351b4f6e37c7389c176ed91b0da71d]

sw34bf03: #i116555#: PropertyActionsOOo.cxx: ignore fo:wrap-option


2011-02-08  Christina Rossmanith  <ChrRossmanith@web.de>  [c0d2a869e3bd90e268955370704549d006543ddd]

polishing of comments


2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [d18c9a17f33c100fa38e65209f4353cad63ba0af]

lp#696527: enable human icon theme in LibreOffice

Signed-off-by: bjoern.michaelsen@canonical.com <Bjoern Michaelsen>
(cherry picked from commit f6a16194d1348cb1c679acec5cd9e014ca3f3104)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-08  Noel Power  <noel.power@novell.com>  [c20a211b8af0c960a04d71f4fb53ed0664383230]

oops, correct commit fa8cfcd45225d55d567e5ad05900c36700549d5d

bah, I applied the wrong copy of the patch to the tree I use for committing. Minor tweak to logic

2011-02-08  Michael Stahl  <mst@openoffice.org>  [cd5f48dd25ddbbb954b97b207def52cc1542c62f]

sw34bf03: #i113359# patch by dtardon: desktop: avoid possible null pointer


2011-02-08  Noel Power  <noel.power@novell.com>  [fa8cfcd45225d55d567e5ad05900c36700549d5d]

companion ( or even part 2 ) of a fix for fdo#30879

tweak oosplash arg handling to not clobber some special url protocols, '.uno', '.slot' etc.

2011-02-08  David Tardon  <dtardon@redhat.com>  [27a82c54cbd78486ca876e0e8668d4943852967f]

handle css::table::BorderLine in addition to css::table::BorderLine2

That means that table cell properties are correctly set on OpenXML
import again, whoo!

Signed-off-by: Cédric Bosdonnat <cedricbosdo@openoffice.org>

2011-02-08  Mathias Bauer  <mba@openoffice.org>  [b2a81bec26916d0d344a5ee854cdd5ec1465c211]

CWS gnumake3: resolve conflicts after pulling in cws removetooltypes01


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [5f8ce98726e3b442815bc449069178569ff55cef]

Adapt to move of prewin.h and postwin.h


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f69a3b9f95c17aabbaf5a1850aece6c7083eec69]

debuglevels: #i116845# introduce CaptureAssertions, to forward assertions raised during Basic script execution to a user-defined function


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [a54eeb8563b0accfc56dee69cb9eb2f8b3a2800c]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Rob Snelders  <programming@ertai.nl>  [085c9cb2424b51411811128c509a7607e1b8d845]

translate comments


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [18e5e5f47805ec4632a2e5c71dc2e4b935521de5]

fix duplicate declaration left after merge conflict fixing


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [673d26a27239f447d36c951a6db81904a7ce468f]

std::bit_vector -> ::std::vector<bool, std::allocator<bool> >


2011-02-08  David Tardon  <dtardon@redhat.com>  [7d2b98faa2a99a18605c226ae87b82ba3f1d3804]

WaE: unused variable


2011-02-08  David Tardon  <dtardon@redhat.com>  [5f08b8c1cc989b7d0dd89b8fd306cd46efe60dd7]

assign the right var


2011-02-08  David Tardon  <dtardon@redhat.com>  [40537c0613431e76d3ccaff23218caa78b6c18cf]

this doesn't feel right


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [b6844aaaaf56092d1c9321772f2afbebd1d790eb]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/libs-core


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [65e7e751722389a0c52e005a17fc8318ea3ae1e9]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	sfx2/source/appl/appserv.cxx

2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [f6a16194d1348cb1c679acec5cd9e014ca3f3104]

lp#696527: enable human icon theme in LibreOffice

Signed-off-by: bjoern.michaelsen@canonical.com <Bjoern Michaelsen>

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [5af9eec8bc6967636fb4bf331d68cc708fa94cbd]

Remove dead code. Mostly unused namespaces


2011-02-07  Jan Holesovsky  <kendy@suse.cz>  [73474b4bae74c3f6f6aac146db198ca958cef70c]

wikihelp: Improve the check for existence of the localized help, fdo#33258.

This fixes commit 44eaa36c4ce25a7c861455e9dbe6c2c959adecb4 that introduced an
infinite recursion.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-02-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [ed87a79ebafce971f91017ffb3adff55d9f34b42]

fdo#33994: Fixed several crashes around config UNO API

cherry picked from 21427f17e1f6901ac9a7148d5d8ac13e0aad958e

Signed-off-by: Noel Power <noel.power@novell.com>

2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [dcd5d6b5790662f2d5439bf803e98cf33bc87cfd]

hr75: #i116747#: remove obsolete copyright notices


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [8647f1da498548667c69b683b5b5a91486ea0a92]

hr75: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)


2011-02-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [21427f17e1f6901ac9a7148d5d8ac13e0aad958e]

fdo#33994: Fixed several crashes around config UNO API


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [1ef0515335208bab1b2d1d526547efd9593156f9]

removetooltypes01: #i112600# Fix build problem after rebase in sfx2


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [52b4cd2ba8d35bd266644fa570c15943861d4617]

removetooltypes01: #i112600# Fix build problem after rebase in framework


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [4c32d2f9c66812e5fe060304fdc7ed03ca36eb14]

Remove dead code


2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [07d6280e30c162856208daa67f858849899dacdd]

removetooltypes01: #i112600# Fix build problem after rebase in connectivity


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [24621661c0cb44dcc226be9de25d9c2faa6e4a9d]

removetooltypes01: #i112600# Fix problem after rebase in xmloff


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [48410bfe209a7907c21b0888475ab23fbdedc82c]

removetooltypes01: Rebase to DEV300m99


2011-02-07  Noel Power  <noel.power@novell.com>  [ac044cb591a40e688e61bea24db63258e826cd78]

fix for #30879

cherry picked from 6eb4e55b0a61f793f635a8038895cb2e452dc280

Signed-off-by: Muthu Subramanian K <sumuthu@novell.com>

2011-02-07  Tor Lillqvist  <tlillqvist@novell.com>  [4c00e2b2d1f4c1b9aaa049ee3bd99bab99d5b3e5]

We don't need ddraw.lib which doesn't even exist in the current DX SDK

(cherry picked from commit 7bc42b864b22fd8e0b159dfec212abaf989ff9aa)

Signed-off-by: Noel Power <nopower@novell.com>

2011-02-07  Karsten Gerloff  <gerloff@fsfeurope.org>  [678ded2d88c0d3ffa297fddbf6c2acf6e217a576]

add readme content from the wiki


2011-02-06  Mathias Bauer  <mba@openoffice.org>  [181c06ee24d678ca01ec25ff2b0b9f6074e01969]

CWS gnumake3: wrong dll name for component file


2011-02-06  Joseph Powers  <jpowers27@cox.net>  [c538dc57542d11afaa522e8b1eab6b21c4e56c75]

Make PropertyPairHash public.

On Linux (for Fridrich), just removing the SVX_DLLPRIVATE was enough to fix
the issue. However, on the Mac, I had to make it SVX_DLLPUBLIC to get this
to work. We both don't know why this quit working.

2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9c023c361918bc4a472fbcfe26b5b086f5db614]

std::hash -> boost::hash


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cecc0ae657234adf4abfae989e4ccd0df8838574]

Revert "Add #include <hash_map> again, we still use std::hash"

This reverts commit e1c6c40659d7970bbc2fd30d49055f33c82381db.

2011-02-06  Joseph Powers  <jpowers27@cox.net>  [e1c6c40659d7970bbc2fd30d49055f33c82381db]

Add #include <hash_map> again, we still use std::hash


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [006268122c7846203c7992426027fd5344c2d8b8]

OSL_DEBUG_LEVEL formatting


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c091d6adaf73e913264a890665ce2315c002851b]

remove some more <hash_map> includes


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [06db1bcc4e3e29fcca77e475f92a30f8133720ed]

Cleanup of boost conversion issues


2011-02-05  Mathias Bauer  <mba@openoffice.org>  [cada35da1e97d48c149a1e751653abacfcc29d8b]

CWS gnumake3: check for blanks in WITH_LANG


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a561da2d5bbd699aa28d0fab3904b2769508bcb8]

Fix a typo and one visibility cook-up


2011-02-05  Thorsten Behrens  <tbehrens@novell.com>  [59c15b76481894696127b547294ffe24407b22f5]

New mimetype icons for LibreOffice

Update from design team, source svg is
http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/LibreOffice_Initial_Icons-pre_final.svg

2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7d53b7256fb40ce181452b33ebcbf84d0c205b8f]

data_type -> mapped_type


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8a478e795a7e73b762ec6a21a8ff2e32aa1fc39a]

some more unordered containers


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0c817e6924da466ed28aa9ce1199c978ec76c616]

remove includes for <slist>


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b64ddded6e9bc4ba06c215f94c9e27def16ffe9]

migrate to use boost unordered containers


2011-02-04  Christina Rossmanith  <ChrRossmanith@web.de>  [97b0dbbde926d6b22068c3b69468adba98fe941e]

Reformatted some comments / fixed typos


2011-02-04  Michael Stahl  <mst@openoffice.org>  [fe70eec91c5a78f9f586b669c2d9897ba3420e93]

gnumake3: clear d.lst of converted modules


2011-02-04  Michael Stahl  <mst@openoffice.org>  [5a4f1c8d5e2d16c5b3f3bfe700f30a3098edaac2]

gnumake3: adjust sfx2 complex tests to m99 changes


2011-02-04  Noel Power  <noel.power@novell.com>  [6eb4e55b0a61f793f635a8038895cb2e452dc280]

fix for #30879


2011-02-04  Thomas Arnhold  <thomas@arnhold.org>  [8f399a83d045ce50aea7ae10de26ae1ff6259e19]

Fix typo and remove dead code.


2011-02-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [f3acefec178c73321ccdbf46f3ee69a333129a4c]

vcl119: #i116799# enable quickstart behavior on Mac again


2011-02-04  Mikhail Voytenko  <mav@openoffice.org>  [158a194dc95b7a66ca76b9eeecb8ee4413b4404e]

fwk165: merge to DEV300_m99


2011-02-04  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b65fa5f769aea6673ea41fdc329df2fd00fb06e8]

fdo#32872: Implementation names weren't matching with xcu.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-02-04  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [05ef821abdff1ec4712cd4b054a21e4180b2298f]

fdo#32872: Implementation names weren't matching with xcu.


2011-02-03  Chris Carpenter(mordocai)  <mordocai@gmail.com>  [e189add765286802fdadd98fed2d77be4a4313d3]

Complete Easy Hack: Remove obsolete BmpColorMode enum


2011-02-03  Jesús Corrius  <jesus@softcatala.org>  [14e0ac4c662cb9a61a50772fe428379a7c1093ab]

Revert: Win32 shell extensions have to use the new registry file extension IDs


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [a0f63a4c3a5430b6b81318f2dc380ca8975d4d65]

don't pushback and process a corrupt extension

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [76681cbb779c60cdfc2a4df3a6dd0ff2f874f6cb]

Related: rhbz#610103 more woes on rpm upgrade vs rpm erase

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Mathias Bauer  <mba@openoffice.org>  [747861e9ac6e6d4cb70fd89891f855653ee6ea74]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [73180fee6fa9d0f8f450a5702a5f704606eee6a0]

mark unimplemented copy ctor and assignment as private, and fix sigs


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [4973c2c0c71ae03ef833aa026c55887ea5f8dd1f]

gcc 4.6.0 various warnings


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [ad455c7d7d2eac68f6b2d06b3bb10b271fdfb973]

chart52: merge with DEV300_m99


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [ece4a30fc61589ead802d834c71369f7196e831d]

CWS gnumake3: clean up mingw stuff after adding STDLIBS


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [200a95e0bc19d19541281681448a81d4f5a0cfdb]

pulled and merged DEV300.m99


2011-02-02  Mathias Bauer  <mba@openoffice.org>  [73ba327960654ae43eb31be2bb009e87b2b00a9a]

CWS gnumake3: rename gb_StdLibs -> gb_STDLIBS; remove explicit linking of individual standard libs from makefiles; fix export problem in framework


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [01c16026534850629eeba5903f021b0fd0dc58af]

Fix per-frame leak

This was defined as a uno listener, but wasn't registered as a uno listener,
but was a vcl listener. There was no route for it to be released despite all
the optimistic comments.

2011-02-02  Jan Holesovsky  <kendy@suse.cz>  [44eaa36c4ce25a7c861455e9dbe6c2c959adecb4]

wikihelp: Do not check for existence of the localized help.

In case we do not have the help installed, it is up to the online service to
decide the fallback in case a language version is not available.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [fa96d211a55f7343f7877cfaa5de215e17a2efc9]

Fix CDEFS definition.

Set it after including settings.mk because this file resets CDEFS.

2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [8e43a96e19cfd9554f12cfa8adab52dab118f07f]

std::cout used in non-debug mode


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [080e22b06d6904ab92c0de9f8ec07e254146aaff]

Clean up makefiles


2011-02-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [679e780968c36820d1eb13a64822768d12ac6f0d]

fix a breakage with multilingual build

readlicense_oo needs xrmex that is delivered by l10ntools

2011-02-02  Vladimir Glazunov  <vg@openoffice.org>  [8cdff22a144e3a0a85b5d0219485ca5ab04aa9cf]

#i10000# temporarily disable test


2011-02-02  os  <os@openoffice.org>  [413583223e7fa130fbfa9e0145e19c10946dc7eb]

os146: gnumake3 merged


2011-02-02  Mathias Bauer  <mba@openoffice.org>  [651f21c5040dd9222cb29eedcb942c1bd85e1cd3]

CWS gnumake3: convert editeng to gbuild


2011-02-02  David Tardon  <dtardon@redhat.com>  [1d0d3b0485c729494cdf0f282b4771323e865288]

do not annoy with debug printouts on dbglevel=1


2011-02-01  Andras Timar  <timar@fsf.hu>  [25294803701799f744dc9ed56ad9f9a3dbf41359]

s/su urpmi/sudo urpmi/ in Mandriva section of README


2011-02-01  Michael Stahl  <mst@openoffice.org>  [65070f3f6e6d9723e174385dab76c2f9a3cd62a3]

gnumake3: remove loads of obsolete dmakefiles


2011-02-01  Michael Stahl  <mst@openoffice.org>  [b7855dd9ec116e265c4fbdba8ac17ab74d77ada2]

gnumake3: disable some tests that do not build or run


2011-02-01  Michael Stahl  <mst@openoffice.org>  [beb701bb85890308219aa9b398d310221977433a]

gnumake3: convert some dmake files for tests to gbuild


2011-02-01  Michael Stahl  <mst@openoffice.org>  [c5b75f670596afe5941f7d3c9429df98da656157]

gnumake3: remove dmake files for tests in converted modules


2011-02-01  Michael Stahl  <mst@openoffice.org>  [c2849af6626e68f39c59d74200cd15ae291d962a]

gnumake3: work around opt. bug: smoketest crash on x86_64 linux (g++ 4.3.3)


2011-02-01  Mathias Bauer  <mba@openoffice.org>  [3fa40e6270935b2f1cf5946f0983beafe13f8ae8]

CWS gnumake3: use standard linked libs on Windows


2011-02-01  Andras Timar  <timar@fsf.hu>  [7922cf1235dac54df4c15533aaa01973e27c0652]

s/su urpmi/sudo urpmi/ in Mandriva section of README


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [f30f2485fbbf113c8439460a61ccd670fa1adb2a]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [6fdbbed5d0bbd3703c29e85148c0dbb0c2d07030]

Remove RCS lines


2011-02-01  Kohei Yoshida  <kyoshida@novell.com>  [cafc38a1b39d6a7b5c2de0b6c77121832b2fd10d]

Alt-Down for the default data select key. (n#666060)

It was formerly Ctrl-Shift-D which was arbitrarily picked for 3.3.
We need to use Alt-Down instead to be in line with Excel's.

2011-02-01  os  <os@openoffice.org>  [8206e14ebfc2bfb4924b1fbd2ab7eb17b3ba7d0a]

m98 merged


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [6392e9275ae136adb4641dd7ffe2ed97a811af4b]

Remove unused file


2011-02-01  Andras Timar  <timar@fsf.hu>  [4972faf4bb4cbb15d4ff0408f38ff020a26a4c42]

readme formatting - fdo#32741

* using CRLF instead of LF on WIN platform
* word wrap at column 75 for better readability

2011-02-01  Mikhail Voytenko  <mav@openoffice.org>  [fa9b6ee3e83c449239d0e040e57988d304c5e2ca]

fwk165: #i112994# replace icon


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [a9c1601545a90030f2f945e4af7527c465f7bc62]

CWS-TOOLING: integrate CWS writerfilter09


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [e68665dfe8e2dd458a77e852e33d74cae8b957ae]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Julien Nabet  <serval2412@yahoo.fr>  [ea5d2e31054de85f5666328fed353920feb2d5f2]

Some cppcheck cleaning


2011-01-31  Baptiste Daroussin  <bapt@freebsd.org>  [29e7e2ddb08d1cb69bf176d55ca03c5f0ce02ebf]

initial FreeBSD work


2011-01-31  Michael Meeks  <michael.meeks@novell.com>  [918b3ce876bc3b2dfff66a8baaf526bc3f382bf1]

make the xmlhelp fix even safer


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [420c900429ab4b2ed3b730c17e49bcea0aebae43]

CWS-TOOLING: integrate CWS chart46


2011-01-31  Jesús Corrius  <jesus@softcatala.org>  [54a371eea1d0bf59e597d6f3d6d6bd75185703dc]

Use DELAYLOAD to load shell32.dll in fpicker


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [964ad481a92f69e81535f231699ef0c0ed748f19]

CWS gnumake3: workaround for cygwin coredump; don't create deliverlog in parallel


2011-01-31  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [0b6a109e04586db6671ef742196a0a9a3f744ceb]

chart51: merge with DEV300_m97


2011-01-31  Carsten Driesner  <cd@openoffice.org>  [99fe5c75ea3c10ed85fd47b2b85ab624246b00e9]

removetooltypes01: #i112600# Make fixes for gcc on Linux x64


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4f8bfc8f5b2a0c847a75b4e26d8084c3db2b300a]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [b214264fbb55b1f33e8a50b42113137178da0125]

Remove DBG_TRACE_BASIC, DBG_SAVE_DISASSEMBLY and sbtrace.hxx


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [b53a409e14db095690c574b10d8f18b8f7f2dbf4]

CWS gnumake3: enable compiling without optimization


2011-01-31  Tobias Rosenberger  <son@ich-habe-fertig.com>  [e0b35a547a38167f63f349eb411b41c3707388f5]

translate german comments


2011-01-31  Tobias Rosenberger  <son@ich-habe-fertig.com>  [4db1ad938ebbe3d3263261f43c3418c9d5c9f9c4]

translate german comments


2011-01-31  Tobias Rosenberger  <son@ich-habe-fertig.com>  [c1c54c05fb32b1da744ba95ed29b49211e775028]

translate german comments


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [c282c61b5fba08635868655f58776bf172d75e5d]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [5242126e9164c8a8ae138bca623b5f711310ab83]

CWS gnumake3: gcc is used for dependencies of src files and it requires quotes instead of braces for includes if the . folder shall be interpreted as the directory where the src files is located


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [96f281cb61bbd9d4cb5d53de30c74cf6767790f7]

Remove unused DBG_STATISTIC, IPR_CACHE_MAX and IPR_CACHE_MAXINPUT


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [638beee63d5b510dab2d8d167739429a73714752]

Remove DBG_UTIL_MESSEHACK_AUSKOMMENT


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [fb0021f3f812d9ce53ff7aeb16117e1d97993b6b]

Remove DDRAW_TEST_OUTPUT.


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [7f96f90bec00bd6c5d001ee3131f3381fc4508cf]

Remove COPY_TO_TITLE_FOR_DEBUG.


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [0ad7b154f93b18a4dfe55ecb96e4ff49dc1d28fb]

Remove double line spacing.


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [723328ae4dc93a9dacf8df0e6bc66b9cbd2c78aa]

Make this file readable.


2011-01-31  David Tardon  <dtardon@redhat.com>  [6cc9300b607069046d5824f4bcc1697db7bec7de]

remove dead code


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [189d65044874bd3901639fab9637ba23c14ef7ff]

equalsAscii -> equalsAsciiL


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [72031e22b2586d3251917194029d4c720333f1ec]

equalsAscii -> equalsAsciiL


2011-01-30  Mathias Bauer  <mba@openoffice.org>  [1ce4a58706b0e54d1f18e7e143b28374aa75a7cb]

CWS gnumake3: merge minibranches


2011-01-30  Jesús Corrius  <jesus@softcatala.org>  [b2db9fe070273ca251875d6540e4690695d9b2ce]

Win32 shell extensions have to use the new registry file extension IDs


2011-01-29  Jesús Corrius  <jesus@softcatala.org>  [21faea626de38f42c12837731a0e675b8cc529ac]

Fix makefile syntaxis


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [2e0485d3748c33e310e3861aedf4bfcae754c071]

WaE: various new gcc 4.6.0 warnings


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [382502a3e8adf718c9c5c216d9ff32c0551ca6b4]

Remove some dead code.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [d043db1911a041170819a02a460c8b3ff78176b4]

cppcheck: remove unused variable dTemp and dPos.


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [336e6e621f18b5b0372cafb296817143f0e460fb]

CWS gnumake3: extract.hxx cppuhelper->comphelper


2011-01-28  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [0a06178103de6fb1d482c24bba66380c3f6be2ce]

chart46: merge with dev300m98


2011-01-28  Carsten Driesner  <cd@openoffice.org>  [c2c4867d8aa6dcd29c1e17f2b48ef511d2571f45]

removetooltypes01: #ii12600# Fixed issues with gcc on Linux x64


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [e7e601d344392d0a22c8aae6a5b0048e8116423d]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [e1bd27206e8aa866f30102eaa1214b91b39829bb]

Replace empty equalsAscii() with getLength().


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [7458bd6fb1c9f7c2eddf726bd138cdb9fa0c6f0f]

Remove FS_PRIV_DEBUG directive.


2011-01-28  Carsten Driesner  <cd@openoffice.org>  [3b508b354d6778884b3c3be160af7f700254dc2a]

removetooltypes01: #i112600# Fixed build problem with gcc on Linux x64


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [7fe3ff631c72749a526e3d032a7d32a4a2db693a]

CWS gnumake3: kill ENABLE_VBA


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [cb428bbee3f17d38c401bb72a0c0976cea61cf16]

CWS gnumake3: more fixes for problems caused by crappy vbahelper headers


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [0e65e4774409811afee26f0728fdd07b4b3fa011]

CWS-TOOLING: integrate CWS tabcontrol


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [0299a9fbf6e9305b73039e66230f3efb82ae1f86]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [65a2f3e523088f32ffd5b01d8cec2d1c1a4ad506]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/tabcontrol


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [aa50c448407a406d86f54ff2ad4cd36508676abc]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ad2505e04615fda80aeecdf22d26cb9be8ba7dba]

undoapi: pulled and merged DEV300.m98


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [cd8346765fbb0d3c35b7d5ade76a9b363efb4811]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2011-01-28  Carsten Driesner  <cd@openoffice.org>  [7fb378ee2cab06c554b8657dc13821588ae9113a]

gridsort: #164359# Fixed side pane broken due to inconsistent entries of tabwindowservice in fwl.component and Library_fwk.ml


2011-01-28  Caolán McNamara  <caolanm@redhat.com>  [35b784d2dae9209e7b6594998ac8cfdfe4737402]

WaE: gcc 4.6.0 various warnings


2011-01-27  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [27e1d69e9499616bc1901b6aebca258501a6a022]

chart52: #28670# make the legend within charts resizeable - part 3


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [f9614a97d8ad5f07334fbf95431a41c7b97c8dfc]

WaE: gcc 4.6.0 various warnings


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [8636f3f41f8f6950a0e3c05f50eb4423c4035b2f]

Related: rhbz#672872 cancel gtk file-dialog on desktop::terminate


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [df2d81f5368421735ee8ba516027885a6ced5766]

CWS-TOOLING: integrate CWS os147


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [7e52fa3924c5f407f483c3ba59140b9fae067272]

CWS-TOOLING: integrate CWS kso48


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [cec4770631ebac511f3588a62024c168bbeb7b1e]

CWS-TOOLING: integrate CWS tl84


2011-01-27  Niklas Nebel  <nn@openoffice.org>  [a07ab9e4af7db43c13f3dd6abb19d41794c94bc3]

csvexport: #i116636# option to leave out unnecessary quotes in CSV export


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [f167cafd5edfcac674a556fa2f813ce0dec34303]

Related: rhbz#610103 more woes on rpm upgrade vs rpm erase


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [29e02dc40a6d75d479b438139c71df54d4bee0c4]

CWS gnumake3: remove gengal


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [b560aee0ed84a65d0422f55faee26de40ee3aeeb]

WaE: gcc 4.6.0 various warnings


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [0874f970413b390bb0c51c689846ecd4ddd5073f]

CWS gnumake3: fix build breakage caused by missing sdf files for localized builds; fix localization of globlmn.hrc


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [86a9cbc7fa84363c2beb9623d3ce8ca9ff70392e]

CWS gnumake2: use temp files for long command lines; missing include path in editeng


2011-01-27  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [c57e16592fb880405b7669222976adc353a9430f]

"Default Formatting" -> "Clear Direct Formatting"


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [7bc42b864b22fd8e0b159dfec212abaf989ff9aa]

We don't need ddraw.lib which doesn't even exist in the current DX SDK


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [16aaf69c9f51937e530be1e62c648d6bd883ebb1]

There is no SJLIB


2011-01-26  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [26215eb71b3fc144ae8a43a75bbfe9346a1736f6]

Translations of German comments in sfx


2011-01-26  Albert Thuswaldner  <albert.thuswaldner@gmail.com>  [e608f78b4e0e136abe6dabf72616078db1eae4c6]

Translations of German comments in sfx


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [20d8d502cee927cc8c5db8abf647ae6866db9c7c]

WaE: nPos not used for anything


2011-01-26  Kenneth Venken  <kenneth.venken@gmail.com>  [0e4b710053d306488202a166764857206a6cc075]

Cpp cleanliness: redundant assignment to self


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [69abdf4f65b6155aaf48845cbf4a7c3aa2ccdf3b]

CWS gnumake3: fix component location for msforms; change library name for msforms; change file names for gengal


2011-01-26  Luboš Luňák  <l.lunak@suse.cz>  [d06c295137b3d787d2d930dc10ef98f984ced72a]

fix KDE3 library search order (fdo#32797)

Use LINKFLAGS instead of STDLIBS, as the latter comes way too late
in the link command and may result in some stray -L/usr/lib getting
before -L$KDEDIR/lib. Since KDE4 libs often tend to be installed
under /usr while KDE3 libs are often somewhere else such as /opt/kde3/lib,
this could cause using wrong libraries.
(cherry picked from commit b13f9e3374f8f605e6bf6f7be8819142060c37e9)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [673c7d0d483a07b2580852e58a15905d85c17ae8]

WaE: gcc 4.6.0 various warnings


2011-01-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a70df88b2c909228eef492da32672149b808eb48]

dba34a: #i107809# drop support for old Mozilla profile format, support new-style SeaMonkey profiles

(cherry-picked from hg 272071:d5b3bb5ca529)

2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [0f5327324e4d3033bcc48ffc8f2018f6a2572b2d]

this is wrong, using a pointer to a temporary


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [ca338ef747db3999393d9e41a83a10396bca2a2c]

CWS gnumake3: wrong license header in solenv, missing d.lst in sot and vbahelper


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [448980f37eb809d1dc3f8b80a14a8e335fd8bdef]

WaE: gcc 4.6.0 various warnings


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [4dbace49c51490cc12db1176ee237ff212cd506b]

CWS gnumake3: several clean ups and fixes in makefiles


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a27ce93de6188e1ae3ec52455d8ea092e20f42ab]

chart52: merge with DEV300_m98


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [61ca8635412adfd4b7ea895b7f5df89dc65fa728]

gridsort: pulled and merged DEV300m98


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [744c045749728a9a967a590a79553d895809836a]

Add informative comment about ULONG and BOOL screwup in sqltypes.h


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [83bf14585dbfba12be7015e04290495cca4cb34b]

CWS gnumake3: resync to m98


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d262881ae991c42f82857c46f30a5ca802dae367]

chart52: merge with DEV300_m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [69e479b91752db9035e0fa38df89070a2f33b4f8]

CWS gnumake3: fix license headers


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [7900d2c2dfb7162722e5553d474bac088195840a]

CWS gnumake3: fix crappy vbahelper headers


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [29029a3eeadc8484d8c7ddbfd43e62c436ac4074]

WaE: unused variable


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [347b7a5daf76a3ade8411a9614e33196fbd35667]

WaE: unused variable


2011-01-25  David Tardon  <dtardon@redhat.com>  [e8568db2f9b3bc2123222691ca4933c0b493e653]

remove unused code


2011-01-25  David Tardon  <dtardon@redhat.com>  [f5174d58eee92a678d56a4b360ba6e57b098eabd]

make the test for "-" more robust


2011-01-25  David Tardon  <dtardon@redhat.com>  [7bf43f57e8834314a5678f78f680e69fc780c592]

fix build with system ODBC


2011-01-25  David Tardon  <dtardon@redhat.com>  [6173c9154f2ed642f0bec2b68b9d303ac6b54662]

check for exact pos. of the inner "-"


2011-01-25  David Tardon  <dtardon@redhat.com>  [8e20cb9937a16d49b36b6557d483d2de84e78cf8]

WaE: unused variables


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [46e7066e0edac4a2d077a7164f819998baa6b204]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [90d4b17a07f3c5fdd5ab5161bf11193e9f016985]

WaE: gcc 4.6.0 various warnings


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [841138d91b4072fa05bbda6532faea6687db769f]

dr79: rebase to DEV300m98


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [b16cc7416f8d6c2ca51cff517a236ed70daad56a]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [045bd0572c4972c5cd94005d97ea3a614a4ef2da]

dr79: rebase to DEV300m98


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [71d5fd08f7955b1f1cce4bcce08a275895f2ecc5]

gridsort: pulled CWS dba34b


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [406dffaff9032345a58bcf24afda56b6f912c92c]

CWS gnumake3: convert editeng module to gbuild


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [a7161ae45aa773ff228a2ed027e9eee1c67f3b6c]

Stricter type correctness to avoid 64-bit compilation errors


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [d1dedcc6fe58c2588183d5aa994e44d7e6f70a15]

Work around compilation errors on 64-bit Windows

Fixes clashes between ULONG and BOOL in sqltypes.h and solar.h.

2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [e9737f2b0214336176f79485cc4318e2a6ddc232]

Use correct parameter types in ADO API calls

Fixes compilation errors on 64-bit Windows.

2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [687d3b8e68e59946d12e996f1aa7d28cfb2d414d]

Both argumensts to Min must be of same type


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [37c020bc721193a85b659a8f6bda6edcb36759a9]

No need to define _X86_ and it confuses a 64-bit Windows compilation


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [24ad071386e0d32776cbc2af355bb6836e9f7405]

gridsort: extended diagnostics in non-pro


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [d9d430de93fae2a47bac6b143e2579cca1714bfe]

Add x64 Windows implementation of SbiDllMgr

Work in progress. The passing of struct parameters is for sure
incorrect, for instance: A temporary copy needs to be allocated and
its address passed.

No assembly involved. The idea is to call the external function as if
it was a varargs one, and passing the four first qword-size parameters
as if they were doubles, thus nicely causing them to be both in the
integer and floating-point parameter registers, from either of which
the callee will get them, depending on their actual expected type.

Rename existing files a bit for clarity.

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [6947ec9f4f7a2d6dee18e14f962bd8dedc05357a]

Make Get10ThSec declaration match the implementation


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [e38dd82dc73245c652dd30bf0d5ec9f3a673befc]

Use correct LONG_PTR for parameters to IMediaEvent::GetEvent


2011-01-24  Kalman Szalai - KAMI  <kami911@gmail.com>  [9e6b1553e04ed17d9f1481364c672f609a9b12e3]

Start using technical.dic instead of oracle.dic (fdo#31798)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-24  Mathias Bauer  <mba@openoffice.org>  [0fb9f65fd8141e14c6fb8cf085539aae7152dae6]

CWS gnumake3: build gengal with gbuild


2011-01-24  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [37c3be7982956f79605006624b717f7fbeb88fc8]

dr79: #i116540# change 'DataPilot' to 'Pivot Table' in Calc GUI; recover lost changes in resource file pivot.src, remove unused code


2011-01-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2452dc6f42a824ead618fe9b3ccf83d8dcb4fde0]

chart52: #28670# make the legend within charts resizeable - part 2


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [cd31db06f7e360c2ef6e606007f9af8c0483cef2]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-24  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [1007c2d0c2348bb268f8e06f406cc776aaf0f0d5]

accfixes: solved some svx/cui gallery shared string resource issues


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [cf4f81cd71edbda8e79eb68acd79284a95d00236]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [b93aee14736e65b13887ad0d1ebb32f214d3cb05]

WaE: gcc 4.6.0 various warnings


2011-01-24  Henning Brinkmann  <hbrinkm@openoffice.org>  [66971290ba5372a7979ba0e298df4cb5457fe7a0]

merged DEV300_m98


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [154fa237d3d9a8b3c9625e17928a16bc8f96783e]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [8b3801e24fb3ba3d8bc5283ffff83d19bd0d369f]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [14a73eaa77b5000ab83a672be964e923f65ca9e0]

WaE: gcc 4.6.0 various warnings


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [af894b253daddae5f2832db650fd1ff8c5b968ae]

CWS gnumake3: convert module vbahelper to gbuild


2011-01-23  Caolán McNamara  <caolanm@redhat.com>  [135cce3ab24149d0f30ac0afd907c0ecf06765ec]

WaE: gcc 4.6.0 various warnings


2011-01-23  Caolán McNamara  <caolanm@redhat.com>  [57bfb2c74405d48bdae87a193ee2531fb6ece71e]

WaE: unused variables


2011-01-23  Caolán McNamara  <caolanm@redhat.com>  [edd98054dc07c730ae23923f0430fd3d4e057626]

WaE: unused variable


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [69c82e9eb476425fdf1aead5a80238c8a8989666]

Remove dead code and obsolete SvxShape::onUserCall().


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [e6adf611d8edc61322bf5692bb7539ee7a3ea5b2]

Remove empty description and dates.


2011-01-21  Luboš Luňák  <l.lunak@suse.cz>  [b13f9e3374f8f605e6bf6f7be8819142060c37e9]

fix KDE3 library search order (fdo#32797)

Use LINKFLAGS instead of STDLIBS, as the latter comes way too late
in the link command and may result in some stray -L/usr/lib getting
before -L$KDEDIR/lib. Since KDE4 libs often tend to be installed
under /usr while KDE3 libs are often somewhere else such as /opt/kde3/lib,
this could cause using wrong libraries.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [724c4f1c6aea58015e6dfb382614f8bf3f6fb470]

Remove obsolete RCS lines.


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [5755d6361b685c7da9bb4da70829d8411ffd0d93]

use longer non-deprecated command line args


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [569b9c1e9680fbf2a951c7642523e0effc5181e5]

use longer non-deprecated command line args


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [86c800f2649b430450f7b043d907fa2ff24d8bb1]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [5b06db7ecbe2a81e64e92789fbad0bacc136b9e2]

accfixes: added missing include


2011-01-21  sb  <sb@openoffice.org>  [9fab3b28c73ffb44632cbab48919e40d905174cd]

sb139: merged in DEV300_m98


2011-01-21  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [8da61968e0d909dab028daadcdfaf821794ffa47]

chart51: #i116544# copy/paste error with complex series labels


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [4d28e6a519e625c41cd820233ff1a0a5e7078e46]

resolve more ownership cycles


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [e7dd167309d82105d320af8aea7263229cf65fb1]

use a weakchangeslistener instead


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [80b61d9c6762b4f195edd1246b903b11ad3f2252]

Remove old RCS lines.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [186da98a58f627639a1b4d27b14db8f60f09b046]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [2e40fd9326855a73144e0a29d571fbabad80503c]

removetooltypes01: #i112600# Merge changes


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [c815f972183ac80ed52fb16e3480677e78f07bc6]

removetooltypes01: #i112600# Fix build problems on non-pro


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [584471f1e3d1f14c3a4f07d7a42ee29265028662]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (svx module)


2011-01-21  David Tardon  <dtardon@redhat.com>  [3c9137a7f17895a5e58fd3da73c9141c2e64150f]

remove unused code


2011-01-21  David Tardon  <dtardon@redhat.com>  [78118536b6b939e4d4cfbbf2ae208a1ba5c1e5ad]

remove unused constant


2011-01-21  David Tardon  <dtardon@redhat.com>  [1f94c25d946edc115f659ab9550acac878c78661]

extend assertion test


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [6084de8bf51beb13fdc689e726537cf0c2374913]

gnumake3: fixing sfx2_metadatablefor unix


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [dbe02986e8005fd5e66f5b95fe6ba08253e6410d]

break ownership cycle


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [87ce4f4744188cd3a76315896bcf2ab03c4378f4]

break cycle and clear owner reference on dispose


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [da935d388b3957092f404a30969642bde565a4b0]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (sfx2 module)


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [10abe6b6b705264e0a4a72bf13c326dc8adfc19b]

CWS gnumake3: add gal resource


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [746d8ba32e92f44cbb278f1ea91aa2ca5a50c88e]

CWS gnumake3: -D_DLL is needed on Windows; removed superficial _DLL_ usage all over the place


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [839673af89c1a4079217969a5d0a5cdab44750e8]

CWS gnumake3: fix cppunittest on Windows


2011-01-20  Caolán McNamara  <caolanm@redhat.com>  [c7ddabe3f8e54bc588f6b200ba3997b504082563]

Related: rhbz#668057 use default server-side permissions for copied files


2011-01-20  Caolán McNamara  <caolanm@redhat.com>  [09d3fa862c167ddfb4b039d7024e0732c00c001d]

Related: rhbz#668057 use default server-side permissions for copied files


2011-01-20  Carsten Driesner  <cd@openoffice.org>  [72a68aece046d72bebedd943013a7eee66604185]

removetooltypes01: #i112600# Remove tools types for Mac specific parts


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [898c3aa0f57dfdad973b1c9fe3a3e81bb63cbadc]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-20  Jan Holesovsky  <kendy@suse.cz>  [4aa145a9fed5f1b1aec6ef3dfe64c67300c74a19]

Improve the 'Update all links?' message, fdo#32548.

Based on Kohei's version, it would need larger rework to implement Christoph's
version.

2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [977d8358b14456de05c67df47ffe1443fb0b09e8]

accfixes: added more accessibility information


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [9ec264f0e4d59f489b2e6c063c9699ffa2e8cdac]

accfixes: fixed tab order


2011-01-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [c49c526f989fda152f91ddbf5b1f77864bd56be6]

vcl118: #i115048# clean up, paper names are now in vcl and can be accessed with Printer::GetPaperName


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [510e5083c143a258d8f7dab306fff1308436b17a]

logic reversed


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [7f69d20d16cdc5eac582081c9956c836b06249a1]

Create process service factory early in all platforms.

Just so that we can remove one #ifdef UNX guard. The less of those
the easier to maintain.

2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [c20f5d3b414c8f51670fa3f73460082564ad2bfd]

gnumake3: merging minibranches


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [70e496e9864c5c3f87d07d9250b05ce61a2b9984]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [35668f048c5b19303625d8108008d8b373106e23]

vcl118: #i115048# revert brochure printing in writer to old behavior taking the paper size form the printer driver, add paper name to print preview


2011-01-19  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e69bdce7b4bbdb0ce1266eb634118965320608ef]

chart46: #i25706# implement date axis - #i116519# scatter save


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [8a74b51e5691fe1c8559c40f1a92e271d464cdf8]

CWS gnumake3: merge minibranches


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [a3256f5d130581d36b0989b674a0ec554f6a92be]

CWS gnumake3: some more fixes for windows and svx; remove superfluous code in starmath that still used old _DLL_ define


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [bf5e4e1d1db488624d040eb09acd7d1ba6b22aac]

gnumake3: enabling unoapi test in svx


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [ef08779f60d1ca7068f46979c0801befa7728e3d]

gnumake3: merging minibranches


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9cbed7fe4cf060c9cc8ca8562e29349c4ff87b51]

gnumake3: #i116390# finishing support for Junittests in gbuild


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [b9a1c147e0c826df5f8de9b6f9554d96810dced2]

CWS gnumake3: repair windows build; convert svx to gbuild


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [de69e9133725aac3be6102b48357416d3cb88788]

accfixes: accessible name for preview bitmap


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [04df3553ea5f1ddd4cca7472cb1837f9e19d5c41]

masterfix: #i10000# resource fix


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [8e8efdacfb45e6bf3f347e503c2cd690c6acbeec]

CWS-TOOLING: integrate CWS sb135


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [6e3ed172a812d87a9f6a16f1396db12835cdcd65]

Implement dispose and break circular dependency.

listener on configmgr means this dtor is never called.

2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [b0d762ac1a5bd52a45b4c4230235b64f0772fb88]

CWS-TOOLING: integrate CWS mingwport33


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [4076390a8b75abe5dcb852a36e85a0fec1d90ea4]

CWS-TOOLING: integrate CWS ab79


2011-01-18  Andras Timar  <timar@fsf.hu>  [ccf26314e5e181d239d3ad1b7f5231dbe50c81e2]

readme formatting - fdo#32741

* using CRLF instead of LF on WIN platform
* word wrap at column 75 for better readability

2011-01-18  Lubos Lunak  <l.lunak@suse.cz>  [1996d06c53d70b912f516b6d191bf23f0440155d]

Make --help and --version work even without $DISPLAY.

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-01-18  Kohei Yoshida  <kyoshida@novell.com>  [4b714ed4b8f7c0e9cabf59619221cba6f1156fd0]

No need to check for a failed condition since the value has an init value.


2011-01-18  Christian Lohmaier  <lohmaier+libreoffice@googlemail.com>  [3004857170349792faa5fc9798a07a87e091d072]

WaE patch for editeng.


2011-01-18  Luboš Luňák  <l.lunak@suse.cz>  [d6a3439ea3bcc5c7ca72dc82076133e07467f002]

fix broken code indentation


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [774399252dd2c0512091469532626ce7a3f15366]

CWS-TOOLING: integrate CWS fwk162


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [ce7cc9f1334a86598102848f48895f0ab6e024fa]

CWS-TOOLING: integrate CWS chartextensibility


2011-01-18  Luboš Luňák  <l.lunak@suse.cz>  [0afc2989b53e23fc0c40c5236dcb8c3da1f0fcf7]

build with libpng 1.5.0 (fdo#33231)


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [0a8149b7e317b9f6d666f4fbcb649f9301da3581]

don't pushback and process a corrupt extension


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [543d896b1341e3ee71d414bbfffc294a1f1318e3]

drop this redundant comment


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [5ad8604d671b29c92bdef3021ea7e259f39b97cb]

Use the foolproof checked macro for this


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [89e4950480114e1799984d140b7c5d018687e0ff]

cppcheck: pass by reference


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [f5671a74eae93bb61b888127ea2bae425e3cfb1d]

tweak G_SLICE to canonical always-malloc


2011-01-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [cb7d7138b943042f11eec3211d7a913c9b85908c]

calc65: #i116371# fix backgrounds for polypolygons in metafile

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [21fcd574c8c66948d4aacdd34c9a8033391bc43f]

cppcheck: initialize member variable


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [5000b167992b124f0e35e81fa2afb2a100d47cb9]

fix COMMON_OUTDIR/COMMON_OUTPUT typo (fdo#33096)


2011-01-17  obo  <obo@openoffice.org>  [92c46d0a09f6320aec5118aa121cfabb6ec227c9]

CWS-TOOLING: integrate CWS calc65


2011-01-17  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [7293d320db1dbeeac39f32379f3f4797bd962c83]

chart46: #i25706# compiler error after rebase


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [16419e7a08fc3b2f931e0831845e646d4cb40dda]

removetooltypes01: #i112600# Merge changes


2011-01-17  Mikhail Voytenko  <mav@openoffice.org>  [8b717a92eca92c93566d6dbc49122e17ad630e41]

removetooltypes01: #i112600# remove tooltypes from sc


2011-01-17  Julien Nabet  <serval2412@yahoo.fr>  [0efebf6081e7939aac864093185cf6a997d6aa26]

some cppcheck cleaning


2011-01-17  hb  <hbrinkm@openoffice.org>  [88dee79640be5fe8a44d05da7e3f2812f703cffd]

merge


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [410bc1e5a466531cfe052f7c25f50f97262d80c1]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [40c202b083b865ac733b9456cd018e48bb508031]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [3245eb50d6fa635684b9ad78df9f560c26c80034]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [47cfe443cd7f2eb9c32a18f40bc0442ce79a5557]

speed up startup a little bit


2011-01-17  Andras Timar  <timar@fsf.hu>  [36a8e6738169e678d7539aba6d8dde962dae9d78]

Sun Microsystems -> The Document Foundation in desktop file fdo#31191


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [5d1e49049453298e993a98d8aa61c35bb860acd6]

equalsAsciiL faster than equalsAscii


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [a707fa7bc280d5431f0bbc37a354ca744a5b9bf3]

reduce the amount of __cxa_atexit churn


2011-01-16  Andras Timar  <timar@fsf.hu>  [3aee61d1181865fc46c635bcb08eb25f3bca56aa]

Sun Microsystems -> The Document Foundation in desktop file fdo#31191


2011-01-16  David Tardon  <dtardon@redhat.com>  [ba8965dba4055000a4d5a8cb382907e4c08973f2]

make public

The SdrDragEntry class is "leaked out" through the functions of
SVX_DLLPUBLIC SdrDragMethod that use its maSdrDragEntries member (of
type std::vector<SdrDragEntry*>). That breaks build with debug version
of libstdc++ (with gcc 4.5, at least) in sd and chart2 because linker
cannot find typeinfo for SdrDragEntry.

Alternative would be to move the definitions of these functions to
source/svdraw/svddrgmt.cxx .

2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [0945629d19ceb915baeb735a30072a8691f9e8b6]

C4706 silence assign in comparison warning


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [39efd30fd6a91ccdb676099783885bf8c3ed6788]

drop static and just use a single sal_Unicode


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [fe03673ef14b0aae4e3f70cae3f8b246b3714df6]

drop unused strings


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [a7585c06c15971a0256fc9b2758dac944220617d]

equalsAsciiL faster than equals


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [55f5aeacd186b1f783c6018ec16d70ae7ce12cc8]

equalsAsciiL faster than equals


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [dcdeb0993f78c722cbba99780746932d285eb313]

equalsAsciiL faster than equals


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [181c8e131c0fd584f252df02c59bbbe6bfb1cda9]

remove unused strings


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [86065485796d67cac71386dbc5a796da0fbcae01]

equalsAsciiL faster than equals


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [9a8405256bb6737e7f11c5e0edb395e344df8720]

drop unused global OUStrings


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [ee34a7e85cfd4fcc407c938db4e584762e0c6a3f]

equalsAsciiL faster than equalsAscii & comparetoAscii(const sal_Char*)


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [b8dc42c46239452cd199c697e50c283a77e21f0f]

microopts equalsAsciiL faster than compareToAscii(const sal_Char*)


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [4a35eeb3fe0c8521232f881677c7e52da5b1a6cf]

equalsAsciiL faster than equalsAscii when length available


2011-01-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [3ad8156db713c6ecd73cfca69f8c6a373a61c2c4]

chart46: merge with DEV300_m97


2011-01-14  Petr Mladek  <pmladek@suse.cz>  [2c2774f3a20f35f9f5320efa9e7d1f37bb860266]

unopkg crasher on SLED11-SP1 (bnc#655912)

activateExtension call broke memory if dp_misc::getIdentifier and xNewExtension
were called inline; the problem was visible only with gcc-4.3.4 and did not
appear with older or newer gcc versions

valgrind got happy and unopkg stopped crashing after the values were passed via
the extra variables

it looks like a miscompilation; IMHO, it does not make sense to report it
because it does not happen with last gcc version

this code is not critical for the performance, so the workaround with
extra variables is fine; they might even be optimized out by the compiler

Signed off by Michael, Noel, Tor

2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [eac244bcead336aceddf961e271d9e66dbd212bc]

removetooltypes01: #i112600# remove tooltypes from desktop


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [66f459e88f95effeaaaeebb2756d62d7df2a85c3]

removetooltypes01: #i112600# Remove tool types from binfilter, starmath, svx, toolkit and xmloff


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [3a991451cdff7ca92f4da84808abcf58ca26290e]

Resolves: rhbz#668057 lock sftp urls too


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [a900bb65d4c112461a0bcdf2f63c2904d871aed2]

removetooltypes01: #i112600# remove tooltypes from scripting


2011-01-14  David Tardon  <dtardon@redhat.com>  [49c8951d22d0c2da2de9e3a0154251b98b7816e6]

remove superfluous includes


2011-01-14  David Tardon  <dtardon@redhat.com>  [b6006cd1a9ad37e535dff2adc35a8d10ac5990bb]

remove superfluous includes


2011-01-14  David Tardon  <dtardon@redhat.com>  [769901f9497588cd61d011c04329c36246944596]

specify array size as a constant


2011-01-14  David Tardon  <dtardon@redhat.com>  [06c08a36bc7961b33dbb7bb55c197f5fa9c9b6c8]

use SAL_N_ELEMENTS to compute array size


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [3873dd6cce4d0166675fdfc87f1a60e949ca94c4]

removetooltypes01: #i112600# remove tooltypes from vbahelper


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [70b6e0088fc54702601a6939fe4eccad4ff2c8b7]

removetooltypes01: #i112600# Remove tools types from basic


2011-01-14  Michael Meeks  <michael.meeks@novell.com>  [8539854f9af2c423d69ab9a89c79d3dbb8c6abd3]

fix FMR crasher bug#33099


2011-01-14  Joseph Powers  <jpowers27@cox.net>  [b2015dfa3600594460e3b7c4b510f1dbf011c131]

Additional fix to Remove DECLARE_LIST(SfxStyleFilter, SfxFilterTupel*)

Thanks Lubos Lunak for pointing this out.

2011-01-14  Michael Meeks  <michael.meeks@novell.com>  [6bd4de8aa3b00b5880bae267ca2eca1685631d22]

fix FMR crasher bug#33099


2011-01-14  Luboš Luňák  <l.lunak@suse.cz>  [d85c07a0980a7c83cfb9b393a74b1b61fdc57c6c]

fix out_of_range abort introduced in 7bc30e29


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [1cde703528c0dc53f29e51f68e17d84ae0ae66d9]

removetooltypes01: #i112600# remove tooltypes from formula


2011-01-14  Tor Lillqvist  <tlillqvist@novell.com>  [4f81b94b7cee00c88e31612dc26800199c570ba6]

Be slightly more paranoid defensive

(cherry picked from commit f8bfab1f464d0f26accb6d28b31b4749306bbfda)

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>

2011-01-14  Tor Lillqvist  <tlillqvist@novell.com>  [c13ec5fbad1bbdc5a40a70b3d0b4ca86c01708fb]

Fix buffer size problem that broke MSI installer localization

(cherry picked from commit 5b7719a49fd57a9f446201fabc02bf1787dbbeee)

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>

2011-01-14  Tor Lillqvist  <tlillqvist@novell.com>  [f8bfab1f464d0f26accb6d28b31b4749306bbfda]

Be slightly more paranoid defensive


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [cf88850cc4aa49701cbd5a51c1e35e3226fc56fd]

removetooltypes01: #i112600# fix TRUE/FALSE autodoc tags


2011-01-13  Tor Lillqvist  <tlillqvist@novell.com>  [5b7719a49fd57a9f446201fabc02bf1787dbbeee]

Fix buffer size problem that broke MSI installer localization


2011-01-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [90d6a0ccb7c2c83c504f388202da51fb21bfd70b]

gnumake3: refactoring gbuild linking to prepare for static lib linking fixing


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [4980e60a63c8254590659562d75660f87f097402]

removetooltypes01: #i112600# remove tooltypes from slideshow and forms


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [cb6f16e71ac917e8c14a443a6f0e7d56affacd5c]

removetooltypes01: #i112600# remove tooltypes from svx


2011-01-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [efb0ff91c3ff43017e6081e590f1a80ad19fa8e2]

calc65: #i116371# fix backgrounds for polypolygons in metafile


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [1664a1d0e52a9044b7edccbed071f0e7c861b895]

removetooltypes01: #i112600# remove tooltypes from drawinlayer


2011-01-13  Joseph Powers  <jpowers27@cox.net>  [198b11353bd09e40b43628097182b915a0b0c7f3]

Remove some extra #includes and trailing whitespace


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [b17fc268bca8e6b3344f586b339b33fd2a7b53ec]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong / remove tools types from editeng


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [1ebd8897770d463a7e86c373a94187c126da7532]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in framework


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [dac071dc80156c6d7d6eef90f8f71dd015aeda9c]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in uui


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [cd20da4dda0140c534042785c6c3186a2a7e2a7f]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in fpicker


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [2fa065675fbc6588aa7aafe33031fd83e42ef201]

removetooltypes01: #i112600# remove tooltypes from avmedia


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [843f0c289fa3c2c8859df495ec7158455555c7eb]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in linguistic


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [491e0010689b6f0da5f032725e7162bc6bc683db]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in idl


2011-01-13  os  <os@openoffice.org>  [8b5d3a9b5329d51f5fcfdd672f66d8cdfcbc1a4d]

m97 merged


2011-01-13  os  <os@openoffice.org>  [5ed912f68d490e032c814a81c3afbe7904f19150]

m97 merged


2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [02a39a3d6c147aa135f05f5024d39e61c7b48aab]

Add bits to change appearance of the edit box upon invalid references.


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [639e30a9e5ccea1c4fd0e536438689be0e79db86]

rebase to DEV300_m97


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [b0b6dfa52c9a926a9f63f8d98a33bed8c4814084]

CWS gnumake3: #i116422#: convert svx to new build system


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [aac59b315fb1b84a3d824977588e4a0de1cf8ab3]

CWS gnumake3: #i86790#: clean up mess with ooo+iso resource files


2011-01-12  Mikhail Voytenko  <mav@openoffice.org>  [41ed3887616580fe2e900aaa2cac4edb4ce12f7d]

removetooltypes01: #i112600# remove tooltypes from sfx2


2011-01-12  David Tardon  <dtardon@redhat.com>  [0d209ac289dd5c79da6950b4c01b0cec9b7fbe6d]

handle css::table::BorderLine in addition to css::table::BorderLine2

That means that table cell properties are correctly set on OpenXML
import again, whoo!

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [accd51f069a80bfe944d1c83f0d4320a223b5113]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [d1c7535dbe2839c9435ec9bd944ca353aa40dc6b]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [139fc94dd7ecaa2d8db759ed7344d2ced1b7fe3c]

WaE: sal_Int32 is a %SAL_PRIdINT32 when printfed


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [12e7bdd2154e2b0fa4e6242af65278b37accd1af]

gnumake3: more work on junit subsequenttest migration


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [5574e2ae54d3a2afa6d6dc1387a04f77c744bae1]

Use --splash-pipe instead of -splash-pipe.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [17a5d62b16655e746d56375123f87fabfefebbb3]

Correct way to add deprecation warnings.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [27f122771e503687a717cb2205e2c8619ade295f]

Add deprecation warning on -foo style command line options.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [f4b46c5756de4abb61bb7b569a658fb206c99c72]

Use a dialog for the non-unix platforms.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [3dce95f138677233c5685bca72a00cfe368826e1]

Updated the help to add the --version option.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [33060984a42629d9e6e202c6d45e757e36ad2a25]

Display the real version number.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [4735dc65229dcb1787304e16a55c2b366128cfba]

Print help to stdout, not to stderr like the rest of the programs.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [870fbd35ab09f344143308433f8a7c4c75840fcb]

Hook for supporting --version command line option for Unix.


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [d052a86b91831e805be3c8e07a01c8da254966f2]

drop typedef, don't need it for C++


2011-01-11  Tor Lillqvist  <tlillqvist@novell.com>  [ac7c887941632f51f7260e945aa04239a3599919]

Treat MAPI_E_USER_ABORT as success (bnc#660241)


2011-01-11  Carsten Driesner  <cd@openoffice.org>  [ab408324a12d87d9a583235a89959acdc543197e]

Merge changes


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [fe9114f836076dbbda2143d57af5dc585677292e]

Resolves: fdo#32953 add preferred Malayalam fonts (cherry picked from commit 2f70074be979ca4a58e653a561a45d8d75b52f19)


2011-01-11  Mikhail Voytenko  <mav@openoffice.org>  [94074918aa68094c548840fabe5e7d2b506fc92d]

removetooltypes01: #i112600# do not affect FASTBOOL in this cws


2011-01-11  sb  <sb@openoffice.org>  [fd38795e1f3ad7d8a2eb6474f73d05dd40525cf2]

sb139: merged in DEV300_m97


2011-01-11  Andras Timar  <timar@fsf.hu>  [1914f0dc43cb6af931a350a4e9d694d6801f41a9]

s/KAPITAELCHENPROP/SMALL_CAPS_PERCENT/ and define it in a header


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [8d7bdf2c45057d2e5345bc69e85badaf32f03072]

gnumake3: renamed TestFixture to CppunitTest


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7df9ed269c2c20f9ce1a0ff1b8426fcf7c31f9de]

gnumake3: complex tests in sfx2


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [2f70074be979ca4a58e653a561a45d8d75b52f19]

Resolves: fdo#32953 add preferred Malayalam fonts


2011-01-11  Carsten Driesner  <cd@openoffice.org>  [1fae019d7eb6cd10ddc4a8cdf3575ef414ec54e7]

removetooltypes01: Use correct conversion ULONG => sal_uIntPtr


2011-01-10  Anders Jonsson  <anders.jonsson@norsjonet.se>  [303067c83c4be23cb0798af13f3f323cd8521b87]

Remove commented code


2011-01-10  Takeshi Abe  <tabe@fixedpoint.jp>  [2749cbd4a2dcc5e3764242b7734d2adcf66025a9]

remove dead codes never passed through even in case of MACOSX


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [8317a0b3e54cfe4517b2774a39ab856d8beff26d]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [38308f15d7cab93256aa9eab814cf971857621c4]

gnumake3: intermediate commit junit tests


2011-01-10  Noel Power  <noel.power@novell.com>  [3b55cdf1d041c4b03043dee25a880d6f807a7e99]

fix handling of excessive trailing decimal places for currency as string


2011-01-10  Carsten Driesner  <cd@openoffice.org>  [24ee5605ac12bd770448836bf9974ea9adc0a50e]

removetooltypes01: #i112600# User correct conversion ULONG=>sal_uIntPtr


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [6be22fb369059e694361b3e33f396f2f677d6d76]

Really set BrOffice in the linux desktop files

* dekstop files need "pt_BR" instead of "pt-BR" (undescore vs. dash)
* "%PRODUCTNAME_BR" was wrongly substitured to
  "${PRODUCTNAME} ${PRODUCTVERSION}_BR"; it should be
  "${PRODUCTNAME_BR} ${PRODUCTVERSION}"

Signed off by Michael Meeks

2011-01-10  sb  <sb@openoffice.org>  [c659dc3d57e6ecac7fe1cc07459a81fc77587eef]

sb139: #i116391# for backwards compatibility, allow absolute paths in configmgr getByHierarchicalName et al


2011-01-10  Caolán McNamara  <caolanm@redhat.com>  [7d6908a238145ed77285f69e75009dbe0488d064]

Related: rhbz#668057 Only need to know this if pInfo is non-null


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [eb351b607e16856526bcb8b5ca8f99c23152c6dd]

removetooltypes01: merge


2011-01-10  Carsten Driesner  <cd@openoffice.org>  [f7537e870fd53d0f8c9f72b69bf4fc8bd0ccabc9]

Merge changes


2011-01-10  Carsten Driesner  <cd@openoffice.org>  [5e0eb39e14d6356ab2c2ae92c9dda922fbc2c2ce]

removetooltypes01: #i112600# Remove tool types


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [71dc3c18c669b89c84c372bc730cc6dc7cc600e4]

removetooltypes01: #i112600# remove tooltypes from svx


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [fbbfb5731d28118759aafe1a29a15bb71a2bc40f]

removetooltypes01: #i112600# remove tooltypes from sfx2


2011-01-10  os  <os@openoffice.org>  [4fd48e687f523ace304265f9872f722649a4377c]

m96 merged


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [e1fb7d03f672613e88bb8848515b1a2939932597]

removetooltypes01: merge


2011-01-10  Carsten Driesner  <cd@openoffice.org>  [9e8ed1a24ba266c318f9ea292f1c9da8ef0508b6]

removetooltypes01: #i112600# First part remove tools types from editeng


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [26b3266d39e44c82d8776c513b76e4bc900985fd]

removetooltypes01: #i112600# adjust basic and scaddins


2011-01-10  sb  <sb@openoffice.org>  [d1ec9d02ea8ccdb4d8d608133f66ca3492ece635]

sb139: #i114601# COMMON_OUTDIR removed in the meantime, so COMMON_OUTPUT typo can go, too


2011-01-10  sb  <sb@openoffice.org>  [2df0d82f8797553da7abd2ca32afe1b559fe4652]

sb139: #i77102# forget about configmgr user-layer removals that no longer remove anything


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [08508f1134be2828ec613fe526f2e837c62da348]

undoapi: re-enabled the complex test cases in sfx2, using the old build system for the moment, until the new system has JUnit support


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f47b67565d704bbc57eb785929b88850875e18b7]

undoapi: merge


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [8c5e00bb538d77f5e6cba39eb687252a140e3ebe]

removetooltypes: #i112600# adjust fpicker


2011-01-10  Carsten Driesner  <cd@openoffice.org>  [f5e6c67f1088685a9dc67f2835da8ddde8fbb661]

removetooltypes01: #i112600# Removed tools types from framework


2011-01-10  David Tardon  <dtardon@redhat.com>  [e22b34138f412b949f5451333a8c82218623820c]

use SAL_N_ELEMENTS


2011-01-08  Vladimir Glazunov  <vg@openoffice.org>  [076908afb73111daba090b135b1f7ca5d814f5b5]

CWS-TOOLING: integrate CWS ause129


2011-01-07  Joseph Powers  <jpowers27@cox.net>  [d456da018b3030250b30cbc2b5433a2ac701f2e1]

Remove DECLARE_LIST( SvXMLAutoStylePoolPropertiesPList_Impl, ... )


2011-01-07  Joseph Powers  <jpowers27@cox.net>  [ed0151aff248fa609847820d7ef9edd2a5273406]

Remove DECLARE_LIST( SvXMLAutoStylePoolCache_Impl, OUStringPtr )


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [3ded548895003d242e6afcabeb5b1532d1b2665c]

Fix distro specific about intro hadling

oosplash does not longer support multiple intro pictures; it is enough
to replace intro.png and about.png with the pictures passed via

Signed off by KAMI.
--with-intro-bitmap and --with-about-bitmap configure options

2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [17c348d931b879af9d9bf0a842dca49570e1c62a]

removetooltypes: #i112600# remove tooltypes


2011-01-07  Joseph Powers  <jpowers27@cox.net>  [20c7bb186b1750dd8833f350a942b6762dc29cb1]

Remove DECLARE_LIST(ImpPlaceholderList, SdXMLPresentationPlaceholderContext*)


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [e0962a6814b3e146c6613b87b77203874812cf2e]

removetooltypes: #i112600# remove tooltypes


2011-01-07  Joseph Powers  <jpowers27@cox.net>  [cd6a825d2ea8198c6571119f6360f46fdc74bdb5]

Remove DECLARE_LIST(ImpMasterPageList, SdXMLMasterPageContext*)

Plus a lot of white space cleanup (tailing type)

2011-01-07  Joseph Powers  <jpowers27@cox.net>  [1c1f8f88304d2852d6064baeb6037b2c57aadda9]

Remove DECLARE_LIST( XMLSectionList_Impl, XMLSectionImportContext* )


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [247c5f73eb0427a1e77e52dd2842f5f7d6073781]

removetooltypes: #i112600# remove tooltypes


2011-01-07  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [a42ec9de9eb38595ef7e727bddf60b53516823c7]

chart51:#i116352# Error: XMLShapeExport::exportShape(), exception caught


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [8e143e3729a28cf423f8eed73dbc28d88cd15e4f]

removetooltypes: #i112600# remove tooltypes


2011-01-07  Carsten Driesner  <cd@openoffice.org>  [ecdf968bb4738997940fccce69293c1fe4721ab2]

removetooltypes01: #i112600# Fixes in rsc, svl and xmloff after rebase


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [6516175d895cb2e2400d6135af14820540378806]

fwk162: #i115902# review usage of SfxObjectShellRef, SfxObjecShellLock


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [33761581bd238caa950bd371ebfa81bd33ea9020]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [66ad3a6ff862d3954a7a0068ee402dd629cce846]

cppcheck: prefer prefix variant


2011-01-07  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [d1d1325f4428869f77b7ebd95c3c8deacb18a727]

Update CREDITS.odt

mmeeks gave OK to push without review, he will have a look at it.

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2011-01-06  Joseph Powers  <jpowers27@cox.net>  [41ff500e3be1e49ac9a1a62da538ebe7ab6cf5da]

Remove DECLARE_LIST(Imp3DLightList, SdXML3DLightContext*)


2011-01-06  Joseph Powers  <jpowers27@cox.net>  [a35f518f8a568742f2313e844d15eb33c05bf9a9]

Remove DECLARE_LIST( FmCtrlModelList, XInterface* )

Actually the whole file isn't used.

2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [8e0b872db191b8103b4cc0c8111a54e10597a073]

Use full path to ooenv.

So that the command line suggested by make dev-install actually works.

2011-01-06  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [a8a2fce97fb8f4bf27403201450d4c30034ba366]

gnumake3: updating existing check in sfx2 to new check infrastructure


2011-01-06  Michael Meeks  <michael.meeks@novell.com>  [35bd6b7fb6a8599fb364886be32f7459066c2c76]

remove english license pre-amble; fixing bug 32563


2011-01-06  Michael Meeks  <michael.meeks@novell.com>  [d4028665b8d04a812f45718608e9111c0891ce19]

add BrOffice translations for pt-BR to .desktop files, from Rene.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-01-06  David Tardon  <dtardon@redhat.com>  [e607b710a65e723466c3c37780a4b4f6e0258a87]

Related: fdo#32840 update help line for unopkg --supress-license


2011-01-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6acbb75aeb55f288675f86abc5790e8f52123fd3]

fdo#32840: make unopkg --suppress-license skip license in all cases


2011-01-06  Joseph Powers  <jpowers27@cox.net>  [e6e116d2f3d9f9e881c61e0ac89415143c6e23bb]

Remove DECLARE_LIST( FmEntryDataBaseList, FmEntryData* )


2011-01-06  Jan Holesovsky  <kendy@suse.cz>  [a2b5536328c2723a8145689b4cb3b36df9c4abc2]

Show the license information in a separate, localizable dialog; fdo#32563.


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [1dfc51bbb2237aba20957c88e7478356734edbcd]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [7561f3a612b4f5e1e3826c4caaadf572e1d8b0c2]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [16a921ce64020cdc15b20e1d7a68c5da8ffcb7e4]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [e56bb78e569b2967821fe2701a091764a4ea6b42]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [473f0484210c0cc29f0c3ef750f816b1e93bafdf]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [30465f93b6e10cb8b87e96717755afe913d0a958]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [ba91e5b998af97e1259d923041ba69e1ebb306c4]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [897b75c5f29693286b9d83279171411b7c1f61cf]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [50c7ff0b4092c3a47bb867c2510967ed273df669]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [a6df8e9c414ce5c2c8b8850f3da0669cec2fab54]

cppunit: prefer prefix variant


2011-01-06  Joseph Powers  <jpowers27@cox.net>  [f3f12b71ccb260f596818bdc63f496966915b57c]

Remove DECLARE_LIST( XPolygonList, XPolygon* )


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [df5ccb739bed5666a8e053c90fe03527ecd9a75c]

removetooltypes01: rebase to DEV300_m96


2011-01-06  os  <os@openoffice.org>  [325e8008c72d1e2275555596aa1ffb33ee1f85da]

#i116322# disable binfilter file export: configuration removed


2011-01-06  Maja Djordjevic  <ovcica@gmail.com>  [29853d43c23c8b6f2426a655f74f50602daf0294]

fdo#32869: Added navigation buttons to writer


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [a13ac503d302ce42f6931a0f8998c68ea9ade915]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4b072310c526f07dbf528d0d8888ffa393719ffb]

rebase to DEV300_m96


2011-01-06  Michael Meeks  <michael.meeks@novell.com>  [79037b45a17dd86fe6e1451270673348343ec550]

don't page in the vast, but almost entirely unused icu data library


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [877c6cc50a4465aa4b2db60a814dccb411b20bfd]

undoapi: merge after pulling CWS sb135


2011-01-06  David Tardon  <dtardon@redhat.com>  [d348c231edbb59257512cd6cbae7f6a6d2ad9875]

Related: fdo#32840 update help line for unopkg --supress-license


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [0bc5e9952b1fa9f3f8aae431f27189b14e18a1a0]

gnumake3: first cppunit test in new build system


2011-01-05  Andreas Bregas  <ab@openoffice.org>  [47ec7479e3b6b991e62b6515f40cc0ec467e08ba]

ab79: #i116184# Fixed warning


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [4ac45bbe7666a168596660cbf71da6b74fd749f2]

CWS-TOOLING: integrate CWS jl160


2011-01-05  Kai Sommerfeld  <kso@openoffice.org>  [8a60662a76cd93fd7485de524dc3d4daecd53f66]

#i116314# - Do not cache certain properties, like dav:lockdiscovery


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3772ec9ecd9d67771ad80f77205aa49564b51e79]

undoapi: now that the Writer supports the XUndoManager, too, we can remove the temporary fake test


2011-01-05  tono  <tono@openoffice.org>  [25d866f7bd0da441c29ff031ffaa9c9153b82fb4]

mingwport33: i#116264: gbuild for MinGW


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [12998c26ec26148eec7061783405f790a03e70f3]

undoapi: fix UndoManager test for m96, by disabling a test which uses currently broken external functionality (i116313), and by correcting the broken Basic script in the test which older OOo versions silently accepted


2011-01-05  Hans-Joachim Lankenau  <hjs@openoffice.org>  [87aaf402dbf317c1e18f86ff215a8a3df88a3e54]

ause129: remove unused file that triggers build.pl detcetion of migrated modules


2011-01-05  Henning Brinkmann  <hbrinkm@openoffice.org>  [c9e1a790fe46fc541596ebd00a8da46d546ef1e8]

merged DEV300_m96


2011-01-05  Andreas Bregas  <ab@openoffice.org>  [4464bba501464abf2ebf917d474d148538c9eae8]

ab79: #i116184# Improved type support


2011-01-05  tono  <tono@openoffice.org>  [6fd2c8308eaa071dcb1cf6300d03af75b0e02838]

Backed out changeset: e84942bd0aca


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [d142dd6985ed667230dfd209353c0ce71928dec0]

gnumake3: resync to DEV300_m96


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [084ac9959d5f3e171e5bc1e8d760ac15c7e69181]

CWS-TOOLING: integrate CWS impressdefaults1


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [467cdf78c4df7c239c343759e1bacb144d1bfdfa]

gnumake3: first try with TestFixtures


2011-01-05  Julien Nabet  <serval2412@yahoo.fr>  [b9c9c248426daba51e1c24a11333a507083b8550]

cppcheck cleaning in svx part 2


2011-01-05  Julien Nabet  <serval2412@yahoo.fr>  [c089f09311e87b920fb45ebe1218954438eb6402]

cppcheck cleaning


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [64fdcf2b0a319721feabb590df763ad07727bdb1]

undoapi: #i116310# added missing resource files to GNU makefiles


2011-01-05  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [886f83999b5077e5299f31886937959f78da0b8c]

fdo#32840: make unopkg --suppress-license skip license in all cases


2011-01-05  sb  <sb@openoffice.org>  [5734edba11919f43ab5fb2d71149f8f173600f8e]

sb135: pulled in cws/sb137 (which has been abandoned in favor of this CWS)


2011-01-05  sb  <sb@openoffice.org>  [8f73fafdfc57fc659bb44eaeecc453d9767715c2]

sb135: recreated tests that had erroneously been deleted by CWS gnumake2


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b3d321b1dd472b8e484cdb4ea7ba4cbf8cc0e33e]

dba34b: merged DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [e62b75d3d0a472cb84022cd75f34b3dd1bb1102b]

unused method SetHasName


2011-01-04  AWASHIRO Ikuya  <ikuya@fruitsbasket.info>  [2022ee49a2efa90bb33224de91dad5fb8398b8bd]

Better font selection in Japanese locale.

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-01-04  Takeshi Abe  <tabe@fixedpoint.jp>  [1168543baa73369c0f09101c7ffc4a7102dce615]

prefer the long prefix '--'


2011-01-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f9379f93bc963e15487aa73c721d5b6e7b16551d]

undoapi: make those new classes public, now that the fwe lib controls its exported symbols


2011-01-04  Joachim Lingner  <jl@openoffice.org>  [5bfc5a79261f0c20605b5078e25770f9397cb12a]

jl160 resolve merge conflicts


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [564c5d1ec709f4f0935ec48dbe4e8892503949ea]

fix this to be what the original author thought he was saying


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [c8a898de653da27e39060fcb240781b4dc701d4c]

oops, patch wasn't applied correctly


2011-01-04  Joachim Lingner  <jl@openoffice.org>  [a8f18a8b205aaa8ab01276ed0cb2c8b0cb25b440]

jl160 merge with DEV300m96


2011-01-04  Julien Nabet  <serval2412@yahoo.fr>  [e397e74641966211a7bd84dbb4e31e654d0219e3]

cppcheck cleaning


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [d6df179671488b9d59ecd51b87227a12d9dfe00c]

Remove DECLARE_LIST(DbGridColumns, DbGridColumn*)


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [a47051680ae8438d8571bbf4fb40471df8755bc4]

Remove DECLARE_LIST(DbDataColumns, ::svxform::DataColumn*)


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [fed96ce799ca203b58253493b684c791fc276636]

White space cleanup


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [acf7b1d013d68b602807febffc2bc887bd8d3aa5]

Remove unused header


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [9cb99dc3204d91cb2f2df441a7420e0b28c2990a]

White space cleanp


